Objetos do Microsoft Office

AnswerWizard
AnswerWizardFiles
Assistant
Balloon
BalloonCheckboxes
BalloonCheckbox
BalloonLabels
BalloonLabel
COMAddIns
COMAddIn
CommandBarButton
CommandBarControl
CommandBarComboBox
CommandBarControl
CommandBarPopup
CommandBarControl
DocumentProperties
DocumentProperty
FileDialog
FileDialogFilters
FileDialogFilter
FileDialogSelectedItems
FileSearch
FileTypes
FoundFiles
PropertyTests
PropertyTest
SearchFolders
ScopeFolder
ScopeFolders
SearchScopes
SearchScope
ScopeFolder
ScopeFolders
HTMLProject
HTMLProjectItems
HTMLProjectItem
LanguageSettings
MsoEnvelope
CommandBars
NewFile
OfficeDataSourceObject
ODSOColumns
ODSOColumn
ODSOFilters
ODSOFilter
Scripts
Script
SignatureSet
Signature
WebPageFonts
WebPageFont

Legenda

Objeto e coleção
Somente objeto


Novidades para os desenvolvedores do Microsoft Office

Grandes alterações foram feitas ao modelo de objeto do Microsoft Office Visual Basic para que ele possa suportar recursos novos e avançados nos componentes compartilhados. Foram adicionados vários objetos, propriedades, métodos e eventos.

Visite o Office Developer Center em MSDN Online para obter as informações mais recentes sobre o desenvolvimento do Microsoft Office, incluindo artigos técnicos, downloads, exemplos, novos produtos e muito mais.

Novos elementos de linguagem

Os tópicos a seguir fornecem uma lista dos novos elementos de linguagem do Office:

Novos objetos

Novas propriedades (por objeto)

Novas propriedades (lista em ordem alfabética)

Novos métodos

Novos eventos


Novos objetos

Visite o Office Developer Center em MSDN Online para obter as mais recentes informações sobre o desenvolvimento do Microsoft Office, incluindo novos artigos técnicos, downloads, exemplos, novos produtos e muito mais.

Na tabela a seguir, estão listados os objetos que foram adicionados ao Visual Basic do Microsoft Office.

Objetos
FileDialog
FileDialogFilter
FileDialogFilters
FileDialogSelectedItems
FileTypes
MsoEnvelope
NewFile
ODSOColumn
ODSOColumns
ODSOFilter
ODSOFilters
OfficeDataSourceObject
ScopeFolder
ScopeFolders
SearchFolders
SearchScope
SearchScopes
Signature
SignatureSet


Novos eventos

Na tabela a seguir estão listados os novos eventos no Microsoft Office.

Eventos
EnvelopeHide
EnvelopeShow


Método New

Os métodos que foram adicionados a objetos existentes no Microsoft Office estão listados na tabela a seguir, classificados por objeto.

Objetos Métodos
Assistant
 DoAlert
FileSearch
 RefreshScopes
OfficeDataSourceObject
 ApplyFilter

SetSortOrder


Novas propriedades (lista em ordem alfabética)

As propriedades adicionadas a objetos existentes no Microsoft Office estão listadas na tabela a seguir (em ordem alfabética).

Propriedades
AllowMultiSelect
AttachCertificate
ButtonName
Column
Columns
CommandBars
CompareTo
Comparison
Conjunction
ConnectString
DataSource
DialogType
DisableAskAQuestionDropdown
DisableCustomize
ExpireDate
Extensions
FileTypes
FilterIndex
Filters
InitialFileName
InitialView
Introduction
IsCertificateExpired
IsCertificateRevoked
Issuer
IsValid
Mask
Path
Picture
RowCount
ScopeFolder
ScopeFolders
SearchFolders
SearchScopes
SelectedItems
SignDate
Signer
Table


Novas propriedades (por objetos)

As propriedades adicionadas aos objetos existentes no Microsoft Office estão listadas na tabela a seguir (por nome de objeto).

Objetos | Propriedades
CommandBarButton | Mask Picture
CommandBars | DisableAskAQuestionDropdown DisableCustomize
FileDialog | AllowMultiSelect ButtonName DialogType FilterIndex Filters InitialFileName InitialView SelectedItems
FileDialogFilter | Extensions
FileSearch | FileTypes SearchFolders SearchScopes
MsoEnvelope | CommandBars Introduction
ODSOFilter | Column CompareTo Comparison Conjunction
OfficeDataSourceObject | Columns ConnectString DataSource Filters RowCount Table
ScopeFolder | Path ScopeFolders
SearchScope | ScopeFolder
Signature | AttachCertificate ExpireDate IsCertificateExpired IsCertificateRevoked Issuer IsValid SignDate Signer


Visão geral do Assistente do Office

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

O Assistente do Office, o balão do Assistente do Office e todos os itens dentro do balão são controlados por meio de programação pelos objetos, propriedades, e métodos do objeto Assistant.

A ilustração seguinte exibe o Assistente do Office, o balão do Assistente do Office e todos os objetos que podem ser programados dentro do balão.

O Assistente do Office, um objeto Balloon e os elementos que podem ser programados dentro do balão

Para obter informações sobre como você pode fazer alterações em tempo de design e em tempo de execução ao Assistente do Office, consulte os seguintes tópicos:

Usando o Assistente do Office

Criando e modificando balões

Fazendo alterações em balões durante o tempo de execução


Visão geral de barras de comando

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

No Microsoft Office, as barras de ferramentas, as barras de menus e os menus de atalho são controlados através de programação como um tipo de objeto: barras de comandos. Todos os itens a seguir são representados no Visual Basic for Applications pelos objetos CommandBar:

  • Barras de menus, barras de ferramentas e menus de atalho
  • Menus em barras de menus e barras de ferramentas
  • Submenus em menus, submenus e menus de atalho

Você pode modificar qualquer barra de menus interna ou barra de ferramentas e pode criar e modificar barras de ferramentas personalizadas, barras de menus e menus de atalho para serem entregues com o seu aplicativo Visual Basic. Você apresenta os recursos de seu aplicativo como botões individuais em barras de ferramentas ou como grupos de nomes de comando em menus. Como as barras de ferramentas e menus são barras de comandos, use o mesmo tipo de controles em ambos. Por exemplo, a barra de ferramentas ancorada mostrada na seguinte ilustração contém três botões.

Uma barra de ferramentas ancorada contendo três botões

O menu mostrado na ilustração a seguir contém os mesmos três comandos da ilustração anterior, mas eles são exibidos como itens de menu.

Um menu contendo itens de menu

No Microsoft Office, as barras de menus e as barras de ferramentas podem conter menus. A barra de ferramentas flutuante mostrada na ilustração a seguir contém três botões e um menu com os mesmos três comandos exibidos como itens de menu.

Uma barra de ferramentas flutuante contendo três botões e um menu com três itens de menu

No Visual Basic, os botões e itens de menu são representados por objetos CommandBarButton. Os controles pop-up que exibem menus e submenus são representados por objetos CommandBarPopup. Na ilustração a seguir, o controle chamado "Menu" e o controle chamado "Submenu" são controles pop-up que exibem um menu e um submenu, respectivamente. Tanto o menu quanto o submenu são objetos CommandBar exclusivos com seu próprio conjunto de controles.

Controles pop-up que exibem um menu e um submenu

No Microsoft Office, você também pode adicionar caixas de texto, caixas de lista suspensa e caixas de combinação a qualquer barra de comandos. Esses três tipos de controles são representados no Visual Basic por objetos CommandBarComboBox.

Observação Embora compartilhem comportamentos e aparências similares, os controles de barra de comandos e os controles ActiveX não são os mesmos. Você não pode adicionar controles ActiveX a barras de comandos e não pode adicionar controles de barra de comandos a documentos ou formulários.

Os controles da barra de comandos interna em aplicativos recipientes também são representados no Visual Basic por objetos CommandBarButton, CommandBarPopup e CommandBarComboBox, embora suas aparências e seus comportamentos possam ser mais complexos do que os controles que você mesmo adiciona. Apesar de poder modificar o local e aparência de controles internos, você não pode modificar seu comportamento interno. É possível, entretanto, atribuir uma macro personalizada a qualquer controle interno para substituir completamente o seu comportamento interno.


Usando barras de comando

Em geral, para criar ou modificar barras de ferramentas, barras de menus e menus de atalho que você quer entregar com o seu aplicativo Visual Basic, você deve usar os recursos de personalização do aplicativo recipiente. As alterações feitas em barras de ferramentas, barras de menus e menus de atalhos usando os recursos do aplicativo recipiente são conhecidas como alterações em "tempo de design". Para obter informações sobre o uso do aplicativo recipiente para fazer alterações em tempo de design, consulte a Ajuda on-line referente ao aplicativo.

Você pode adicionar e modificar barras de ferramentas, barras de menus, e menus de atalho (e suas partes componentes) usando a parte de CommandBars do modelo do objeto do Microsoft Office no código do Visual Basic. Você pode escrever código que rode uma vez para criar barras de ferramentas e barras de menu; de fato, o código simula as alterações em tempo de design. Entretanto, em alguns aplicativos recipientes você pode ser solicitado a usar uma combinação deste tipo do código de Visual Basic e a sua interface de personalização para criar o seu aplicativo Visual Basic. As áreas seguintes são algumas áreas comuns onde você deve usar uma combinação de código e a interface do aplicativo recipiente:

  • Se o seu aplicativo recipiente não fornecer uma interface para adição ou modificação caixas de edição, caixas de lista suspensa ou caixas de combinação em barras de ferramentas, você precisa usar o código do Visual Basic para adicionar e criar um destes controles.
  • Se o seu aplicativo recipiente fornece uma interface para criação de barras de ferramentas, mas não fornece uma para criação de uma barra de menu, você necessitará criar uma barra de menus usando o Visual Basic. Após ter criado a barra de menus no Visual Basic, você pode criar menus na barra de menus usando a interface do aplicativo recipiente.
  • Se o seu aplicativo recipiente não fornecer uma forma de exibir menus de atalho personalizados enquanto a personalização é exibida, você precisa usar o código do Visual Basic para modificar estes menus de atalho.

Você também pode escrever código que existe em seu aplicativo Visual Basic para fazer alterações a barras de ferramentas e barras de menus enquanto o seu aplicativo estiver sendo executado (por exemplo, você pode escrever código para desativar um comando em uma barra de menus sob certas condições, ou para adicionar botões a uma barra de ferramentas em resposta a ações do usuário). As alterações feitas por seu código enquanto o aplicativo Visual Basic está sendo executado são conhecidas como alterações em "tempo de execução".

Os tópicos seguintes fornecem informações sobre como você pode fazer alterações em tempo de design e tempo de execução a barras de ferramentas e barras de menus do código Visual Basic.

Adicionando e modificando barras de ferramentas

Adicionando e gerenciando barras de menus e itens de menus

Adicionando e exibindo menus de atalho

Observação O Painel de tarefas é um tipo de objeto CommandBar que pode ser referenciado como se segue:

Dim cbTaskPane As CommandBar
Set cbTaskPane = Application.CommandBars("Task Pane")
MsgBox "The current task pane's title is """ & cbTaskPane.Controls(1).Caption & """"
No entanto, vários métodos e propriedades de barra de comando ao serem aplicados ao Painel de tarefas não exibem o mesmo comportamento que o objeto CommandBar normal. Por exemplo, os métodos Delete e ShowPopup não fazem efeito, assim como a alteração do valor das propriedades AdaptiveMenu, Context, Name, NameLocal ou Protection também não faz.


Adicionando e modificando barras de ferramentas

Todos os aplicativos host possuem uma interface extensa que possibilita a adição e a criação de barras de ferramentas personalizadas (adição de botões incorporados, de macros como botões e até mesmo de controles pop-up a barras de ferramentas). As alterações em tempo de design que você normalmente fará no código do Visual Basic são as que adicionam ou modificam controles de caixa de combinação. Caso contrário, o trabalho com barras de ferramentas em código é quase completamente limitado a fazer alterações em tempo de execução (alteração do estado, da aparência e da ação do botão e assim por diante).

Fazer modificações a barras de ferramentas em tempo de execução

Há várias modificações que você pode fazer em uma barra de ferramentas em tempo de execução. Uma delas é alterar o estado de um botão de barra de comandos na barra de ferramentas. Cada controle de botão tem dois estados ativos: pressionado (True) e não pressionado (False). Para alterar o estado de um controle de botão, use a constante apropriada da propriedade State, conforme explicado na tabela apresentada mais adiante neste tópico.

Uma outra modificação que você pode fazer em tempo de execução é alterar a aparência ou ação de um botão. Para alterar a aparência de um botão, mas não sua ação, use os métodos CopyFace e PasteFace. Esses métodos são úteis se você quiser copiar a face de um determinado botão para a área de transferência ou importá-la para um outro aplicativo a fim de alterar alguns de seus recursos. Use o método PasteFace para transferir a imagem de botão da área de transferência para um botão específico.

Para alterar uma ação de botão de uma função que você desenvolveu, atribua o nome de procedimento personalizado à propriedade OnAction do botão.

A tabela a seguir lista as propriedades e os métodos mais comuns para alteração do estado, da aparência ou da ação de um botão.

Propriedade ou método | Descrição
CopyFace, PasteFace | Copia ou cola a imagem na face de um botão. Use o método CopyFace para copiar a face do botão especificado para a Área de transferência. Use o método PasteFace para colar o conteúdo da Área de transferência na face do botão especificado. O método PasteFace falhará se a Área de transferência estiver vazia. Se a imagem da Área de transferência for muito grande para a face do botão, a imagem não será reduzida. Geralmente, é mais conveniente copiar e colar uma face de botão em tempo de design, mas você também pode fazer alterações a uma face de botão em tempo de execução. Você também pode usar a propriedade FaceId para atribuir uma face de botão interna diferente a um botão.
Id | Especifica o valor que representa a funcionalidade interna do botão. Por exemplo, um botão que copia texto destacado para a Área de transferência possui um valor Id de 19.
State | Especifica a aparência ou o estado do botão. Pode ser uma das seguintes constantes MsoButtonState: msoButtonDown, msoButtonMixed ou msoButtonUp.
Style | Especifica se a face do botão exibe seu ícone ou sua legenda. Pode ser uma das seguintes constantes MsoButtonStyle: msoButtonAutomatic, msoButtonIcon, msoButtonCaption, msoButtonIconAndCaption, msoButtonIconAndCaptionBelow, msoButtonIconAndWrapCaption, msoButtonIconAndWrapCaptionBelow ou msoButtonWrapCaption.
OnAction | Especifica o procedimento a ser executado quando o usuário clica em um botão, exibe um menu ou altera o conteúdo de um controle de caixa de combinação.
Visible | Especifica se o controle será exibido ou se ficará oculto.
Enabled | Ativa ou desativa uma barra de comandos; o nome de uma barra de comandos desativada não aparece na lista de barras de comandos disponíveis.

O exemplo a seguir cria uma nova barra de comandos que contém um único botão de barra de comandos. Ao usar a propriedade OnAction do objeto CommandBarButton você pode usar o método CopyFace para copiar a face do botão interno Open para a Área de transferência e, em seguida, você pode usar o método PasteFace para colar a face no botão existente. Isso altera a aparência do botão de barra de comandos em tempo de execução.

Sub testAddModifyToolbars1()
Set myBar = CommandBars _
    .Add(Name:="ChangingButton", Position:=msoBarTop, _
    Temporary:=True)
myBar.Visible = True
Set oldControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    ID:=CommandBars("Standard").Controls("Copy").Id)
oldControl.OnAction = "changeFaces"
End Sub

Sub changeFaces()
Set newControl = CommandBars.FindControl _
    (Type:=msoControlButton, _
    ID:=CommandBars("Standard").Controls("Paste").Id)
newControl.CopyFace
Set oldControl = _
CommandBars("ChangingButton").Controls(1)
oldControl.PasteFace
End Sub

Adicionar e modificar os controles da caixa de combinação

As caixas de edição, caixas de lista suspensa e caixas de combinação são novos controles poderosos que você pode adicionar a barras de ferramentas em seu aplicativo Visual Basic. Entretanto, a maior parte dos aplicativos recipientes exige que você use o código do Visual Basic para criar esses controles. Para criar um controle de caixa de combinação, use as propriedades e métodos descritos na tabela a seguir.

Propriedade ou método | Descrição
Add | Adiciona um controle de caixa de combinação a uma barra de comandos especificando uma das seguintes constantes MsoControlType para o argumento Type: msoControlEdit, msoControlDropdown ou msoControlComboBox.
AddItem | Adiciona um item à parte da lista suspensa de uma caixa de lista suspensa. Você pode especificar o número de índice do novo item na lista existente, mas se o número for maior do que o número de itens na lista, o método AddItem irá falhar.
Caption | Especifica o rótulo do controle de caixa de combinação. Esse é o rótulo que será exibido ao lado do controle se você definir a propriedade Style como msoComboLabel.
Style | Especifica se a legenda do controle especificado será exibida ao lado do controle. Pode ser uma das seguintes constantes MsoComboStyle: msoComboLabel (o rótulo é exibido) ou msoComboNormal (o rótulo não é exibido).
OnAction | Especifica o procedimento a ser executado quando o usuário altera o conteúdo do controle da caixa de combinação.

O exemplo a seguir adiciona uma caixa de combinação a uma barra de ferramentas personalizada e atribui a macro chamada "ScrollToQuarter" à caixa de combinação.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
myBar.Visible = True
Set newCombo = myBar.Controls _
    .Add(Type:=msoControlComboBox)
With newCombo
    .AddItem "Q1"
    .AddItem "Q2"
    .AddItem "Q3"
    .AddItem "Q4"
    .Style = msoComboNormal
    .OnAction = "ScrollToQuarter"
End With

Enquanto seu aplicativo estiver em execução, o procedimento atribuído à propriedade OnAction da caixa de combinação será chamado sempre que o usuário alterar o controle. No procedimento, você pode usar a propriedade ActionControl do objeto CommandBar para saber que controle foi alterado e para retornar o valor alterado. A propriedade ListIndex retornará o item digitado ou selecionado na caixa de combinação.


Adicionando e gerenciando barras de menus e itens de menus

Alguns aplicativos recipientes não fornecem um meio para você criar novas barras de menus, portanto será preciso criar barras de menus usando o Visual Basic. Depois de ter criado uma barra de menus no Visual Basic, você pode personalizá-la usando a interface do aplicativo recipiente ou usando o Visual Basic.

Adicionando barras de menus em tempo de execução

Ao adicionar uma barra de menus a um aplicativo em tempo de execução, você usa o método Add para a coleção CommandBars e especifica True para o argumento MenuBar. O exemplo a seguir adiciona uma barra de menus que não pode ser movida. O exemplo também encaixa essa barra de menus ao longo do lado direito da janela do aplicativo.

Set menubar = CommandBars.Add _
    (Name:="mBar", Position:=msoBarRight, MenuBar:=True)
With menubar
    .Protection = msoBarNoMove
    .Visible = True
End With

Fazendo modificações em tempo de execução em barras de menus

Você pode fazer alterações na barra de menus e nos controles da barra de menus em tempo de execução. As alterações feitas na barra de menus podem afetar sua aparência ou posição; as alterações feitas nos controles dependem do tipo de controle. As propriedades e os métodos listados na tabela a seguir são os mais usados para modificar barras de menus em tempo de execução.

Propriedade ou método | Descrição
Add | Adiciona uma barra de menus usando o método Add da coleção CommandBars e especificando True para o argumento MenuBar.
Enabled | Se esta propriedade for definida como True, o usuário poderá tornar visível a barra de menus especificada usando o código do Visual Basic. Se esta propriedade for definida como False, o usuário não poderá tornar a barra de menus visível, mas ela aparecerá na lista de barras de comandos disponíveis.
Protection | Torna possível proteger a barra de menus de ações específicas do usuário. Pode ser uma constante ou combinação das seguintes constantes MsoBarProtection: msoBarNoChangeDock, msoBarNoChangeVisible, msoBarNoCustomize, msoBarNoHorizontalDock, msoBarNoMove, msoBarNoProtection, msoBarNoResize e msoBarNoVerticalDock.
Position | Especifica a posição da nova barra de menus relativa à janela do aplicativo. Pode ser uma das seguintes constantes MsoBarPosition: msoBarLeft, msoBarTop, msoBarRight, msoBarBottom, msoBarFloating, msoBarPopup (usada para criar menus de atalho) ou msoBarMenuBar (somente Macintosh).
Visible | Especifica se o controle será exibido ou se ficará oculto. Se o controle ficar oculto, o nome da barra de menus ainda aparecerá na lista de barras de comando disponíveis.

O exemplo a seguir oculta a barra de menus ativa e a substitui por uma barra de menus temporária, encaixada ao longo do lado direito da janela do aplicativo e protegida contra o usuário.

Set oldMbar = CommandBars.ActiveMenuBar
Set newMbar = CommandBars.Add _
(Name:="newMenubar", Position:=msoBarRight, _
MenuBar:=True, temporary:=True)
With newMbar
    .Visible = True
    .Protection = msoBarNoMove
End With

Mesclando barras de menus em tempo de execução

Se você tiver barras de menus personalizadas em um aplicativo destinado a ser um suplemento, você pode especificar como os controles serão representados no aplicativo recipiente. A propriedade OLEMenuGroup do objeto CommandBarPopup pode ser usada para especificar como a mesclagem da barra de menus ocorrerá.

Fazendo modificações em tempo de execução a itens de menu

O intervalo de modificações que podem ser feitas em um item de menu depende do tipo de controle. Em geral, os botões estão ativados ou ocultos. As caixas de edição, caixas de listagem suspensa e caixas de combinação são mais versáteis porque você pode adicionar ou excluir itens da lista, além de poder determinar a ação realizada examinando o valor selecionado. É possível alterar a ação de qualquer controle para uma função interna ou personalizada.

A tabela a seguir lista as propriedades mais comuns e métodos para alterar o estado, ação ou conteúdo de um controle.

Propriedade ou método | Propósito
Add | Adiciona um item de menu em uma barra de comando. Pode ser uma das seguintes constantes MsoControlType para o argumento Type para um controle interno: msoControlButton, msoControlEdit, msoControlDropdown ou msoControlComboBox.
AddItem | Adiciona um item à lista de uma caixa de lista suspensa ou caixa de combinação. Você pode especificar o número de índice do novo item na lista existente, mas se o número for maior do que o número de itens na lista, o método AddItem irá falhar.
Style | Especifica se (e em caso afirmativo, como) a face do botão exibe seu ícone, sua legenda ou ambos. Pode ser uma das seguintes constantes MsoButtonStyle: msoButtonAutomatic, msoButtonIcon, msoButtonCaption, msoButtonIconAndCaption, msoButtonIconAndCaptionBelow, msoButtonIconAndWrapCaption, msoButtonIconAndWrapCaptionBelow ou msoButtonWrapCaption.
OnAction | Especifica o procedimento a ser executado sempre que o usuário altera o valor do controle especificado.
Visible | Especifica se o controle será exibido ou se ficará oculto.

O exemplo a seguir adiciona um controle pop-up temporário chamado Custom na parte final da barra de menus ativo e, em seguida, um controle de botão chamado Import na barra de comandos pop-up Custom.

Set myMenuBar = CommandBars.ActiveMenuBar
Set newMenu = myMenuBar.Controls.Add(Type:=msoControlPopup, _
    Temporary:=True)
newMenu.Caption = "Custom"
Set ctrl1 = newMenu.Controls _
    .Add(Type:=msoControlButton, Id:=1)
ctrl1.Caption = "Import"
ctrl1.TooltipText = "Import"
ctrl1.Style = msoButtonCaption


Adicionando e exibindo menus de atalho

Um menu de atalho é uma barra de comandos flutuante que o usuário exibe clicando com o botão direito. Ele pode conter os mesmos tipos de controle da barra de comandos e os controles se comportam da mesma forma como na barra de comando. Na maior parte dos aplicativos, entretanto, você não pode criar ou modificar menus de atalho da interface do aplicativo. Portanto, você precisa criar e modificar os seus menus de atalho em tempo de execução.

Adicionando menus de atalho em tempo de execução

A única diferença entre menus de atalho e outras barras de ferramentas é que, quando você cria um menu de atalho com o método Add, precisa especificar msoBarPopUp como o argumento Position. O exemplo a seguir cria um novo menu de atalho, adiciona dois controles (com legendas) a ele e, em seguida, usa o método ShowPopup para exibir o novo menu.

Set copyAndPasteMenu = CommandBars.Add( _
    Name:="Custom", Position:=msoBarPopup, _
    Temporary:=True)
Set copy = copyAndPasteMenu.Controls.Add
With copy
    .FaceId = CommandBars("Standard").Controls("Copy").Id
    .Caption = "Copy the selection"
End With
Set paste = copyAndPasteMenu.Controls.Add
With paste
    .FaceId = CommandBars("Standard").Controls("Paste").Id
    .Caption = "Paste from the Clipboard"
End With
copyAndPasteMenu.ShowPopup 200, 200

Exibindo menus de atalho

Use o método ShowPopup para exibir menus de atalho, como demonstrado no exemplo anterior.

Se o aplicativo recipiente suporta a atribuição de procedimentos de eventos a ações de usuários, você pode exibir um menu de atalho em resposta a um evento de clique do botão direito. Entretanto, nem todos os aplicativos suportam procedimentos de evento. Consulte a documentação de seu aplicativo recipiente para ver se o aplicativo suporta os procedimentos de evento.

Fazendo modificações em tempo de execução a menus de atalho

Todas as alterações que você fizer em um menu de atalho precisam ser feitas em tempo de execução e as alterações que você fizer serão geralmente limitadas à alteração da aparência ou ação dos controles no menu. Para obter mais informações sobre adição e gerenciamento de itens de menu, consulte Adicionando e gerenciando barras de menu e itens de menu.


Identificadores programáticos OLE

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Você pode usar um identificador programático OLE (às vezes chamado de ProgID) para criar um objeto de Automação. A tabela a seguir lista identificadores programáticos OLE para os controles ActiveX, aplicativos do Microsoft Office e componentes da Web do Office.

Controles ActiveX

Microsoft Access

Microsoft Excel

Microsoft Graph

Componentes da Web do Microsoft Office

Microsoft Outlook

Microsoft PowerPoint

Microsoft Word

Controles ActiveX

Para criar os controles ActiveX listados na tabela a seguir, use o identificador programático OLE correspondente.

Para criar este controle | Use este identificador
CheckBox | Forms.CheckBox.1
ComboBox | Forms.ComboBox.1
CommandButton | Forms.CommandButton.1
Frame | Forms.Frame.1
Image | Forms.Image.1
Label | Forms.Label.1
ListBox | Forms.ListBox.1
MultiPage | Forms.MultiPage.1
OptionButton | Forms.OptionButton.1
ScrollBar | Forms.ScrollBar.1
SpinButton | Forms.SpinButton.1
TabStrip | Forms.TabStrip.1
TextBox | Forms.TextBox.1
ToggleButton | Forms.ToggleButton.1

Microsoft Access

Para criar os objetos do Microsoft Access listados na tabela a seguir, use um dos identificadores programáticos OLE correspondente. Se você usar um identificador que não possui o sufixo com o número da versão, o objeto é criado na versão mais recente do Access disponível na máquina em que a macro estiver sendo executada.

Para criar este objeto | Use um destes identificadores
Application | Access.Application
CurrentData | Access.CodeData, Access.CurrentData
CurrentProject | Access.CodeProject, Access.CurrentProject
DefaultWebOptions | Access.DefaultWebOptions

Microsoft Excel

Para criar os objetos do Microsoft Excel listados na tabela a seguir, use um dos identificadores programáticos OLE correspondente. Se você usar um identificador que não possui o sufixo com o número da versão, o objeto é criado na versão mais recente do Excel disponível na máquina em que a macro estiver sendo executada.

Para criar este objeto | Use este identificador | Comments
Application | Excel.Application |
Workbook | Excel.AddIn |
Workbook | Excel.Chart | Retorna uma pasta de trabalho contendo duas planilhas; uma para o gráfico e outra para seus dados. A planilha do gráfico é a planilha ativa.
Workbook | Excel.Sheet | Retorna uma pasta de trabalho com uma planilha.

Microsoft Graph

Para criar os objetos do Microsoft Graph listados na tabela a seguir, use um dos identificadores programáticos OLE correspondente. Se você usar um identificador que não possui o sufixo com o número da versão, o objeto é criado na versão mais recente do Graph disponível na máquina em que a macro estiver sendo executada.

Para criar este objeto | Use este identificador
Application | MSGraph.Application
Chart | MSGraph.Chart

Componentes da Web do Microsoft Office

Para criar os objetos dos Componentes da Web do Microsoft Office listados na tabela a seguir, use um dos identificadores programáticos OLE correspondente. Se você usar um identificador que não possui o sufixo com o número da versão, o objeto é criado na versão mais recente do Microsoft Office Web Components disponível na máquina em que a macro estiver sendo executada.

Para criar este objeto | Use um destes identificadores
ChartSpace | OWC.Chart
DataSourceControl | OWC.DataSourceControl
ExpandControl | OWC.ExpandControl
PivotTable | OWC.PivotTable
RecordNavigationControl | OWC.RecordNavigationControl
Spreadsheet | OWC.Spreadsheet

Microsoft Outlook

Para criar o objeto do Microsoft Outlook presente na tabela a seguir, use um dos identificadores programáticos OLE correspondente. Se você usar um identificador que não possui o sufixo com o número da versão, o objeto é criado na versão mais recente do Outlook disponível na máquina em que a macro estiver sendo executada.

Para criar este objeto | Use este identificador
Application | Outlook.Application

Microsoft PowerPoint

Para criar o objeto do Microsoft PowerPoint presente na tabela a seguir, use um dos identificadores programáticos OLE correspondente. Se você usar um identificador que não possui o sufixo com o número da versão, o objeto é criado na versão mais recente do PowerPoint disponível na máquina em que a macro estiver sendo executada.

Para criar este objeto | Use este identificador
Application | PowerPoint.Application

Microsoft Word

Para criar os objetos do Microsoft Word listados na tabela a seguir, use um dos identificadores programáticos OLE correspondente. Se você usar um identificador que não possui o sufixo com o número da versão, o objeto é criado na versão mais recente do Word disponível na máquina em que a macro estiver sendo executada.

Para criar este objeto | Use um destes identificadores
Application | Word.Application
Document | Word.Document, Word.Template
Global | Word.Global


Objeto AnswerWizard

AnswerWizard (AnswerWizardFiles)

Some of the content in this topic may not be applicable to some languages.

Representa o Assistente de resposta em um aplicativo do Microsoft Office. Só há um Assistente de resposta por aplicativo e todas as alterações na coleção AnswerWizard ou AnswerWizardFiles afetam imediatamente o aplicativo ativo.

Usando o objeto AnswerWizard

Use o método ClearFileList para remover todas as entradas da lista de arquivos disponíveis no Assistente de resposta atual. O uso desse método garante que os arquivos padrão disponíveis no aplicativo host do Office não poderão mais ser acessados através do Assistente de resposta, como quando os arquivos do Assistente de resposta são trocados pelos arquivos .AW personalizados. O exemplo a seguir limpa a lista de arquivos do Assistente de resposta padrão e adiciona dois arquivos ao Assistente de resposta personalizado.

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

Use o método ResetFileList para restaurar a lista de arquivos do Assistente de resposta atual para a lista de arquivos padrão do aplicativo host do Office. Você também pode estabelecer uma lista de arquivos padrão no Registro do Windows adicionando os nomes dos arquivos personalizados à chave do Registro apropriada; os arquivos especificados na chave do Registro serão restaurados assim que ResetFileList for chamado. Este exemplo demonstra como redefinir a lista de arquivos do Assistente de resposta atual.

customAnswerWizard.ResetFileList

Use a propriedade Files para obter a coleção de referências de arquivos do Assistente de resposta. A propriedade Files retorna uma coleção de seqüências de caracteres referentes aos arquivos .AW. O exemplo a seguir retorna a coleção AnswerWizardFiles e exibe a contagem de arquivos em uma caixa de mensagem.

Dim customAnswerWizardFiles As AnswerWizardFiles
Set customAnswerWizardFiles = Application.AnswerWizard.Files

MsgBox customAnswerWizardFiles.Count


Objeto da coleção AnswerWizardFiles

AnswerWizard (AnswerWizardFiles)

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Uma coleção de referências aos arquivos do Assistente de resposta. A coleção AnswerWizardFiles contém todos os arquivos do Assistente de resposta (com a extensão de arquivo .AW) disponíveis para o aplicativo do Microsoft Office ativo.

Usando a coleção AnswerWizardFiles

Use a propriedade Files para obter a coleção de referências de arquivos do Assistente de resposta. A propriedade Files retorna uma coleção de seqüência de caracteres referente aos arquivos .AW. O exemplo a seguir retorna a coleção AnswerWizardFiles e exibe a contagem de arquivos em uma caixa de mensagem.

Dim customAnswerWizardFiles As AnswerWizardFiles
Set customAnswerWizardFiles = Application.AnswerWizard.Files

MsgBox customAnswerWizardFiles.Count

Use o método Add para tornar arquivos adicionais disponíveis para o Assistente de resposta. O exemplo a seguir adiciona o arquivo Custom_1.aw à lista de arquivos do Assistente de resposta no aplicativo do Office ativo.

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")

Use a propriedade Item para obter o nome de uma referência de arquivo do Assistente de resposta existente. O exemplo a seguir exibe uma caixa de mensagem contendo o nome do arquivo referido por Item(1).

MsgBox customAnswerWizard.Files.Item(1)


Objeto Assistant

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Representa o Assistente do Office Microsoft.

Usando o objeto Assistant

Use a propriedade Assistant para retornar o objeto Assistant. Não há uma coleção de objetos Assistant; somente um objeto Assistant pode estar ativo de cada vez. Use a propriedade Visible para exibir o assistente, e use a propriedade On para ativar o assistente.

Comentários

O assistente padrão é o Rex. Para selecionar um assistente diferente através de programação, use a propriedade FileName.

O exemplo a seguir exibe e anima o assistente.

With Assistant
    .Visible = True
    .Animation = msoAnimationGreeting
End With


Objeto Balloon

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Representa o balão onde o Assistente do Office exibe informações. Um balão pode conter controles como caixas de seleção e rótulos.

Usando o objeto Balloon

Use a propriedade NewBalloon para retornar um objeto Balloon. Não há uma coleção para o objeto Balloon; somente um balão pode estar visível de cada vez. Entretanto, é possível definir vários balões e exibir qualquer um deles quando necessário. Para obter mais informações, consulte "Definindo e reutilizando balões" posteriormente neste tópico.

Use o método Show para tornar o balão especificado visível. Use a propriedade Callback para executar procedimentos com base em seleções de balões sem janela restrita (os balões permanecem visíveis enquanto um usuário trabalha no aplicativo). Use o método Close para fechar balões sem janela restrita.

O exemplo a seguir cria um balão que contém dicas para salvar dados inseridos.

With Assistant.NewBalloon
    .BalloonType = msoBalloonTypeBullets
    .Icon = msoIconTip
    .Button = msoButtonSetOk
    .Heading = "Tips for Saving Information."
    .Labels(1).Text = "Save your work often."
    .Labels(2).Text = "Install a surge protector."
    .Labels(3).Text = "Exit your application properly."
    .Show
End With

Definindo e reutilizando balões

Você pode reutilizar objetos de balão que já tiver criado atribuindo o objeto a uma variável e exibindo a variável quando for necessário. Este exemplo define balloon1 e balloon2 separadamente para que eles possam ser reutilizados.

Set balloon1 = Assistant.NewBalloon
balloon1.Heading = "First balloon"
Set balloon2 = Assistant.NewBalloon
balloon2.Heading = "Second balloon"
balloon1.Show
balloon2.Show
balloon1.Heading = "First balloon, new heading"
balloon1.Show

Alternativamente, em vez de usar variáveis separadas, você pode colocar o objeto de balão em uma matriz.


Objeto BalloonCheckbox

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Representa uma caixa de seleção no balão do Assistente do Office. O objeto BalloonCheckBox é um membro da coleção BalloonCheckBoxes.

Usando o objeto BalloonCheckBox

Use CheckBoxes(index), onde index é um número de 1 a 5, para retornar um único objeto BalloonCheckBox. Pode haver até cinco caixas de seleção em um balão; cada caixa de seleção aparece quando um valor é atribuído à sua propriedade Text.

O exemplo a seguir cria um balão com um título, texto e três opções de região. O usuário marca uma ou mais caixas de seleção e clica em OK. O exemplo chama o procedimento ou os procedimentos especificados.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select your region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

Comentários

As caixas de seleção de balão exibem as opções do usuário até que o usuário deixe de usar o balão. Você pode usar os rótulos de balão para retornar um número que corresponda à opção do usuário no método Select assim que o usuário clicar no botão do lado do rótulo. Para passar valores ao método Select com base na opção do usuário, o tipo de balão deve estar definido como msoBalloonTypeButtons.


Objeto da coleção BalloonCheckBoxes

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Uma coleção de objetos BalloonCheckBox que representa todas as caixas de seleção do balão do Assistente do Office.

Usando a coleção BalloonCheckBoxes

Use a propriedade CheckBoxes para retornar a coleção BalloonCheckBoxes.

Use CheckBoxes(index), onde index é um número de 1 a 5, para retornar um único objeto BalloonCheckBox. Você pode especificar até cinco caixas de seleção (e cinco rótulos) por balão; cada caixa de seleção aparece quando um valor é atribuído a sua propriedade Text. Se você especificar mais de cinco caixas de seleção, ocorrerá um erro em tempo de execução.

O exemplo a seguir cria um balão com um título, texto e três opções de região. Quando o usuário seleciona uma ou mais caixas de seleção e clica em OK, o procedimento ou os procedimentos especificados são chamados.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select your region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

Você não pode adicionar ou excluir caixas de seleção da coleção BalloonCheckBoxes após o balão ter sido exibido.

Comentários

As caixas de seleção de balão exibem as opções do usuário até que o usuário deixe de usar o balão. Você pode usar rótulos de balão em conjunto com o método Select para retornar um número que corresponda à opção de caixas de seleção do usuário assim que ele clicar no botão ao lado do rótulo. Para passar valores ao método Select com base na opção do usuário, o tipo de balão deve estar definido como msoBalloonTypeButtons.


Objeto BalloonLabel

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Representa um rótulo do balão do Assistente do Office. O objeto BalloonLabel é um membro da coleção BalloonLabels.

Usando o objeto BalloonLabel

Use Labels(index), onde index é um número de 1 a 5, para retornar um objeto BalloonLabel. Pode haver até cinco rótulos em um balão; cada rótulo aparece quando um valor é atribuído à sua propriedade Text.

O exemplo a seguir cria um balão que solicita que o usuário clique no rótulo que corresponde a sua idade.

With Assistant.NewBalloon
    .Heading = "Check Your Age Group."
    .Labels(1).Text = "Under 30."
    .Labels(2).Text = "30 to 50."
    .Labels(3).Text = "Over 50."
    .Text = "Which of the following " _
        & .Labels.Count & " choices apply to you?"
    .Show
End With

Comentários

As caixas de seleção do balão exibem as opções do usuário até que ele deixe de usar o balão. Use rótulos de balão para retornar um número que corresponda à opção do usuário no método Select assim que o usuário clicar no botão ao lado do rótulo. Para passar valores ao método Select com base na opção do usuário, o tipo do balão deve estar definido como msoBalloonTypeButtons.


Objeto da coleção BalloonLabels

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Uma coleção de objetos BalloonLabel que representa todos os rótulos do balão do Assistente do Office.

Usando a coleção BalloonLabels

Use a propriedade Labels para retornar a coleção BalloonLabels.

Use Labels(index), onde index é um número de 1 a 5, para retornar um objeto BalloonLabel. Você pode especificar até cinco rótulos (e cinco caixas de seleção) por balão; cada rótulo aparece quando um valor é atribuído a sua propriedade Text. Se você especificar mais de cinco rótulos, ocorrerá um erro em tempo de execução.

O exemplo a seguir cria um balão que contém três opções. A variável returnValue é definida para o valor de retorno do método Show, que será 1, 2 ou 3, de acordo com o rótulo em que o usuário clicar. O exemplo retorna o valor da variável returnValue, que você pode passar para outro procedimento ou usar em uma instrução Select Case.

Set b = Assistant.NewBalloon
With b
    .Heading = "This is my heading"
    .Text = "Select one of these things:"
    .Labels(1).Text = "Choice One"
    .Labels(2).Text = "Choice Two"
    .Labels(3).Text = "Choice Three"
    returnValue = .Show
End With

Comentários

As caixas de seleção de balão exibem as opções do usuário até que o usuário deixe de usar o balão. Você pode usar os rótulos de balão para retornar um número que corresponda à opção do usuário no método Select assim que o usuário clicar no botão do lado do rótulo. Para passar valores ao método Select com base na opção do usuário, o tipo de balão deve estar definido como msoBalloonTypeButtons.


Objeto COMAddIn

COMAddIns (COMAddIn)

Representa um suplemento COM no aplicativo host do Microsoft Office. O objeto COMAddIn é um membro da coleção COMAddIns.

Usando o objeto COMAddIn

Use COMAddIns.Item(index), onde index pode ser um valor ordinal que retorna o suplemento COM à sua posição na coleção COMAddIns ou um valor String que representa o ProgID do suplemento COM especificado. O exemplo a seguir exibe o texto de descrição de um suplemento COM em uma caixa de mensagem.

MsgBox Application.COMAddIns.Item("msodraa9.ShapeSelect").Description

Use a propriedade ProgID do objeto COMAddin para retornar o identificador programático de um suplemento COM e use a propriedade Guid para retornar o identificador único (GUID) do suplemento. O exemplo a seguir exibe o ProgID e o GUID do suplemento COM em uma mesma caixa de mensagem.

MsgBox "My ProgID is " & _
    Application.COMAddIns(1).ProgID & _
    " and my GUID is " & _
    Application.COMAddIns(1).Guid

Use a propriedade Connect para definir ou retornar o estado da conexão a um suplemento COM especificado. O exemplo a seguir exibe a caixa de mensagem que indica se o suplemento COM está registrado e conectado no momento.

If Application.COMAddIns(1).Connect Then
    MsgBox "The add-in is connected."
Else
MsgBox "The add-in is not connected."
End If


Objeto da coleção COMAddIns

COMAddIns (COMAddIn)

Uma coleção de objetos COMAddIn que fornece informações sobre um suplemento COM inscrito no Registro do Windows.

Usando a coleção COMAddIns

Use a propriedade COMAddIns do objeto Application para retornar a coleção COMAddIns de um aplicativo host do Microsoft Office. Essa coleção contém todos os suplementos COM disponíveis para um determinado aplicativo host do Office e a propriedade Count da coleção COMAddins retorna o número de suplementos COM disponíveis, como mostra o exemplo a seguir.

MsgBox Application.COMAddIns.Count

Use o método Update da coleção COMAddins para atualizar a lista de suplementos COM no registro do Windows, como mostra o exemplo a seguir.

Application.COMAddIns.Update

Use COMAddIns.Item(index), onde index é um valor ordinal que retorna o suplemento COM para aquela posição na coleção COMAddIns ou um valor String que representa o ProgID do suplemento COM especificado. O exemplo a seguir exibe uma descrição de texto e o ProgID de um suplemento COM ("msodraa9.ShapeSelect") em uma caixa de mensagem.

MsgBox Application.COMAddIns.Item("msodraa9.ShapeSelect").Description


Objeto CommandBar

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Representa uma barra de comandos no aplicativo recipiente. O objeto CommandBar é um membro da coleção CommandBars.

Usando o objeto CommandBar

Use CommandBars(index), onde index é o nome ou número de índice de uma barra de comandos, para retornar um único objeto CommandBar. O exemplo a seguir percorre a coleção de barras de comandos até encontrar a barra de comandos chamada "Forms". Se encontrar essa barra de comandos, o exemplo a tornará visível e protegerá seu estado de ancoragem. Neste exemplo, a variável cb representa um objeto CommandBar.

foundFlag = False
For Each cb In CommandBars
    If cb.Name = "Forms" Then
        cb.Protection = msoBarNoChangeDock
        cb.Visible = True
        foundFlag = True
    End If
Next cb
If Not foundFlag Then
    MsgBox "The collection does not contain a Forms command bar."
End If

Você pode usar um nome ou número de índice para especificar uma barra de menus ou barra de ferramentas na lista de barras de menus e barras de ferramentas disponíveis no aplicativo recipiente. Entretanto, você deve usar um nome para especificar um menu, menu de atalho ou submenu (que estão todos representados por objetos CommandBar). Este exemplo adiciona um novo item de menu à parte inferior do menu Ferramentas. Quando acionado por um clique, o novo item de menu executa o procedimento chamado "qtrReport".

Set newItem = CommandBars("Tools").Controls.Add(Type:=msoControlButton)
With newItem
    .BeginGroup = True
    .Caption = "Make Report"
    .FaceID = 0
    .OnAction = "qtrReport"
End With

Se dois ou mais menus ou submenus personalizados tiverem o mesmo nome, CommandBars(index) retornará o primeiro. Para se certificar de que você esteja retornando o menu ou submenu correto, localize o controle pop-up que exibe o menu. Em seguida, aplique a propriedade CommandBar ao controle pop-up para retornar a barra de comandos que representa o menu.

Supondo-se que o terceiro controle na barra de ferramentas chamada "Custom Tools" seja um controle pop-up, este exemplo adiciona o comando Save à parte inferior do menu.

Set viewMenu = CommandBars("Custom Tools").Controls(3)
viewMenu.Controls.Add ID:=3    'ID of Save command is 3


Objeto CommandBarButton

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Representa um controle de botão em uma barra de comandos.

Usando o objeto CommandBarButton

Use Controls(index), onde index é o número de índice do controle, para retornar um objeto CommandBarButton. (A propriedade Type do controle deve ser msoControlButton.)

Supondo-se que o segundo controle na barra de comandos chamada "Custom" seja um botão, o exemplo a seguir altera o estilo do botão.

Set c = CommandBars("Custom").Controls(2)
With c
If .Type = msoControlButton Then
    If .Style = msoButtonIcon Then
        .Style = msoButtonIconAndCaption
    Else
        .Style = msoButtonIcon
    End If
End If
End With

Você também pode usar o método FindControl para retornar um objeto CommandBarButton.


Objeto CommandBarComboBox

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Representa um controle de caixa de combinação em uma barra de comandos.

Usando o objeto CommandBarComboBox

Use Controls(index), onde index é o número de índice do controle, para retornar um objeto CommandBarComboBox. (A propriedade Type do controle deve ser msoControlEdit, msoControlDropdown, msoControlComboBox, msoControlButtonDropdown, msoControlSplitDropdown, msoControlOCXDropdown, msoControlGraphicCombo ou msoControlGraphicDropdown.)

O exemplo a seguir adiciona dois itens ao segundo controle na barra de comandos chamada "Custom" e ajusta o tamanho do controle.

Set combo = CommandBars("Custom").Controls(2)
With combo
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListIndex = 0
End With

Você também pode usar o método FindControl para retornar um objeto CommandBarComboBox. O exemplo a seguir procura em todas as barras de comandos por um objeto CommandBarComboBox visível cuja marca é "sheet assignments".

Set myControl = CommandBars.FindControl _
(Type:=msoControlComboBox, Tag:="sheet assignments", Visible:=True)


Objeto CommandBarControl

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Representa um controle da barra de comandos. O objeto CommandBarControl é um membro da coleção CommandBarControls. As propriedades e os métodos do objeto CommandBarControl são compartilhados pelos objetos CommandBarButton, CommandBarComboBox e CommandBarPopup.

Observação Ao escrever código de Visual Basic para trabalhar com controles de barras de comandos personalizadas, use objetos CommandBarButton, CommandBarComboBox e CommandBarPopup. Ao escrever código para trabalhar com controles internos no aplicativo recipiente que não possam ser representados por um desses três objetos, use o objeto CommandBarControl.

Usando o objeto CommandBarControl

Use Controls(índices), onde índices é o número do índice de um controle, para retornar um objeto CommandBarControl. (A propriedade Type do controle deve ser msoControlLabel, msoControlExpandingGrid, msoControlSplitExpandingGrid, msoControlGrid ou msoControlGauge.)

Observação As variáveis declaradas como CommandBarControl podem ter os valores CommandBarButton, CommandBarComboBox e CommandBarPopup atribuídos.

Você também pode usar o método FindControl para retornar um objeto CommandBarControl. O exemplo a seguir procura um controle do tipo msoControlGauge; se encontrar, ele exibe o número de índice do controle e o nome da barra de comandos que o contém. Neste exemplo, a variável lbl representa um objeto CommandBarControl.

Set lbl = CommandBars.FindControl(Type:= msoControlGauge)
If lbl Is Nothing Then
    MsgBox "A control of type msoControlGauge was not found."
Else
    MsgBox "Control " & lbl.Index & " on command bar " _
        & lbl.Parent.Name & " is type msoControlGauge"
End If


Objeto da coleção CommandBarControls

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Uma coleção de objetos CommandBarControl que representam os controles de barra de comandos em uma barra de comandos.

Usando a coleção CommandBarControls

Use a propriedade Controls para retornar a coleção CommandBarControls. O exemplo a seguir altera a legenda de todos os controles na barra de ferramentas "Standard" para o valor atual da propriedade Id do controle.

For Each ctl In CommandBars("Standard").Controls
    ctl.Caption = CStr(ctl.Id)
Next ctl

Use o método Add para adicionar um novo controle de barra de comandos à coleção CommandBarControls. Este exemplo adiciona um novo botão vazio à barra de comandos "Custom".

Set myBlankBtn = CommandBars("Custom").Controls.Add

Use Controls(index), onde index é a legenda ou o número de índice de um controle, para retornar um objeto CommandBarControl, CommandBarButton, CommandBarComboBox ou CommandBarPopup. O exemplo a seguir copia o primeiro controle da barra de comandos "Standard" para a barra de comandos "Custom".

Set myCustomBar = CommandBars("Custom")
Set myControl = CommandBars("Standard").Controls(1)
myControl.Copy Bar:=myCustomBar, Before:=1


Objeto CommandBarPopup

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Representa um controle pop-up em uma barra de comandos.

Usando o objeto CommandBarPopup

Use Controls(index), onde index é o número do controle, para retornar um objeto CommandBarPopup. (A propriedade Type do controle deve ser msoControlPopup, msoControlGraphicPopup, msoControlButtonPopup, msoControlSplitButtonPopup ou msoControlSplitButtonMRUPopup.)

Você também pode usar o método FindControl para retornar um objeto CommandBarPopup. O exemplo a seguir procura em todas as barras de comandos por um objeto CommandBarPopup cuja marca é "Graphics".

Set myControl = Application.CommandBars.FindControl _
(Type:=msoControlPopup, Tag:="Graphics")

Comentários

Todo controle pop-up contém um objeto CommandBar. Para retornar a barra de comandos de um controle pop-up, aplique a propriedade CommandBar ao objeto CommandBarPopup.


Objeto da coleção CommandBars

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Uma coleção de objetos CommandBar que representa as barras de comandos no aplicativo recipiente.

Usando a coleção CommandBars

Use a propriedade CommandBars para retornar a coleção CommandBars. O exemplo a seguir exibe na janela Imediata o nome e o nome local de cada barra de menus e barra de ferramentas e exibe um valor que indica se a barra de menus ou a barra de ferramentas está visível.

For Each cbar in CommandBars
    Debug.Print cbar.Name, cbar.NameLocal, cbar.Visible
Next

Use o método Add para adicionar uma nova barra de comandos à coleção. O exemplo a seguir cria uma barra de ferramentas personalizada chamada "Custom1" e a exibe como uma barra de ferramentas flutuante.

Set cbar1 = CommandBars.Add(Name:="Custom1", Position:=msoBarFloating)
cbar1.Visible = True

Use CommandBars(index), onde index é o nome ou número de índice de uma barra de comandos, para retornar um único objeto CommandBar. O exemplo a seguir encaixa a barra de ferramentas chamada "Custom1" na parte inferior da janela do aplicativo.

CommandBars("Custom1").Position = msoBarBottom

Observação Você pode usar o nome ou número de índice para especificar uma barra de menus ou barra de ferramentas na lista de barras de menus disponíveis no aplicativo recipiente. Entretanto, você precisa usar o nome para especificar um menu, menu de atalho ou submenu (que são todos representados pelos objetos CommandBar).

Se dois ou mais menus ou submenus personalizados tiverem o mesmo nome, CommandBars(index) retornará o primeiro. Para se certificar de que você está retornando o menu ou submenu correto, localize o controle pop-up que exibe o menu. Em seguida, aplique a propriedade CommandBar ao controle pop-up para retornar a barra de comandos que representa o menu.


Objeto da coleção DocumentProperties

Uma coleção de objetos DocumentProperty. Cada objeto DocumentProperty representa uma propriedade personalizada ou interna de um documento recipiente.

Usando a coleção DocumentProperties

Use o método Add para criar uma nova propriedade personalizada e adicioná-la à coleção DocumentProperties. Você não pode usar o método Add para criar uma propriedade de documento interna.

Use BuiltinDocumentProperties(index), onde index é o número de índice da propriedade de documento interna, para retornar um único objeto DocumentProperty que representa uma propriedade de documento interna específica. Use CustomDocumentProperties(index), onde index é o número da propriedade de documento personalizado, para retornar um objeto DocumentProperty que representa uma propriedade personalizada de documento específica.


Objeto DocumentProperty

Representa uma propriedade personalizada ou interna de um documento recipiente. O objeto DocumentProperty é um membro da coleção DocumentProperties.

Usando o objeto DocumentProperty

Use BuiltinDocumentProperties(index), onde index é o nome ou número de índice da propriedade interna do documento, para retornar um único objeto DocumentProperty representando uma propriedade interna de documento específica. Use CustomDocumentProperties(index), onde index é o nome ou número de índice da propriedade personalizada de documento, para retornar um objeto DocumentProperty representando uma propriedade personalizada de documento específica.

A lista a seguir contém os nomes de todas as propriedades internas de documento disponíveis:

Title

Subject

Author

Keywords

Comments

Template

Last Author

Revision Number

Application Name

Last Print Date

Creation Date

Last Save Time

Total Editing Time

Number of Pages

 Number of Words

Number of Characters

Security

Category

Format

Manager

Company

Number of Bytes

Number of Lines

Number of Paragraphs

Number of Slides

Number of Notes

Number of Hidden Slides

Number of Multimedia Clips

Os aplicativos recipientes não definem necessariamente um valor para cada propriedade de documento interna. Quando um dado aplicativo não define um valor para uma das propriedades de documento internas, retornar a propriedade Value dessa propriedade de documento causa um erro.


Objeto FileDialog

FileDialog
Vários objetos

Fornece funcionalidade de caixa de diálogo semelhante à das caixas de diálogo padrão Abrir e Salvar encontradas nos aplicativos do Microsoft Office. Com essas caixas de diálogo, os usuários que utilizam suas soluções podem especificar facilmente os arquivos e pastas que sua solução deve usar.

Utilizando o objeto FileDialog

Use a propriedade FileDialog para retornar um objeto FileDialog. A propriedade FileDialog está localizada em cada objeto Application de um aplicativo individual do Office. A propriedade usa um único argumento, DialogType, que determina que tipo de objeto FileDialog a propriedade retorna. Existem quatro tipos de objeto FileDialog:

  • Caixa de diálogo Abrir - permite que os usuários selecionem um ou mais arquivos que você pode abrir no aplicativo host usando o método Execute.
  • Caixa de diálogo Salvar como - permite que os usuários selecionem um único arquivo que você pode salvar no arquivo atua usando o método Execute.
  • Caixa de diálogo genérica de seleção de arquivos - permite que os usuários selecionem um ou mais arquivos. Os caminhos de arquivo que o usuário seleciona são capturados na coleção FileDialogSelectedItems.
  • Caixa de diálogo genérica de seleção de pastas - permite que os usuários selecionem um caminho. O caminho que o usuário seleciona é capturado na coleção FileDialogSelectedItems.

Cada aplicativo host pode criar uma única instância do objeto FileDialog. Portanto, muitas propriedades do objeto FileDialog persistem mesmo que você crie vários objetos FileDialog. Por isso, verifique se você definiu todas as propriedades de acordo com sua finalidade antes de exibir a caixa de diálogo.

Para exibir uma caixa de diálogo usando o objeto FileDialog, é necessário usar o método Show. Após exibir a caixa de diálogo, nenhum código será executado até que o usuário descarte a caixa de diálogo. O exemplo a seguir cria e exibe uma caixa de diálogo genérica de seleção de arquivos e depois exibe cada arquivo selecionado em uma caixa de mensagem.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "The path is: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Objeto FileDialogFilter

FileDialogFilters
FileDialogFilter

Representa um filtro de arquivo em uma caixa de diálogo exibido por meio do objeto FileDialog. Cada filtro de arquivo determina que arquivos devem ser exibidos na caixa de diálogo.

Utilizando o objeto FileDialogFilter

Use o método Item com a coleção FileDialogFilters para retornar um objeto FileDialogFilter. Use o método Add para adicionar um novo objeto FileDialogFilter à coleção FileDialogFilters. É possível retornar as extensões que um objeto FileDialogFilter usa para filtrar arquivos com a propriedade Extensions e retornar a descrição do filtro com a propriedade Description; entretanto, essas duas propriedades são somente leitura. Se você quiser definir a extensão ou descrição, use o método Add.

O exemplo a seguir se repete por meio dos filtros padrão da caixa de diálogo Salvar como e exibe a descrição de cada filtro que inclui um arquivo do Microsoft Excel.

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files.
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Description of filter: " & fdf.Description
        End If
    Next fdf
End Sub


Coleção FileDialogFilters

FileDialog
FileDialogFilters
FileDialogFilter

Uma coleção de objetos FileDialogFilter que representa os tipos que podem ser selecionados em uma caixa de diálogo exibida usando o objeto FileDialog.

Utilizando a coleção FileDialogFilters

Use a propriedade Filters do objeto FileDialog para retornar uma coleção FileDialogFilters. O código a seguir retorna a coleção FileDialogFilters da caixa de diálogo Abrir arquivo.

Application.FileDialog(msoFileDialogOpen).Filters

Use o método Add para adicionar objetosFileDialogFilter à coleção FileDialogFilters. O exemplo a seguir usa o método Clear para apagar a coleção e adicionar filtros à coleção. O método Clear esvazia totalmente a coleção; entretanto, se você não adicionar filtros à coleção depois de apagá-la, o filtro "Todos os arquivos (*.*)" será adicionado automaticamente.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Change the contents of the Files of Type list.
        'Empty the list by clearing the FileDialogFilters collection.
        .Filters.Clear

        'Add a filter that includes all files.
        .Filters.Add "All files", "*.*"

        'Add a filter that includes GIF and JPEG images and make it the first item in the list.
        .Filters.Add "Images", "*.gif; *.jpg; *.jpeg", 1

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
        If .Show = -1 Then

            'Step through each String in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Path name: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub

Ao alterar a coleção FileDialogFilters, lembre-se de que cada aplicativo pode criar somente uma instância do objeto FileDialog. Isso significa que a coleção FileDialogFilters será redefinida com seus filtros padrão sempre que você chamar o método FileDialog com um novo tipo de caixa de diálogo.

O exemplo a seguir se repete por meio dos filtros padrão da caixa de diálogo Salvar como e exibe a descrição de cada filtro que inclui um arquivo do Microsoft Excel.

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Description of filter: " & fdf.Description
        End If
    Next fdf

End Sub

Observação Um erro em tempo de execução ocorrerá se a propriedade Filters for usada com os métodos Clear, Add ou Delete quando aplicada a um objeto FileDialog de Salvar como. Por exemplo, Application.FileDialog(msoFileDialogSaveAs).Filters.Clear resultará em um erro em tempo de execução.


Coleção FileDialogSelectedItems

FileDialog
FileDialogSelectedItems

Uma coleção de valores String que corresponde aos caminhos de arquivos ou pastas que um usuário selecionou a partir de uma caixa de diálogo exibida por meio do objeto FileDialog.

Utilizando a coleção FileDialogSelectedItems

Use a propriedade SelectedItems com o objeto FileDialog para retornar uma coleção FileDialogSelectedItems. O exemplo a seguir exibe uma caixa de diálogo genérica de seleção de arquivos e exibe cada arquivo selecionado em uma caixa de mensagem.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

         'Allow the selection of multiple file.
        .AllowMultiSelect = True

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Objeto FileSearch

FileSearch
Vários objetos

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Representa a funcionalidade da caixa de diálogo Abrir (menu Arquivo).

Uso do objeto FileSearch

Use a propriedade FileSearch para retornar o objeto FileSearch. O exemplo seguinte pesquisa os arquivos especificados e exibe o número de arquivos localizados e o nome de cada arquivo localizado.

With Application.FileSearch
    If .Execute() > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With

Use o método NewSearch para redefinir o critério de pesquisa com as definições padrão. Todos os valores de propriedade são retidos após cada pesquisa ser executada, e usando o método NewSearch você pode definir propriedades de forma seletiva para a próxima pesquisa de arquivos sem redefinir manualmente os valores anteriores das propriedades. O exemplo seguinte redefine o critério de pesquisa com definições padrão antes de iniciar uma nova pesquisa.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .FileName = "Run"
    .MatchTextExactly = True
    .FileType = msoFileTypeAllFiles
End With


Coleção FileTypes

FileSearch
FileTypes

Uma coleção de valores do tipo msoFileType que determina que tipos de arquivo são retornados pelo método Execute do objeto FileSearch.

Utilizando a coleção FileTypes

Use a propriedade FileTypes com o objeto FileSearch para retornar uma coleção FileTypes; por exemplo:

Set ft = Application.FileSearch.FileTypes

Observação A propriedade FileType do objeto FileSearch limpa a coleção FileTypes e define o primeiro item da coleção como o tipo de arquivo definido pela propriedade FileType .

Existe somente uma coleção FileTypes para todas as pesquisas, por isso é importante limpar a coleção FileTypes antes de executar uma pesquisa, a não ser que você queira procurar por tipos de arquivo de pesquisas anteriores. A maneira mais fácil de limpar a coleção é definir a propriedade FileType como o primeiro tipo de arquivo que você deseja pesquisar. É possível também remover tipos individuais usando o método Remove. Para determinar o tipo de arquivo de cada item da coleção, use o método Item para retornar o valor msoFileType.

O exemplo a seguir procura por todos os arquivos HTML e do Microsoft Excel na unidade C:\.

Sub SearchForFiles()

    'Declare a variable to act as a generic counter
    Dim lngCount As Long

    'Use a With...End With block to reference the
    'FileSearch object
    With Application.FileSearch

        'Clear all the parameters of the previous searches.
        'This method doesn't clear the LookIn property or
        'the SearchFolders collection.
        .NewSearch

        'Setting the FileType property clears the
        'FileTypes collection and sets the first
        'item in the collection to the file type
        'defined by the FileType property.
        .FileType = msoFileTypeWebPages

        'Add a second item to the FileTypes collection
        .FileTypes.Add msoFileTypeExcelWorkbooks

        'Display the number of FileTypes in the collection.
        MsgBox "You are about to search for " & .FileTypes.Count & _
            " file types."

        'Set up the search to look in all subfolders on the C:\ drive.
        .LookIn = "C:\"
        .SearchSubFolders = True

        'Execute the search and test to see if any files
        'were found.
        If .Execute <> 0 Then

            'Display the number of files found.
            MsgBox "Files found: " & .FoundFiles.Count

            'Loop through the list of found files and
            'display the path of each one in a message box.
            For lngCount = 1 To .FoundFiles.Count
                If MsgBox(.FoundFiles.Item(lngCount), vbOKCancel, _
                    "Found files") = vbCancel Then

                    'Break out of the loop
                    lngCount = .FoundFiles.Count

                End If
            Next lngCount
        Else
            MsgBox "No files found."
        End If
    End With
End Sub

O exemplo a seguir efetua um loop na coleção FileTypes e remove qualquer tipo de arquivo que não seja do Microsoft Word ou do Microsoft Excel (em geral, é mais simples limpar a coleção FileTypes e começar do zero).

Sub RemoveFileTypeFromCollection()

    'Define an integer to use as a counter
    'when iterating through the FileTypes collection.
    Dim intFileIndex As Integer

    'Use a With...End With block to reference the FileSearch object.
    With Application.FileSearch

        'Loop through all of the items in the FileTypes collection.
        intFileIndex = 1
        Do While intFileIndex <= .FileTypes.Count
            Select Case .FileTypes.Item(intFileIndex)
                Case msoFileTypeWordDocuments, msoFileTypeExcelWorkbooks
                Case Else

                    'If the file type isn't a Microsoft Word or
                    'Microsoft Excel file, remove it.
                    .FileTypes.Remove intFileIndex

                    'Decrement the counter so that no file types are missed.
                    intFileIndex = intFileIndex - 1
            End Select

            'Increment the counter to test the next file type.
            intFileIndex = intFileIndex + 1
        Loop

    End With
End Sub


Objeto FoundFiles

FileSearch
PropertyTests (PropertyTest)
FoundFiles

Representa a lista de arquivos retornados de uma pesquisa de arquivos.

Usando o objeto FoundFiles

Use a propriedade FoundFiles para retornar o objeto FoundFiles. Este exemplo percorre a lista de arquivos localizados e exibe o caminho e o nome de cada arquivo. Use FoundFiles(index), onde index é o número de índice, para retornar o caminho e o nome de um arquivo específico localizado durante a procura.

With Application.FileSearch
    For i = 1 To .FoundFiles.Count
        MsgBox .FoundFiles(i)
    Next I
End With

Use o método Execute para iniciar a pesquisa de arquivos e atualizar o objeto FoundFiles. O exemplo a seguir pesquisa na pasta My Documents todos os arquivos cujos nomes comecem com "Cmd" e exibe o nome e a localização de cada arquivo localizado. O exemplo também classifica os arquivos retornados em ordem alfabética crescente por nome de arquivo.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "cmd*"
    If .Execute(SortBy:=msoSortbyFileName, _
    SortOrder:=msoSortOrderAscending) > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Objeto HTMLProject

HTMLProject
HTMLProjectItems (HTMLProjectItem)

Representa a ramificação de um projeto de alta posição, como no Project Explorer do Editor de scripts Microsoft.

Usando o objeto HTMLProject

Use o método Open do objeto HTMLProject para abrir um projeto HTML no Editor de scripts Microsoft. O projeto é aberto no modo de exibição de origem ou no modo de exibição de texto no documento do Microsoft Word, na pasta de trabalho do Excel ou na apresentação do PowerPoint ativa. O exemplo a seguir abre um projeto HTML no documento do Word ativo no modo de exibição de código fonte.

ActiveDocument.HTMLProject.Open (msoHTMLProjectOpenSourceView)

Use a propriedade HTMLProjectItems para retornar a coleção de objetos HTMLProjectItem no projeto HTML. Use o método RefreshDocument para atualizar o documento HTML no aplicativo host. Use o método RefreshProject para atualizar o projeto no Editor de scripts Microsoft. Use o método State para determinar se o projeto HTML necessita de atualização.


Objeto HTMLProjectItem

HTMLProject
HTMLProjectItems (HTMLProjectItem)

Representa um item de projeto individual, que é uma ramificação de item de projeto dentro do Project Explorer no Editor de scripts Microsoft. O objeto HTMLProjectItem é um membro da coleção HTMLProjectItems.

Usando o objeto HTMLProjectItem

Use HTMLProjectItems(index), onde index é o nome ou número de índice de um item de projeto, para retornar um único objeto HTMLProjectItem. Use a propriedade Name para retornar o nome de exibição do item de projeto. O exemplo a seguir retorna o nome do primeiro item de projeto da coleção HTMLProjectItems do documento ativo.

MsgBox "The first item is " & _
    ActiveDocument.HTMLProject.HTMLProjectItems(1).Name

Use o método Open para abrir um item de projeto no modo de exibição de código fonte ou no modo de exibição de texto, e use a propriedade IsOpen para determinar se o item de projeto está aberto no momento. O exemplo a seguir abre o item de projeto chamado "ItemOne” (no documento ativo) no modo de exibição padrão e exibe uma caixa de mensagem confirmando se o item foi aberto com sucesso.

ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne").Open
If ActiveDocument.HTMLProject. _
        HTMLProjectItems("ItemOne").IsOpen Then
MsgBox "Opened project item " & ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne").Name
End If

Use o método SaveCopyAs para salvar o item de projeto usando um novo nome de arquivo. O exemplo a seguir salva uma cópia de ItemOne como “NewItem”.

ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne") _
    .Open (msoHTMLProjectOpenTextView)
ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne") _
    .SaveCopyAs("C:\NewItem.txt")

Supondo-se que o arquivo de texto C:\NewText.txt exista, o exemplo a seguir usa a propriedade LoadFromFile para definir o texto de ItemOne como o texto contido no arquivo. O exemplo a seguir usa a propriedade Text para exibir o novo texto em uma caixa de mensagem.

MsgBox ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").Text
ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").LoadFromFile("C:\NewText.txt")
MsgBox ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").Text


Objeto da coleção HTMLProjectItems

HTMLProject
HTMLProjectItems (HTMLProjectItem)

Uma coleção de objetos HTMLProjectItem que representa os itens de projeto HTML contidos no objeto HTMLProject.

Usando a coleção HTMLProjectItems

Use a propriedade HTMLProjectItems do objeto HTMLProject para retornar a coleção HTMLProjectItems. Use a propriedade Count da coleção HTMLProjectItems para retornar o número de itens de projeto no projeto HTML do documento especificado. Use o método Item da coleção HTMLProjectItems para retornar um único item de projeto. O exemplo a seguir retorna o nome do primeiro item de projeto na coleção HTMLProjectItems do documento ativo.

MsgBox "The first item is " & _
    ActiveDocument.HTMLProject.HTMLProjectItems(1).Name


Objeto LanguageSettings

LanguageSettings

Retorna informações sobre as definições de idioma de um aplicativo do Microsoft Office.

Usando o objeto LanguageSettings

Use Application.LanguageSettings.LanguageID(MsoAppLanguageID), onde MsoAppLanguageID é uma constante usada para retornar informações do identificador de localidade (LCID) para o aplicativo especificado.

MsoAppLanguageID pode ser uma das seguintes constantes:
msoLanguageIDExeMode
msoLanguageIDHelp
msoLanguageIDInstall
msoLanguageIDUI
msoLanguageIDUIPrevious

O exemplo a seguir retorna os LCIDs do idioma de instalação, da interface do usuário e da Ajuda em uma caixa de mensagem.

MsgBox "The following locale IDs are registered " & _
    "for this application: Install Language - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDInstall) & _
    " User Interface Language - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDUI) & _
    " Help Language - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDHelp)

Use Application.LanguageSettings.LanguagePreferredForEditing para determinar os LCIDs que estão registrados como os idiomas de edição preferidos do aplicativo, como no exemplo a seguir.

If Application.LanguageSettings. _
    LanguagePreferredForEditing(msoLanguageIDEnglishUS) Then
    MsgBox "U.S. English is one of the chosen editing languagess."
End If


Objeto MsoEnvelope

MsoEnvelope
CommandBars

Fornece acesso à funcionalidade que permite enviar documentos como emails diretamente a partir de aplicativos do Microsoft Office.

Utilizando o objeto MsoEnvelope

Use a propriedade MailEnvelope dos objetos Document, Chart ou Worksheet (dependendo do aplicativo que você estiver usando) para retornar um objeto MsoEnvelope.

O exemplo a seguir envia o documento ativo do Microsoft Word como um email para o endereço de email que você passa para a sub-rotina.

Sub SendMail(ByVal strRecipient As String)

    'Use a With...End With block to reference the MsoEnvelope object.
    With Application.ActiveDocument.MailEnvelope

        'Add some introductory text before the body of the e-mail.
        .Introduction = "Please read this and send me your comments."

        'Return a Microsoft Outlook MailItem object that
        'you can use to send the document.
        With .Item

            'All of the mail item settings are saved with the document.
            'When you add a recipient to the Recipients collection
            'or change other properties, these settings will persist.
            .Recipients.Add strRecipient
            .Subject = "Here is the document."

            'The body of this message will be
            'the content of the active document.
            .Send
        End With
    End With
End Sub


Objeto NewFile

NewFile

O objeto NewFile representa itens listados no painel de tarefas Novo item disponível em vários aplicativos do Microsoft Office. A tabela a seguir mostra a propriedade a ser usada para acessar o objeto NewFile em cada um dos aplicativos.

Aplicativo | Propriedade
Microsoft Access | NewFileTaskPane
Microsoft Excel | NewWorkbook
Microsoft FrontPage | NewPageOrWeb
Microsoft PowerPoint | NewPresentation
Microsoft Word | NewDocument

Observação Os exemplos abaixo são do Word, mas é possível alterar a propriedade NewDocument para qualquer uma das propriedades listadas acima e usar o código do aplicativo correspondente.

Utilizando o objeto NewFile

Use o método Add para adicionar um novo item ao painel de tarefas Novo item. O exemplo a seguir adiciona um item ao painel de tarefas Novo documento do Word.

Sub AddNewDocToTaskPane()
    Application.NewDocument.Add FileName:="C:\NewDocument.doc", _
        Section:=msoNew, DisplayName:="New Document"
    CommandBars("Task Pane").Visible = True
End Sub

Use o método Remove para remover um item do painel de tarefas Novo item. O exemplo a seguir remove o documento adicionado no exemplo acima do painel de tarefas Novo documento do Word.

Sub RemoveDocFromTaskPane()
    Application.NewDocument.Remove FileName:="C:\NewDocument.doc", _
        Section:=msoNew, DisplayName:="New Document"
    CommandBars("Task Pane").Visible = True
End Sub


Objeto ODSOColumn

ODSOColumns
ODSOColumn

Representa um campo na fonte de dados. O objeto HTMLProjectItem é um membro da coleção ODSOColumns. A coleção ODSOColumns inclui todos os campos de dados em uma fonte de dados de mala direta (por exemplo, Nome, Endereço e Cidade).

Utilizando o objeto ODSOColumn

Use Columns(index), onde index é o nome do campo de dados ou o número de índice, para retornar um único objeto ODSOColumn. O número de índice representa a posição do campo de dados na fonte de dados de mala direta. Este exemplo recupera o nome e valor do primeiro campo do primeiro registro da fonte de dados anexada à publicação ativa.

Sub GetDataFromSource()

    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        MsgBox "Field Name: " & .Item(1).Name & vbLf & _
            "Value: " & .Item(1).Value
    End With
End Sub

Comentários

Não é possível adicionar campos à coleção ODSOColumns. Todos os campos de dados em uma fonte de dados são automaticamente incluídos na coleção ODSOColumns.


Objeto ODSOColumns

OfficeDataSourceObject
ODSOColumns
ODSOColumn

Uma coleção de objetos ODSOColumn que representa os campos de dados em uma fonte de dados de mala direta.

Utilizando o objeto ODSOColumns

Use a propriedade Columns para retornar a coleção ODSOColumns. O exemplo a seguir exibe os nomes de campos da fonte de dados anexada à publicação ativa.

Sub ShowFieldNames()
    Dim appOffice As OfficeDataSourceObject
    Dim intCount As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        For intCount = 1 To .Count
            MsgBox "Column Name: " & .Item(intCount).Name
        Next
    End With
End Sub

Use Columns(index), onde index é o nome do campo de dados ou o número de índice, para retornar um único objeto ODSOColumn. O número de índice representa a posição do campo de dados da fonte de dados de mala direta. Este exemplo recupera o nome do primeiro campo e valor do primeiro registro do campo FirstName da fonte de dados anexada à publicação ativa.

Sub GetDataFromSource()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        MsgBox "Field Name: " & .Columns(1).Name & _
            "Value: " & .Columns("FirstName").Value
    End With
End Sub


Objeto ODSOFilter

ODSOFilters
ODSOFilter

Representa um filtro a ser aplicado a uma fonte de dados de mala direta. O objeto ODSOFilter é um membro da coleção ODSOFilters.

Utilizando o objeto ODSOFilter

Cada filtro é uma linha em uma seqüência de caracteres de consulta. Use as propriedades Column, Comparison, CompareTo e Conjunction para retornar ou definir o critério de consulta da fonte de dados. O exemplo a seguir altera um filtro existente para remover da mala direta todos os registros que não têm um campo Region igual a "WA".

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub

Use o método Add do objeto ODSOFilters para adicionar um novo critério de filtro à consulta. Este exemplo adiciona uma nova linha à seqüência de caracteres da consulta e aplica o filtro combinado à fonte de dados.

Sub SetQueryCriterion()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        .Add Column:="Region", _
            Comparison:=msoFilterComparisonIsBlank, _
            Conjunction:=msoFilterConjunctionAnd
        .ApplyFilter
    End With
End Sub


Objeto ODSOFilters

OfficeDataSourceObject
ODSOFilters
ODSOFilter

Representa todos os filtros a serem aplicados à fonte de dados anexada à publicação de mala direta. O objeto ODSOFilters é composto por objetos ODSOFilter.

Utilizando o objeto ODSOFilters

Use o método Add do objeto ODSOFilters para adicionar um novo critério de filtro à consulta. Este exemplo adiciona uma nova linha à seqüência de caracteres da consulta e aplica o filtro combinado à fonte de dados.

Sub SetQueryCriterion()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        .Add Column:="Region", _
            Comparison:=msoFilterComparisonIsBlank, _
            Conjunction:=msoFilterConjunctionAnd
        .ApplyFilter
    End With
End Sub

Use o método Item para acessar um critério de filtro individual. Este exemplo efetua um loop em todos os critérios de filtro e, se encontrar um com um valor de "Region", irá alterá-lo para remover da mala direta todos os registros que não são iguais a "WA".

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Objeto OfficeDataSourceObject

OfficeDataSourceObject
Vários objetos

Representa a fonte de dados da mala direta em uma operação de mala direta.

Utilizando o objeto OfficeDataSourceObject

Para trabalhar com o objeto OfficeDataSourceObject, dimensione uma variável como um objeto OfficeDataSourceObject. Em seguida, você poderá trabalhar com as diferentes propriedades e métodos associados ao objeto. Use o método SetSortOrder para especificar como classificar os registros em uma fonte de dados. O exemplo a seguir classifica a fonte de dados primeiro de acordo com o CEP, na ordem decrescente, e depois com base no sobrenome e nome, na ordem crescente.

Sub SetDataSortOrder()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    appOffice.SetSortOrder SortField1:="ZipCode", _
        SortAscending1:=False, SortField2:="LastName", _
        SortField3:="FirstName"
End Sub

Use as propriedades Column, Comparison, CompareTo e Conjunction para retornar ou definir o critério de consulta da fonte de dados. O exemplo a seguir altera um filtro existente para remover todos os registros da mala direta que não têm um campo Region igual a "WA".

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Objeto PropertyTest

FileSearch
PropertyTests (PropertyTest)
FoundFiles

Representa um critério de pesquisa de um único arquivo. Os critérios de pesquisa são listados na caixa de diálogo Localização avançada (menu Arquivo, comando Abrir, botão Localização avançada). O objeto PropertyTest é membro da coleção PropertyTests.

Usando o objeto PropertyTest

Use PropertyTests(index), onde index é o número de índice, para retornar um único objeto PropertyTest. O exemplo a seguir exibe todos os critérios de pesquisa do primeiro teste de propriedade na coleção PropertyTests.

With Application.FileSearch.PropertyTests(1)
myString = "This is the search criteria: " _
    & " The name is: " & .Name & ". The condition is: " _
    & .Condition
If .Value <> "" Then
    myString = myString & ". The value is: " & .Value
    If .SecondValue <> "" Then
        myString = myString _
            & ". The second value is: " _
            & .SecondValue & ", and the connector is" _
            & .Connector
    End If
End If
MsgBox myString
End With


Objeto da coleção PropertyTests

FileSearch
PropertyTests (PropertyTest)
FoundFiles

Uma coleção de objetos PropertyTest que representa todos os critérios de uma pesquisa de arquivos. Os critérios de pesquisa são listados na caixa de diálogo Localização avançada (menu Arquivo, comando Abrir, botão Avançado...).

Usando a coleção PropertyTests

Use a propriedade PropertyTests para retornar a coleção PropertyTests. O exemplo a seguir exibe o número de critérios de pesquisa avançada que serão usados na pesquisa de um arquivo.

Application.FileSearch.PropertyTests.Count

Use o método Add para adicionar um novo objeto PropertyTest à coleção PropertyTests. O exemplo a seguir adiciona dois testes de propriedades aos critérios de pesquisa. O primeiro critério especifica que os arquivos encontrados podem ser de qualquer tipo, e o segundo critério especifica que esses arquivos devem ter sido modificados entre 1º de janeiro de 1996 e 30 de junho de 1996. O exemplo exibe o número de arquivos encontrados e o nome de cada arquivo em uma caixa de mensagens.

Set fs = Application.FileSearch
fs.NewSearch
 With fs.PropertyTests
    .Add Name:="Files of Type", _
        Condition:=msoConditionFileTypeAllFiles, _
        Connector:=msoConnectorOr
    .Add Name:="Last Modified", _
        Condition:=msoConditionAnytimeBetween, _
        Value:="1/1/96", SecondValue:="6/1/96", _
        Connector:=msoConnectorAnd
 End With
    If fs.Execute() > 0 Then
        MsgBox "There were " & fs.FoundFiles.Count & _
            " file(s) found."
        For i = 1 To fs.FoundFiles.Count
            MsgBox fs.FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If

Use PropertyTests(index), onde index é o número de índice, para retornar um único objeto PropertyTest. O exemplo a seguir exibe todos os critérios de pesquisa do primeiro teste de propriedade na coleção PropertyTests.

With Application.FileSearch.PropertyTests(1)
myString = "This is the search criteria: " _
    & " The name is: " & .Name & ". The condition is: " _
    & .Condition
If .Value <> "" Then
    myString = myString & ". The value is: " & .Value
    If .SecondValue <> "" Then
        myString = myString _
            & ". The second value is: " _
            & .SecondValue & ", and the connector is" _
            & .Connector
    End If
End If
MsgBox myString
End With


Objeto ScopeFolder

Vários objetos
ScopeFolder
ScopeFolders

Corresponde a uma pasta pesquisável. Os objetos ScopeFolder se destinam ao uso com a coleção SearchFolders. A coleção SearchFolders define as pastas pesquisadas durante a utilização do objeto FileSearch. Quando você quiser pesquisar pastas específicas, use os métodos e propriedades do objeto SearchScope e da coleção ScopeFolders para recuperar os objetos ScopeFolder e adicioná-los à coleção SearchFolders.

Utilizando o objeto ScopeFolder

Use a propriedade ScopeFolder do objeto SearchScope para retornar o objeto ScopeFolder raiz de um escopo de pesquisa; por exemplo:

Set sf = Application.FileSearch.SearchScopes.Item(1).ScopeFolder

Use o método Item da coleção ScopeFolders para retornar uma subpasta de um objeto ScopeFolder raiz; por exemplo:

Set sf = Application.FileSearch.SearchScopes.Item(1).ScopeFolder.ScopeFolders.Item(1)

Use o método Item da coleção SearchFolders para retornar uma pasta que será pesquisada na próxima vez em que o método Execute do objeto FileSearch for chamado; por exemplo:

Set sf = Application.FileSearch.SearchFolders.Item(1)

Em cada objeto ScopeFolder existe uma coleção ScopeFolders que contém as subpastas do objeto ScopeFolder pai. É possível percorrer a estrutura da pasta toda de um escopo de pesquisa (por exemplo, todas as unidades de disco locais) efetuando um loop nessas coleções ScopeFolders e retornando todos os objetos ScopeFolder de nível inferior. Um objeto ScopeFolder sem subpastas contém uma coleção ScopeFolders vazia.

Para obter um exemplo que demonstre como efetuar um loop em todos os objetos ScopeFolder em um escopo de pesquisa, consulte o tópico da coleção SearchFolders.

É possível usar o método Add da coleção SearchFolders para adicionar um objeto ScopeFolder à coleção SearchFolders, mas em geral é mais simples usar o método AddToSearchFolders do ScopeFolder que você deseja adicionar, uma vez que existe somente uma coleção SearchFolders para todas as pesquisas.

Para obter um exemplo que demonstre como adicionar um ScopeFolder à coleção SearchFolders, consulte o tópico da coleção SearchFolders.

O exemplo a seguir exibe o caminho raiz de cada diretório em My Computer. Para recuperar essa informação, o exemplo usa primeiro o objeto ScopeFolder na raiz de My Computer. O caminho desse objeto ScopeFolder será sempre "*". Assim como todos os objetos ScopeFolder, o objeto raiz contém uma coleção ScopeFolders. Este exemplo efetua um loop nesta coleção ScopeFolders e exibe o caminho de cada objeto ScopeFolder contido nele. Os caminhos desses objetos ScopeFolder serão "A:\", "C:\" etc.

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder object in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "ScopeFolder object's path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Next
    End With
End Sub


Coleção ScopeFolders

ScopeFolder
ScopeFolders
ScopeFolder

Uma coleção de objetos ScopeFolder. Somente os objetos ScopeFolder contêm coleções ScopeFolders. Cada coleção ScopeFolders contém os objetos ScopeFolder que correspondem às subpastas do objeto ScopeFolder pai.

Utilizando a coleção ScopeFolders

Use a propriedade ScopeFolders do objeto ScopeFolder para retornar uma coleção ScopeFolders.

Dim sfs as ScopeFolders
Set sfs = Application.FileSearch.SearchScopes.Item(1).ScopeFolder.ScopeFolders

Não é possível remover os objetos ScopeFolder de uma coleção ScopeFolders.


Objeto Script

Scripts (Script)

Representa um bloco de script HTML em um documento do Microsoft Word, em uma planilha do Microsoft Excel ou em um slide do Microsoft PowerPoint. O objeto Script é um membro da coleção Scripts.

Usando o objeto Script

Use Scripts.Item(index), onde index é o nome, a identificação ou o número de índice de um script, para retornar um único objeto Script. Cada objeto Script é identificado pela propriedade Id, que fornece um nome conveniente para que você possa acessar o script. O exemplo a seguir adiciona um único script à coleção Scripts do documento ativo e exibe a identificação do script em um valor de índice 1.

myScript = ActiveDocument.Scripts.Add( _
    , msoScriptLocationInBody, _
    msoScriptLanguageVisualBasic, _
    "ScriptOne", , _
    "MsgBox (""This is ScriptOne. "")")
MsgBox (ActiveDocument.Scripts(1).Id)

Você pode especificar a linguagem de script usada alterando a propriedade Language. O exemplo a seguir altera a linguagem de script do "ScriptOne" para Active Server Pages (ASP).

ActiveDocument.Scripts.Item("ScriptOne") _
    .Language = msoScriptLanguageASP

Você pode verificar a localização da forma de âncora de script em um documento HTML usando a propriedade Location. O exemplo a seguir verifica se "ScriptOne" está no corpo do documento HTML ativo.

If ActiveDocument.Scripts("ScriptOne").Location = _
    msoScriptLocationInBody Then
    MsgBox ("Script is in the HTML document body.")
Else
    MsgBox ("Script is located in the header. ")
End If

Você pode verificar ou definir atributos adicionados à marca <SCRIPT> (Com exceção dos atributos LANGUAGE e ID) usando a propriedade Extended. O exemplo a seguir verifica atributos adicionais no script um do documento ativo.

If ActiveDocument.Scripts(1).Extended = "" Then
    MsgBox ("No additional attributes are present " & _
    "in Script " &
     ActiveDocument.Scripts(1).Id)

Você pode verificar ou definir o texto de script associado a determinado script usando a propriedade ScriptText. O exemplo a seguir exibe uma caixa de mensagem contendo o texto de script associado ao "ScriptOne" no documento ativo.

MsgBox (ActiveDocument.Scripts("ScriptOne").ScriptText)


Objeto da coleção Scripts

Scripts (Script)

Uma coleção de objetos Script que representa a coleção de scripts HTML no documento especificado.

Usando a coleção Scripts

A coleção Scripts contém todos os objetos Script de um determinado documento, em ordem de origem (a ordem em que os objetos Script foram adicionados ao arquivo de origem). A ordem de origem não é afetada pelo local do script (cabeçalho ou corpo de texto) no documento. Você pode usar os objetos Script para acessar um script ou para adicionar um script a um documento do Microsoft Word, a uma planilha do Microsoft Excel ou a um slide do Microsoft PowerPoint. Você também pode usar a coleção Scripts para acessar qualquer página HTML ou script que estiver aberto no aplicativo do Microsoft Office.

Observação O Microsoft Access não usa esse componente compartilhado do Office.

Adicionando um Script

Ao adicionar um objeto Script à coleção Scripts, um objeto Shape do tipo msoScriptAnchor é automaticamente adicionado ao documento. Em uma planilha do Excel ou um slide do PowerPoint, a forma é adicionada à coleção Shapes; em um documento do Word, a forma é adicionada à coleção InlineShapes. Você adiciona um Script a um documento usando o método Add. O exemplo a seguir adiciona um script simples ao documento do Word ativo.

myScript = ActiveDocument.Scripts.Add( _
    , msoScriptLocationInBody, _
    msoScriptLanguageVisualBasic, _
    "ScriptOne", , _
    "MsgBox ""This is ScriptOne.""")

Para acessar um determinado item na coleção Scripts, use o método Item e forneça o atributo de identificação da marca <SCRIPT> ou o número de índice que indica a posição do script na coleção. A identificação deve ser exclusiva no documento. No caso de atributos de identificação duplicados, será retornado o primeiro script encontrado com a identificação. O exemplo a seguir exibe uma caixa de mensagem que indica a linguagem do primeiro script encontrado com a identificação "ScriptOne".

MsgBox (ActiveDocument.Scripts.Item("ScriptOne").Language)

Use a propriedade Count para determinar o número de objetos Script do documento especificado. O exemplo a seguir exibe o número de scripts do documento ativo.

If ActiveDocument.Scripts.Count = 0 Then
    MsgBox ("There are no " & _
    "scripts in this document. ")
End If
If ActiveDocument.Scripts.Count = 1 Then
    MsgBox ("There is " & _
    ActiveDocument.Scripts.Count & _
    " script in this document. ")
End If
If ActiveDocument.Scripts.Count > 1 Then
    MsgBox ("There are " & _
    ActiveDocument.Scripts.Count & _
    " scripts in this document. ")
End If

Use o método Delete para remover um script da coleção Scripts, como no exemplo a seguir.

ActiveDocument.Scripts("ScriptOne").Delete


Coleção SearchFolders

FileSearch
SearchFolders
ScopeFolder

Uma coleção de objetos ScopeFolder que determina quais pastas são pesquisadas quando o método Execute do objeto FileSearch for chamado.

Utilizando a coleção SearchFolders

Use a propriedade SearchFolders com o objeto FileSearch para retornar a coleção SearchFolders; por exemplo:

Set sfs = Application.FileSearch.SearchFolders

Para cada aplicativo existe uma única coleção SearchFolders. O conteúdo da coleção é mantido depois que a execução do código que o chama é finalizada. Conseqüentemente, é importante limpar a coleção, a não ser que você queira incluir pastas de pesquisas anteriores em sua pesquisa.

É possível usar o método Add da coleção SearchFolders para adicionar um objeto ScopeFolder à coleção SearchFolders, mas em geral é mais simples usar o método AddToSearchFolders do ScopeFolder que você deseja adicionar, uma vez que existe somente uma coleção SearchFolders para todas as pesquisas.

A coleção SearchFolders pode ser vista como um complemento da propriedade LookIn do objeto FileSearch. Ambas especificam as pastas a serem pesquisadas e ambas são usadas quando a pesquisa é executada. Entretanto, se você quiser usar somente a propriedade LookIn, precisará ter certeza de que a coleção SearchFolders está vazia. Da mesma forma, se quiser usar somente a coleção SearchFolders, defina a propriedade LookIn para o caminho do primeiro membro da coleção SearchFolders antes de chamar o método Execute.

O exemplo a seguir pesquisa todas as pastas de nome "1033" na máquina local para todos os arquivos HTML e do Microsoft Excel. O exemplo usa as coleções SearchFolders, SearchScopes e ScopeFolders.

Este exemplo consiste em duas rotinas. A rotina SearchEveryFolder é a rotina que deve ser executada. A rotina OutputPaths é separada da rotina principal porque chama a si mesma recursivamente para percorrer a estrutura do diretório todo na máquina local.

Sub SearchEveryFolder()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Declare a variable to act as a generic counter.
    Dim lngCount As Long

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Clear all the parameters of the previous searches.
        'This method doesn't clear the LookIn property or
        'the SearchFolders collection.
        .NewSearch

        'Specify the type of file for which to search.
        'Use the FileType property to specify the first type
        'and then add additional types to the FileTypes collection.
        .FileType = msoFileTypeWebPages
        .FileTypes.Add msoFileTypeExcelWorkbooks

        'Clear the SearchFolder collection by
        'looping through each ScopeFolder object
        'and removing it.
        For lngCount = 1 To .SearchFolders.Count
            .SearchFolders.Remove lngCount
        Next lngCount

        'Loop through the SearchScopes collection to find
        'the scope in which you want to search. In this
        'case the scope is the local machine.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder in
                    'the ScopeFolders collection of the
                    'SearchScope object.
                    For Each sf In ss.ScopeFolder.ScopeFolders

                        'Call a function that loops through all
                        'of the subfolders of the root ScopeFolder.
                        'This function adds any folders named "1033" to the
                        'SearchFolders collection.
                        Call OutputPaths(sf.ScopeFolders, "1033")

                    Next sf
                Case Else
            End Select
        Next ss

        'Test to see if any ScopeFolders collections were added to
        'the SearchFolders collection.
        If .SearchFolders.Count > 0 Then

            'Set the LookIn property to the path of
            'the first ScopeFolder object in the SearchFolders
            'collection. This is here so that any previous
            'setting of the LookIn property doesn't affect
            'the search.
            .LookIn = .SearchFolders.Item(1).Path

            'Execute the search and test to see if any files
            'were found.
            If .Execute <> 0 Then

                'Display the number of files found.
                MsgBox "Files found: " & .FoundFiles.Count

                'Loop through the list of found files and
                'display the path of each one in a message box.
                For lngCount = 1 To .FoundFiles.Count
                    If MsgBox(.FoundFiles.Item(lngCount), vbOKCancel, _
                        "Found files") = vbCancel Then
                        'Break out of the loop
                        lngCount = .FoundFiles.Count

                    End If
                Next lngCount
            End If
        End If
    End With
End Sub

'This subroutine loops through all of the ScopeFolders collections
'in a given ScopeFolders collection. It adds any folder
'that has the same name as the value of strFolder
'to the SearchFolders collection.
Sub OutputPaths(ByVal sfs As ScopeFolders, _
    ByRef strFolder As String)

    'Declare a variable as a ScopeFolder object
    Dim sf As ScopeFolder

    'Loop through each ScopeFolder object in the
    'ScopeFolders collection.
    For Each sf In sfs

        'Test to see if the folder name of the ScopeFolder
        'matches the value of strFolder. Use LCase to ensure
        'that case does not affect the match.
        If LCase(sf.Name) = LCase(strFolder) Then

            'Add the ScopeFolder to the SearchFolders collection.
            sf.AddToSearchFolders

        End If

        'Include a DoEvents call because there is the potential for this
        'loop to last a long time. The DoEvents call allows this process to
        'continue handling events.
        DoEvents

        'Test to see if the ScopeFolders collection in the
        'current ScopeFolder is empty. If it isn't empty, then
        'that means that the current ScopeFolder object contains subfolders.
        If sf.ScopeFolders.Count > 0 Then

            'This subroutine recursively calls itself so that
            'it can add the subfolders of the current ScopeFolder object
            'to the SearchFolders collection.
            Call OutputPaths(sf.ScopeFolders, strFolder)

        End If
    Next sf
End Sub


Objeto SearchScope

SearchScopes
SearchScope
ScopeFolder

Corresponde a um tipo de árvore de pastas que pode ser pesquisada usando o objeto FileSearch. Por exemplo, as unidades locais neste computador representam um único escopo de pesquisa. As pastas de rede e as pastas do Microsoft Outlook também são escopos de pesquisa separados que podem estar disponíveis. Cada objeto SearchScope contém um único objeto ScopeFolder que corresponde à pasta raiz do escopo de pesquisa.

Utilizando o objeto SearchScope

Use o método Item da coleção SearchScopes para retornar um objeto SearchScope; por exemplo:

Dim ss As SearchScope
Set ss = Application.FileSearch.SearchScopes.Item(1)

Basicamente, o objeto SearchScope se destina a fornecer acesso a objetos ScopeFolder que podem ser adicionados à coleção SearchFolders. Para obter um exemplo que demonstre como isso é obtido, consulte o tópico da coleção SearchFolders.

Consulte o tópico do objeto ScopeFolder para ver um exemplo simples de como retornar um objeto ScopeFolder de um objeto SearchScope.

O exemplo a seguir exibe todos os objetos SearchScope disponíveis no momento.

Sub DisplayAvailableScopes()

    'Declare a variable that references a
    'SearchScope object.
    Dim ss As SearchScope

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer
                    MsgBox "My Computer is an available search scope."
                Case msoSearchInMyNetworkPlaces
                    MsgBox "My Network Places is an available search scope."
                Case msoSearchInOutlook
                    MsgBox "Outlook is an available search scope."
                Case msoSearchInCustom
                    MsgBox "A custom search scope is available."
                Case Else
                    MsgBox "Can't determine search scope."
            End Select
        Next ss
    End With
End Sub


Coleção SearchScopes

FileSearch
SearchScopes
SearchScope

Uma coleção de objetos SearchScope.

Utilizando a coleção SearchScopes

Use a propriedade SearchScopes do objeto FileSearch para retornar uma coleção SearchScopes; por exemplo:

Dim sss As SearchScopes
Set sss = Application.FileSearch.SearchScopes

Não é possível adicionar ou remover objetos SearchScope da coleção SearchScopes.


Objeto Signature

SignatureSet
Signature

Corresponde a uma assinatura digital anexada a um documento. Os objetos Signature estão contidos na coleção SignatureSet do objeto Document.

Utilizando o objeto Signature

É possível adicionar um objeto Signature a uma coleção SignatureSet usando o método Add e retornar um membro existente usando o método Item. Para remover um Signature de uma coleção SignatureSet, use o método Delete do objeto Signature.

O exemplo a seguir solicita ao usuário para selecionar uma assinatura digital com a qual assinar o documento ativo no Microsoft Word. Para usar este exemplo, abra um documento no Word e passe para essa função o nome de um emissor de certificado e o nome de um signatário de certificado que correspondam aos campos Emitido por e Emitido para de um certificado digital na caixa de diálogo Certificados digitais. Este exemplo será testado para se verificar se a assinatura digital selecionada pelo usuário atende a determinados critérios, como não ter expirado, antes que a nova assinatura seja confirmada no disco.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Coleção SignatureSet

SignatureSet
Signature

Uma coleção de objetos Signature que corresponde às assinaturas digitais anexadas a um documento.

Utilizando a coleção SignatureSet

Use a propriedade Signatures do objeto Document para retornar uma coleção SignatureSet; por exemplo:

Set sigs = ActiveDocument.Signatures

Observação As alterações feitas na coleção SignatureSet de um documento não serão mantidas, a não ser que você chame o método Commit.

É possível adicionar um objeto Signature a uma coleção SignatureSet usando o método Add e retornar um membro existente usando o método Item. Para remover um Signature de uma coleção SignatureSet, use o método Delete do objeto Signature.

O exemplo a seguir solicita ao usuário para selecionar uma assinatura digital com a qual assinar o documento ativo no Microsoft Word. Para usar este exemplo, abra um documento no Word e passe para essa função o nome de um emissor de certificado e o nome de um signatário de certificado que correspondam aos campos Emitido por e Emitido para de um certificado digital na caixa de diálogo Certificados digitais. Este exemplo será testado para se verificar se a assinatura digital selecionada pelo usuário atende a determinados critérios, como não ter expirado, antes que a nova assinatura seja confirmada no disco.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before committing the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Objeto WebPageFont

WebPageFonts (WebPageFont)

Representa a fonte padrão usada quando os documentos são salvos como páginas da Web de um conjunto de caracteres determinado.

Usando o objeto WebPageFont

Use o objeto WebPageFont para descrever a fonte proporcional, o tamanho da fonte proporcional, a fonte de largura fixa e o tamanho da fonte de largura fixa para qualquer conjunto de caracteres disponível.

É oferecido suporte aos seguintes conjuntos de caracteres:
msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

O exemplo a seguir define a fonte proporcional e o tamanho da fonte proporcional para o objeto WebPageFont myFont.

With myFont
    ProportionalFont = Verdana
    ProportionalFontSize = 14


Objeto da coleção WebPageFonts

WebPageFonts (WebPageFont)

Uma coleção de objetos WebPageFont que descreve a fonte proporcional, o tamanho da fonte proporcional, a fonte de largura fixa e o tamanho da fonte de largura fixa usados quando documentos são salvos como páginas da Web. Você pode especificar um conjunto diferente de propriedades de fonte de páginas da Web para cada conjunto de caracteres disponível.

Usando a coleção WebPageFonts

A coleção WebPageFonts contém um objeto WebPageFont para cada conjunto de caracteres.

Há suporte para os seguintes conjuntos de caracteres:
msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

O exemplo a seguir usa a propriedade Item para definir myFont no objeto WebPageFont do conjunto de caracteres de inglês/idiomas da Europa ocidental/outro script latino no aplicativo atual.

Dim myFont As WebPageFont
Set myFont = _
  Application.DefaultWebOptions.Fonts.Item_
  (msoCharacterSetEnglishWesternEuropeanOtherLatinScript)


Método ActivateWizard

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Continua ou suspende a Ajuda do Assistente do Office durante o assistente personalizado.

Observação Você deve usar esse método somente com o método StartWizard.

expressão.ActivateWizard(WizardID, Act, Animation)

expressão Necessária. Uma expressão que retorne um objeto Assistant.

WizardID Long necessário. O número retornado pelo método StartWizard.

Act MsoWizardActType necessário. Especifica a alteração na sessão da Ajuda do Assistente do Office.

MsoWizardActType pode ser uma das seguintes constantes:
msoWizardActActive
msoWizardActInactive
msoWizardActResume
msoWizardActSuspend

Animation Variant opcional. A animação que o Assistente do Office executa quando é suspenso ou reiniciado.

Exemplo

Este exemplo suspende a sessão de assistente que foi iniciada com o método StartWizard. A variável lHelpForWiz foi definida com o valor retornado pelo método StartWizard.

Assistant.ActivateWizard WizardID:=lHelpForWiz, _
   Act:=msoWizardActSuspend, Animation:=msoAnimationGoodbye


Método Add

Método Add como ele se aplica ao objeto NewFile

Adiciona um novo item ao painel de tarefas Novo item. Retorna um Boolean. True se o item foi adicionado com êxito.

expressão.Add(FileName, Section, DisplayName, Action)

expressão Necessária. Uma expressão que retorna um dos objetos acima.

FileName String necessário. O nome do arquivo a ser adicionado à lista de arquivos no painel de tarefas.

Section Variant opcional. A seção à qual adicionar o arquivo. Pode ser qualquer constante msoFileNewSection.

DisplayName Variant opcional. O texto a ser exibido no painel de tarefas.

Action Variant opcional. A ação a ser executada quando um usuário clica no item. Pode ser qualquer constante msoFileNewAction.

Método Add como ele se aplica ao objeto CommandBars

Cria uma nova barra de comandos e a adiciona à coleção de barras de comandos. Retorna um objeto CommandBar.

expressão.Add(Name, Position, MenuBar, Temporary)

expressão Necessária. Uma expressão que retorna um objeto CommandBars.

Name Variant opcional. O nome da nova barra de comandos. Se esse argumento for omitido, será atribuído um nome padrão à barra de comandos (como Custom 1).

Position Variant opcional. A posição ou o tipo da nova barra de comandos. Pode ser uma das constantes MsoBarPosition listadas na tabela a seguir.

Constante | Descrição
msoBarLeft, msoBarTop, msoBarRight, msoBarBottom | Indica as coordenadas da esquerda, superior, direita e inferior da nova barra de comandos
msoBarFloating | Indica que a nova barra de comandos não será ancorada
msoBarPopup | Indica que a nova barra de comandos será um menu de atalho
msoBarMenuBar | Somente para Macintosh

MenuBar Variant opcional. True para substituir a barra de menus ativa pela nova barra de comandos. O valor padrão é False.

Temporary Variant opcional. True para tornar a nova barra de comandos temporária. As barras de comandos temporárias são excluídas quando o aplicativo recipiente é fechado. O valor padrão é False.

Método Add como ele se aplica ao objeto CommandBarControls

Cria um novo objeto CommandBarControl e o adiciona à coleção de controles na barra de comandos especificada.

expressão.Add(Type, Id, Parameter, Before, Temporary)

expressão Necessária. Uma expressão que retorna um objeto CommandBarControls.

Type Variant opcional. O tipo de controle a ser adicionado à barra de comandos especificada. Pode ser uma das seguintes constantes MsoControlType: msoControlButton, msoControlEdit, msoControlDropdown, msoControlComboBox ou msoControlPopup.

Id Variant opcional. Um número inteiro que especifica um controle interno. Se o valor desse argumento for 1 ou se esse argumento for omitido, um controle personalizado vazio do tipo especificado será adicionado à barra de comandos.

Parameter Variant opcional. Para controles internos, esse argumento é usado pelo aplicativo recipiente para executar o comando. Para controles personalizados, você pode usar esse argumento para enviar informações a procedimentos do Visual Basic ou para armazenar informações sobre o controle (semelhante ao segundo valor da propriedade Tag).

Before Variant opcional. Um número que indica a posição do novo controle na barra de comandos. O novo controle será inserido antes do controle nessa posição. Se esse argumento for omitido, o controle será adicionado no final da barra de comandos especificada.

Temporary Variant opcional. True para tornar o novo controle temporário. Os controles temporários são excluídos automaticamente quando o aplicativo recipiente é fechado. O valor padrão é False.

Método Add como ele se aplica ao objeto DocumentProperties

Cria uma nova propriedade personalizada de documento. Você só pode adicionar uma nova propriedade de documento à coleção personalizada DocumentProperties.

expressão.Add(Name, LinkToContent, Type, Value, LinkSource)

expressão Necessária. O objeto DocumentProperties personalizado.

Name String necessário. O nome da propriedade.

LinkToContent Boolean necessário. Especifica se a propriedade é vinculada ao conteúdo do documento recipiente. Se esse argumento for True, o argumento LinkSource será necessário; se for False, o argumento de valor será necessário.

Type Variant opcional. O tipo de dados da propriedade. Pode ser uma das seguintes constantes MsoDocProperties: msoPropertyTypeBoolean, msoPropertyTypeDate, msoPropertyTypeFloat, msoPropertyTypeNumber ou msoPropertyTypeString.

Value Variant opcional. O valor da propriedade se ela não estiver vinculada ao conteúdo do documento recipiente. O valor é convertido para coincidir com o tipo de dados especificado pelo argumento de tipo; caso contrário, ocorre um erro. Se LinkToContent for True, o argumento Value será ignorado e será atribuído um valor padrão à nova propriedade do documento até que os valores de propriedade vinculados sejam atualizados pelo aplicativo recipiente (em geral, quando o documento é salvo).

LinkSource Variant opcional. Ignorado se LinkToContent for False A origem da propriedade vinculada. O aplicativo recipiente determina que tipos de vinculação de origem você pode usar.

Comentários

Se você adicionar uma propriedade personalizada de documento à coleção DocumentProperties que é vinculada a um determinado valor em um documento do Microsoft Office, precisará salvar o documento para ver a alteração no objeto DocumentProperty.

Método Add como ele se aplica ao objeto FileDialogFilters

Adiciona um novo filtro de arquivo à lista de filtros na caixa de listagem suspensa Arquivos do tipo da caixa de diálogo genérica de arquivo. Retorna um objeto FileDialogFilters que representa o filtro de arquivo adicionado mais recentemente.

expressão.Add(Description, Extensions, Position)

expressão Necessária. Uma expressão que retorna um dos objetos acima.

Description String necessário. O texto que representa a descrição da extensão de arquivo que você deseja adicionar à lista de filtros.

Extensions String necessário. O texto que representa a extensão de arquivo que você deseja adicionar à lista de filtros. Pode ser especificada mais de uma extensão e cada uma delas deve estar separada por um ponto-e-vírgula (;). Por exemplo, o argumento Extensions pode ser atribuído à seqüência de caracteres: "*.txt; *.htm". Não é necessário colocar as extensões entre parênteses. O Office adicionará automaticamente parênteses às seqüências de caracteres das extensões quando a descrição e as seqüências de caracteres das extensões forem concatenadas em um item de filtro de arquivo.

Position Variant opcional. Um número que indica a posição do novo controle na lista de filtros. O novo filtro será inserido antes do filtro nessa posição. Se este argumento for omitido, o filtro será adicionado no final da lista.

Comentários

Cada filtro em uma lista é constituído de duas partes: a extensão do arquivo (por exemplo, .txt) e a descrição da extensão do arquivo (por exemplo, Documentos de texto). O filtro de arquivos apareceria na caixa de listagem suspensa Arquivos do tipo como: Documentos de texto (*.txt).

Observe que, quando um filtro é adicionado à lista, os filtros padrão não são removidos.

Os filtros são exibidos somente quando a opção Windows está selecionada.

Se Position for inválido, será exibido um erro do tipo fora do intervalo em tempo de execução. Se o valor Description and Extensions for inválido, será exibido um erro em tempo de execução (análise).

As caixas de diálogo genéricas de seleção de pastas não têm filtros, por isso os métodos de filtro não se aplicam a elas.

Método Add como ele se aplica ao objeto Scripts

Adiciona um objeto Script à coleção Scripts de um dos seguintes objetos: um objeto Document ou Range, no Microsoft Word; um objeto Worksheet ou Chart, no Microsoft Excel; ou um objeto Slide, SlideRange, slide Master ou objeto de título Master, no Microsoft PowerPoint. Retorna um objeto Script.

expressão.Add(Anchor, Location, Language, Id, Extended, ScriptText)

expressão Necessária. A coleção Scripts.

Anchor Range opcional (somente para Microsoft Excel). O argumento Anchor aceita um objeto Range do Excel, que especifica o posicionamento da âncora de script em uma Planilha do Excel. Não é possível inserir âncoras de script em gráficos do Excel.

Location Opcional MsoScriptLocation. Especifica o local da âncora de script em um documento. Se você especificou o argumento Anchor, o argumento Location não será usado; o local do argumento Anchor determina o local da âncora de script.

MsoScriptLocation pode ser uma das seguintes constantes:
msoScriptLocationInBody padrão
msoScriptLocationInHead

Language Opcional MsoScriptLanguage. Especifica a linguagem de script.

MsoScriptLanguage pode ser uma das seguintes constantes:
msoScriptLanguageASP
msoScriptLanguageJava
msoScriptLanguageOther
msoScriptLanguageVisualBasic padrão

Id String opcional. A identificação da marca <SCRIPT> em HTML. O argumento Id especifica um identificador SGML usado para nomear elementos. Os identificadores válidos incluem qualquer seqüência de caracteres que comece com uma letra e que seja composta por caracteres alfanuméricos; a seqüência de caracteres também pode incluir o caractere sublinhado ( _ ). A identificação deve ser exclusiva no documento HTML. Esse parâmetro é exportado como o atributo de identificação na marca <SCRIPT>.

Extended String opcional. Especifica atributos que serão adicionados à marca <SCRIPT> (atributos de LANGUAGE e ID são exportados pelos parâmetros Language e Id e não devem ser exportados pelo parâmetro Extended). O padrão é a seqüência de caracteres vazia. Os atributos são separados por espaços, como em HTML. O aplicativo host do Microsoft Office não oferece meios de verificar a sintaxe de atributos antigos.

ScriptText String opcional. Especifica o texto contido em um bloco de script. O padrão é uma seqüência de caracteres vazia. O aplicativo host do Microsoft Office não verifica a sintaxe do script.

Comentários

Uma figura associada ao bloco de script não é exportada ou impressa como uma figura no HTML; somente o bloco de script é exportado.

Você não pode usar o método Add para adicionar uma âncora de script a um intervalo de slide do PowerPoint que contenha mais de um slide.

Método Add como ele se aplica ao objeto SignatureSet

Retorna um objeto Signature que representa uma nova assinatura de email.

expressão.Add

expressão Necessária. Uma expressão que retorna um dos objetos acima.

Método Add como ele se aplica ao objeto ODSOFilters

Adiciona um novo filtro à coleção ODSOFilters.

expressão.Add(Column, Comparison, Conjunction, bstrCompareTo, DeferUpdate)

expressão Necessária. Uma expressão que retorna um dos objetos acima.

Column String necessário. O nome da tabela na fonte de dados.

Comparison MsoFilterComparison necessário. Como os dados da tabela são filtrados.

MsoFilterComparison pode ser uma das seguintes constantes:
msoFilterComparisonContains
msoFilterComparisonEqual
msoFilterComparisonGreaterThan
msoFilterComparisonGreaterThanEqual
msoFilterComparisonIsBlank
msoFilterComparisonIsNotBlank
msoFilterComparisonLessThan
msoFilterComparisonLessThanEqual
msoFilterComparisonNotContains
msoFilterComparisonNotEqual

Conjunction necessário MsoFilterConjunction. Determina como este filtro se relaciona com outros filtros no objeto ODSOFilters.

MsoFilterConjunction pode ser uma das seguintes constantes:
msoFilterConjunctionAnd
msoFilterConjunctionOr

bstrCompareTo String opcional. Se o argumento Comparison for diferente de msoFilterComparisonIsBlank ou msoFilterComparisonIsNotBlank, uma seqüência de caracteres à qual os dados da tabela são comparados.

DeferUpdate Boolean opcional. O padrão é False.

Método Add como ele se aplica ao objeto AnswerWizardFiles

Cria uma nova referência (um valor String) para um arquivo do Assistente de resposta e a adiciona à coleção AnswerWizardFiles.

expressão.Add (Filename)

expressão Necessária. Uma expressão que retorna uma coleção AnswerWizardFiles.

Filename String necessário. O caminho totalmente qualificado para o arquivo do Assistente de resposta especificado.

Método Add como ele se aplica ao objeto FileTypes

Adiciona um novo tipo de arquivo a uma pesquisa de arquivo.

expressão.Add(FileType)

expressão Necessária. Uma expressão que retorna um dos objetos acima.

FileType MsoFileType necessário. Especifica o tipo de arquivo a ser pesquisado.

MsoFileType pode ser uma das seguintes constantes:
msoFileTypeAllFiles
msoFileTypeBinders
msoFileTypeCalendarItem
msoFileTypeContactItem
msoFileTypeCustom
msoFileTypeDatabases
msoFileTypeDataConnectionFiles
msoFileTypeDesignerFiles
msoFileTypeDocumentImagingFiles
msoFileTypeExcelWorkbooks
msoFileTypeJournalItem
msoFileTypeMailItem
msoFileTypeNoteItem
msoFileTypeOfficeFiles
msoFileTypeOutlookItems
msoFileTypePhotoDrawFiles
msoFileTypePowerPointPresentations
msoFileTypeProjectFiles
msoFileTypePublisherFiles
msoFileTypeTaskItem
msoFileTypeTemplates
msoFileTypeVisioFiles
msoFileTypeWebPages
msoFileTypeWordDocuments

Método Add como ele se aplica ao objeto PropertyTests

Adiciona um objeto PropertyTest à coleção PropertyTests.

expressão.Add(Name, Condition, Value, SecondValue, Connector)

expressão Necessária. Uma expressão que retorne um objeto PropertyTests.

Name String necessário. O nome do critério de propriedade. O nome corresponde a um valor na caixa Propriedade da caixa de diálogo Localizar, que você abre no menu Ferramentas da caixa de diálogo Abrir (menu Arquivo) do aplicativo.

Condition MsoCondition necessário. A condição dos critérios de pesquisa.

MsoCondition pode ser uma das seguintes constantes:
msoConditionAnyNumberBetween
msoConditionAnytime
msoConditionAnytimeBetween
msoConditionAtLeast
msoConditionAtMost
msoConditionBeginsWith
msoConditionDoesNotEqual
msoConditionEndsWith
msoConditionEquals
msoConditionEqualsCompleted
msoConditionEqualsDeferred
msoConditionEqualsHigh
msoConditionEqualsInProgress
msoConditionEqualsLow
msoConditionEqualsNormal
msoConditionEqualsNotStarted
msoConditionEqualsWaitingForSomeoneElse
msoConditionFileTypeAllFiles
msoConditionFileTypeBinders
msoConditionFileTypeCalendarItem
msoConditionFileTypeContactItem
msoConditionFileTypeDatabases
msoConditionFileTypeDataConnectionFiles
msoConditionFileTypeDesignerFiles
msoConditionFileTypeDocumentImagingFiles
msoConditionFileTypeExcelWorkbooks
msoConditionFileTypeJournalItem
msoConditionFileTypeMailItem
msoConditionFileTypeNoteItem
msoConditionFileTypeOfficeFiles
msoConditionFileTypeOutlookItems
msoConditionFileTypePhotoDrawFiles
msoConditionFileTypePowerPointPresentations
msoConditionFileTypeProjectFiles
msoConditionFileTypePublisherFiles
msoConditionFileTypeTaskItem
msoConditionFileTypeTemplates
msoConditionFileTypeVisioFiles
msoConditionFileTypeWebPages
msoConditionFileTypeWordDocuments
msoConditionFreeText
msoConditionIncludes
msoConditionIncludesFormsOf
msoConditionIncludesNearEachOther
msoConditionIncludesPhrase
msoConditionInTheLast
msoConditionInTheNext
msoConditionIsExactly
msoConditionIsNo
msoConditionIsNot
msoConditionIsYes
msoConditionLastMonth
msoConditionLastWeek
msoConditionLessThan
msoConditionMoreThan
msoConditionNextMonth
msoConditionNextWeek
msoConditionNotEqualToCompleted
msoConditionNotEqualToDeferred
msoConditionNotEqualToHigh
msoConditionNotEqualToInProgress
msoConditionNotEqualToLow
msoConditionNotEqualToNormal
msoConditionNotEqualToNotStarted
msoConditionNotEqualToWaitingForSomeoneElse
msoConditionOn
msoConditionOnOrAfter
msoConditionOnOrBefore
msoConditionThisMonth
msoConditionThisWeek
msoConditionToday
msoConditionTomorrow
msoConditionYesterday

Value Variant opcional. O valor do critério de pesquisa.

SecondValue Variant opcional. Um valor superior para o intervalo de pesquisa. Você só pode usar esse argumento se Condition for msoConditionAnyTimeBetween ou msoConditionAnyNumberBetween.

Connector MsoConnector opcional. Especifica a maneira como dois critérios de pesquisa são combinados.

MsoConnector pode ser uma das seguintes constantes:
msoConnectorAnd padrão
msoConnectorOr

Método Add como ele se aplica ao objeto SearchFolders

Adiciona uma pasta de pesquisa a uma pesquisa de arquivo.

expressão.Add (ScopeFolder)

expressão Necessária. Uma expressão que retorna um dos objetos acima.

ScopeFolder Objeto ScopeFolder necessário. A pasta a ser adicionada à pesquisa.

Exemplo

Como ele se aplica ao objeto AnswerWizardFiles

Este exemplo prepara o Assistente de resposta para aceitar uma lista de arquivos personalizados e adiciona dois arquivos do Assistente de resposta personalizados. Primeiro, o exemplo limpa a lista de arquivos, em seguida adiciona dois arquivos personalizados do Assistente de resposta e verifica a contagem dos arquivos e os nomes de arquivos para garantir que os arquivos foram adicionados corretamente.

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

If customAnswerWizard.Files.Count = 2 Then
    MsgBox "Files " & customAnswerWizard.Files.Item(1) & _
    " and " & customAnswerWizard.Files(2) & _
    " were added sucessfully."
End If

Como ele se aplica ao objeto CommandBarControls

Este exemplo cria uma barra de ferramentas de edição personalizada que contém botões (controles) para cortar, copiar e colar.

Dim customBar As CommandBar
Dim newButton As CommandBarButton
Set customBar = CommandBars.Add("Custom")
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("Edit") _
    .Controls("Cut").Id)
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("Edit") _
    .Controls("Copy").Id)
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("Edit") _
    .Controls("Paste").Id)
customBar.Visible = True

Como ele se aplica ao objeto DocumentProperties

Este exemplo, projetado para ser executado em Microsoft Word, adiciona três propriedades de documento personalizadas à coleção DocumentProperties.

With ActiveDocument.CustomDocumentProperties
    .Add Name:="CustomNumber", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeNumber, _
        Value:=1000
    .Add Name:="CustomString", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeString, _
        Value:="This is a custom property."
    .Add Name:="CustomDate", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeDate, _
        Value:=Date
End With

Como ele se aplica ao objeto PropertyTests

Este exemplo adiciona dois testes de propriedade aos critérios de pesquisa. O primeiro teste é que os arquivos localizados devem ser documentos do Microsoft Word e o segundo teste é que os arquivos localizados devem ter sido modificados entre 1º de janeiro de 1996 e 30 de junho de 1996. O exemplo também exibe uma caixa de mensagem que mostra o número total de arquivos encontrados, se houver, e o nome de cada arquivo encontrado

Set fs = Application.FileSearch
fs.NewSearch
With fs.PropertyTests
    .Add Name:="Files of Type", _
        Condition:=msoConditionFileTypeWordDocuments, _
        Connector:=msoConnectorOr
    .Add Name:="Last Modified", _
        Condition:=msoConditionAnytimeBetween, _
        Value:="1/1/98", SecondValue:="6/30/98", _
        Connector:=msoConnectorAnd
End With
If fs.Execute() > 0 Then
        For i = 1 To fs.FoundFiles.Count
            strFound = strFound & fs.FoundFiles(i) & vbCrLf
        Next i
        MsgBox "Search found the following " _
            & fs.FoundFiles.Count & _
            " file(s):" & vbCrLf & strFound
Else
    MsgBox "There were no files found."
End If
Como ele se aplica ao objeto Scripts

Este exemplo adiciona um novo Script a um intervalo específico em uma planilha ou pasta de trabalho ativa.

Dim rngScriptAnchorRange As Range
Dim objNewScript As Script

Set rngScriptAnchorRange = ActiveWorkbook. _
    Worksheets(1).Range("B5")
Set objNewScript = ActiveWorkbook. _
    Worksheets(1).Scripts.Add(rngScriptAnchorRange, _
      msoScriptLocationInBody, _
      msoScriptLanguageVisualBasic, _
      "MyNewScript", , _
      "MsgBox (""Added Script object MyNewScript"")")


Método AddItem

Adiciona um item de lista ao controle caixa de combinação da barra de comandos especificada. O controle caixa de combinação precisa ser um controle personalizado e deve ser uma caixa de combinação ou uma caixa de listagem suspensa.

Observação Esse método irá falhar se for aplicado a um controle caixa de combinação que seja uma caixa de edição ou um controle caixa de combinação interno.

expressão.AddItem(Text, Index)

expressão Necessária. Uma expressão que retorna um objeto CommandBarComboBox.

Text String necessário. O texto adicionado ao controle.

Index Variant opcional. A posição do item na lista. Se esse argumento for omitido, o item será adicionado ao final da lista.

Exemplo

Este exemplo adiciona um controle caixa de combinação a uma barra de comandos. Dois itens são adicionados ao controle, e o número de itens de linha e a largura da caixa de combinação são definidos.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


Método AddToSearchFolders

Adiciona um objeto ScopeFolder à coleção SearchFolders.

expressão.AddToSearchFolders

expressão Necessária. Uma expressão que retorna um objeto ScopeFolder.

Comentários

Embora você possa usar o método Add da coleção SearchFolders para adicionar um objeto ScopeFolder à coleção SearchFolders, em geral é mais simples usar o método AddToSearchFolders do objeto ScopeFolder que você deseja adicionar, porque existe somente uma coleção SearchFolders para todas as pesquisas.

Exemplo

O exemplo a seguir adiciona o objeto raiz ScopeFolder à coleção SearchFolders. Para um exemplo maior que usa o método AddToSearchFolders, consulte o tópico da coleção SearchFolders.

Application.FileSearch.SearchScopes(1).ScopeFolder.AddToSearchFolders


Método ApplyFilter

Aplica um filtro a uma fonte de dados de mala direta para filtrar registros especificados que atendam a critérios especificados.

expressão.ApplyFilter

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

Este exemplo adiciona um novo filtro que remove todos os registros com um campo Region em branco e, em seguida, aplica o filtro à publicação ativa.

Sub OfficeFilters()
    Dim appOffice As OfficeDataSourceObject
    Dim appFilters As ODSOFilters

    Set appOffice = Application.OfficeDataSourceObject

    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    Set appFilters = appOffice.Filters

    MsgBox appOffice.RowCount

    appFilters.Add Column:="Region", Comparison:=msoFilterComparisonEqual, _
        Conjunction:=msoFilterConjunctionAnd, bstrCompareTo:="WA"
    appOffice.ApplyFilter

    MsgBox appOffice.RowCount

End Sub


Método Clear

Remove todos os itens de lista de um controle caixa de combinação de barra de comandos (caixa de combinação ou caixa de listagem suspensa) e limpa a caixa de texto (caixa de combinação ou caixa de edição).

Observação Esse método irá falhar se for aplicado a um controle de barra de comandos interna.

expressão.Clear

expressão Necessária. Uma expressão que retorna um objeto CommandBarComboBox.

Exemplo

Este exemplo verifica o número de itens do controle caixa de combinação na barra de comandos chamada "Custom". Se houver menos de três itens na lista na caixa de combinação, o exemplo limpará a lista, adicionará um novo primeiro item à lista e exibirá esse novo item como padrão para o controle caixa de combinação.

Set myBar = CommandBars("Custom Bar")
Set myControl = myBar.Controls _
    Type:=msoControlComboBox)
With myControl
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
End With
If myControl.ListCount < 3 Then
    myControl.Clear
    myControl.AddItem Text:="New Item", Index:=1
End If


Método ClearFileList

Limpa a lista de arquivos do Assistente de resposta atual, incluindo a lista padrão de arquivos do aplicativo host do Microsoft Office.

expressão.ClearFileList

expressão Uma expressão que retorna um objeto Assistente de resposta.

Comentários

Use esse método para remover todas as entradas da lista de arquivos atual do aplicativo especificado. Você também pode usá-lo para certificar-se de que não há nenhum arquivo do Assistente de resposta padrão do aplicativo host disponível para usuários. Em seguida, você poderá construir uma lista de arquivos personalizados usando o método Add da coleção AnswerWizardFiles.

Para restaurar o arquivo do Assistente de resposta padrão definido no aplicativo host, use o método ResetFileList.

Exemplo

Este exemplo prepara o Assistente de resposta para aceitar uma lista de arquivos personalizados e adiciona dois arquivos de Assistente de resposta personalizados. Primeiro, o exemplo limpa a lista de arquivos, adiciona dois arquivos personalizados do Assistente de resposta e verifica a contagem dos arquivos e os nomes para confirmar se os arquivos foram adicionados corretamente.

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

If customAnswerWizard.Files.Count = 2 Then
    MsgBox "Files " & customAnswerWizard.Files.Item(1) & _
    " and " & customAnswerWizard.Files(2) & _
    " were added sucessfully."
End If


Método Close

Fecha o balão ativo sem janela restrita. Você deve usar este método apenas em procedimentos de retorno de chamada.

expressão.Close

expressão Necessária. Uma expressão que retorne um objeto Balloon.

Exemplo

Este exemplo exibe um balão que contém um botão para cada uma das três impressoras. Sempre que o usuário clica em um destes botões, o procedimento de retorno de chamada ProcessPrinter é executado e o balão é fechado.

Sub selectPrinter()
Set bln = Assistant.NewBalloon
With bln
    .Heading = "Select a Printer."
    .Labels(1).Text = "Network Printer"
    .Labels(2).Text = "Local Printer"
    .Labels(3).Text = "Local Color Printer"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With
End Sub

Sub ProcessPrinter(bln As Balloon, lbtn As Long, _
 lPriv As Long)
    Assistant.Animation = msoAnimationPrinting
    Select Case lbtn
    Case -1
        ' Insert network printer-specific code.
    Case -2
        ' Insert local printer-specific code.
    Case -3
        ' Insert color printer-specific code.
    End Select
    bln.Close
End Sub


Método Commit

Efetua todas as alterações da coleção SignatureSet especificada no disco. Até que o método Commit seja executado, nenhuma das alterações na coleção SignatureSet serão salvas.

expressão.Commit

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

O exemplo a seguir solicita que o usuário selecione uma assinatura digital para assinar o documento ativo no Microsoft Word. Para usar este exemplo, abra um documento no Word e chame essa função. A função verifica se a assinatura digital selecionada pelo usuário não irá expirar em menos de 12 meses. Se isso acontecer, o certificado não será anexado.

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Método Copy

Copia um controle da barra de comandos para uma barra de comandos existente.

expressão.Copy(Bar, Before)

expressão Necessária. Uma expressão que retorna um objeto CommandBarControl, CommandBarButton, CommandBarPopup ou CommandBarComboBox.

Bar Variant opcional. Um objeto CommandBar que representa a barra de comandos de destino. Se esse argumento for omitido, o controle será copiado para a mesma barra de comandos (a barra de comandos na qual ele já se encontra).

Before Variant opcional. Um número que indica a posição do novo controle na barra de comandos especificada. O novo controle será inserido antes do controle nessa posição. Se esse argumento for omitido, o controle será copiado para o final da barra de comandos.

Exemplo

Este exemplo copia o primeiro controle da barra de comandos chamada "Standard" para o primeiro controle na barra de comandos chamada "Custom".

Set myCustomBar = CommandBars("Custom")
Set myControl = CommandBars("Standard").Controls(1)
With myControl
    .Copy Bar:=myCustomBar, Before:=1
    .SetFocus
End With


Método CopyFace

Copia a face de um controle de botão da barra de comandos para a área de transferência.

expressão.CopyFace

expressão Necessária. Uma expressão que retorna um objeto CommandBarButton.

Comentários

Use o método PasteFace para colar o conteúdo da área de transferência em uma face de botão.

Exemplo

Este exemplo localiza o botão interno Abrir e copia sua face para a área de transferência e cola a face no botão Ortografia e gramática.

Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=23)
myControl.CopyFace
Set myControl = CommandBars.FindControl(Type:=msoControlButton, ID:=2)
myControl.PasteFace


Método Delete

Método Delete como ele se aplica ao objeto DocumentProperty

Remove uma propriedade de documento personalizada.

expressão.Delete

expressão Necessária. Uma expressão que retorna um dos objetos acima.

Comentários

Você não pode excluir uma propriedade de documento interna.

Método Delete como ele se aplica ao objeto AnswerWizardFiles

Exclui o objeto especificado de sua coleção.

expressão.Delete(FileName)

expressão Necessária. Uma expressão que retorna um dos objetos acima.

Filename String necessário. O nome do arquivo a ser excluído, incluindo o caminho totalmente qualificado, o nome do arquivo e a extensão.

Método Delete como ele se aplica ao objeto FileDialogFilters

Remove um filtro de caixa de diálogo de arquivo.

expressão.Delete(filter)

expressão Necessária. Uma expressão que retorna um dos objetos acima.

filter Variant opcional. O filtro a ser removido.

Método Delete como ele se aplica ao objeto ODSOFilters

Exclui um objeto de filtro da coleção ODSOFilters.

expressão.Delete(Index, DeferUpdate)

expressão Necessária. Uma expressão que retorna um dos objetos acima.

Index Long necessário. O número do filtro a ser excluído.

DeferUpdate Boolean opcional.

Método Delete como ele se aplica aos objetos CommandBar, Script, Scripts e Signature

Exclui o objeto especificado da coleção.

expressão.Delete

expressão Necessária. Uma expressão que retorna um dos objetos acima.

Comentários

Para a coleção Scripts, o uso do método Delete remove todos os scripts do documento do Word, planilha do Excel ou slide do PowerPoint especificado. Uma âncora de script é representada por uma forma no aplicativo host. Portanto, o objeto Shape associado com cada âncora de script do tipo msoScriptAnchor é excluído da coleção Shapes no Excel e no PowerPoint e das coleções InlineShapes e Shapes no Word.

Método Delete como ele se aplica aos objetos CommandBarButton, CommandBarComboBox, CommandBarControl e CommandBarPopup

Exclui o objeto especificado de sua coleção.

expressão.Delete(Temporary)

expressão Necessária. Uma expressão que retorna um dos objetos acima.

Temporary Variant opcional. True para excluir o controle da seção atual. O aplicativo exibirá novamente o controle na próxima seção.

Exemplo

Como ele se aplica ao objeto CommandBar

Este exemplo exclui todas as barras de comandos personalizadas que não estejam visíveis.

foundFlag = False
delBars = 0
For Each bar In CommandBars
    If (bar.BuiltIn = False) And _
    (bar.Visible = False) Then
        bar.Delete
        foundFlag = True
        delBars = delBars + 1
    End If
Next bar
If Not foundFlag Then
    MsgBox "No command bars have been deleted."
Else
    MsgBox delBars & " custom bar(s) deleted."
End If

Como ele se aplica ao objeto DocumentProperty

Este exemplo exclui uma propriedade personalizada de documento. Você precisa ter um objeto DocumentProperty personalizado no procedimento chamado "CustomNumber".

ActiveDocument.CustomDocumentProperties("CustomNumber").Delete


Método DoAlert

Exibe um alerta e retorna um Long que indica que botão que o usuário pressionou. Você pode optar por exibir esse alerta por meio do Assistente do Office Microsoft ou como uma caixa de mensagem normal.

expressão.DoAlert(bstrAlertTitle, bstrAlertText, alb, alc, ald, alq, varfSysAlert)

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

bstrAlertTitle String necessário. Define o título do alerta.

bstrAlertText String necessário. Define o texto do alerta.

alb Necessário MsoAlertButtonType. Determina que botões devem ser exibidos no alerta.

MsoAlertButtonType pode ser uma destas constantes:
msoAlertButtonAbortRetryIgnore
msoAlertButtonOK
msoAlertButtonOKCancel
msoAlertButtonRetryCancel
msoAlertButtonYesAllNoCancel Use esta somente quando o argumento varfSysAlert for definido como False.
msoAlertButtonYesNo
msoAlertButtonYesNoCancel

alc Necessário MsoAlertIconType. Determina que ícone deve ser exibido no alerta.

MsoAlertIconType pode ser uma destas constantes:
msoAlertIconCritical
msoAlertIconInfo
msoAlertIconNoIcon
msoAlertIconQuery
msoAlertIconWarning

ald Necessário MsoAlertDefaultType. Determina que botão deve ser definido como o botão padrão no alerta. Se este argumento estiver definido com um valor maior que o número de botões, será retornado um erro.

MsoAlertDefaultType pode ser uma destas constantes:
msoAlertDefaultFifth
msoAlertDefaultFirst
msoAlertDefaultFourth
msoAlertDefaultSecond
msoAlertDefaultThird

alq Necessário MsoAlertCancelType. Defina esta constante sempre como msoAlertCancelDefault. Qualquer outra configuração poderá retornar um erro.

MsoAlertCancelType pode ser uma destas constantes:
msoAlertCancelDefault
msoAlertCancelFifth
msoAlertCancelFirst
msoAlertCancelFourth
msoAlertCancelSecond
msoAlertCancelThird

varfSysAlert Boolean necessário. True se o alerta for exibido em uma caixa de mensagem ou False se o alerta for exibido por meio do Assistente do Office.

Comentários

Os valores retornados do método DoAlert correspondem aos valores do tipo enumerado vbMsgBoxResult (por exemplo, vbYes, vbNo ou vbCancel). Além desses valores, podem ser retornados os valores a seguir:

  • "Sim para todos" = 8
  • "Tente novamente" = 10
  • "Continuar" = 11

Exemplo

O exemplo a seguir exibe um alerta por meio do Assistente do Office e uma caixa de mensagem indicando que botão o usuário pressionou. Se o assistente estiver desativado, o alerta será exibido em uma caixa de mensagem normal.

Sub AssistantAlert()
    With Application.Assistant
        Select Case _
            .DoAlert( _
            "Test", _
            "Click a button.", _
            msoAlertButtonYesAllNoCancel, _
            msoAlertIconCritical, _
            msoAlertDefaultSecond, _
            msoAlertCancelFirst, _
            False)

            Case vbYes: MsgBox "The user clicked Yes."
            Case vbNo: MsgBox "The user clicked No."
            Case vbCancel: MsgBox "The user clicked Cancel."
            Case 8: MsgBox "The user clicked Yes To All" 'This is the return value for YesToAll
            Case Else
        End Select
    End With
End Sub


Método EndWizard

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Libera a variável retornada pelo método StartWizard.

Observação Você deve usar esse método somente com o método StartWizard.

expressão.EndWizard(WizardID, varfSuccess, Animation)

expressão Necessária. Uma expressão que retorne um objeto Assistant.

WizardID Long necessário. O número retornado pelo método StartWizard.

varfSuccess Boolean Necessário. True para indicar que o usuário completou o assistente com êxito.

Animation Variant opcional. A animação que o Assistente do Office efetua se varfSuccess é definido como True. O valor padrão é msoAnimationCharacterSuccessMajor.

Exemplo

Este exemplo fecha o Assistente do Office para uma sessão de assistente que tenha sido completada com êxito pelo usuário. A variável lHelpForWiz recebeu a atribuição do valor retornado pelo método StartWizard.

Assistant.EndWizard WizardId:=lHelpForWiz, _
    varfSuccess:=True, Animation:=msoAnimationGoodbye


Método Execute

Método Execute como ele se aplica ao objeto FileSearch

Inicia a pesquisa no(s) arquivo(s) especificado(s). Retorna um Long; zero (0) se nenhum arquivo for encontrado ou um número positivo se um ou mais arquivos forem encontrados.

expressão.Execute(SortBy, SortOrder, AlwaysAccurate)

expressão Necessária. Uma expressão que retorne um objeto FileSearch.

SortBy Opcional MsoSortBy. O método usado para classificar o(s) arquivo(s) retornado(s).

MsoSortBy pode ser uma das seguintes constantes:
msoSortByFileName padrão
msoSortByFileType
msoSortByLastModified
msoSortByNone
msoSortBySize

SortOrder Opcional MsoSortOrder. A ordem na qual o(s) arquivo(s) retornado(s) é(são) classificado(s).

MsoSortOrder pode ser uma das seguintes constantes:
msoSortOrderAscending padrão
msoSortOrderDescending

AlwaysAccurate Boolean opcional. True para que a pesquisa de arquivos incluam arquivos que foram adicionados, modificados ou excluídos desde a última vez em que o índice de arquivos foi atualizado. O valor padrão é True.

Método Execute como ele se aplica aos objetos CommandBarButton, CommandBarComboBox, CommandBarControl, CommandBarPopup e FileDialog

Para os objetos da barra de comandos, executa o procedimento ou comando interno atribuído ao controle da barra de comandos especificado. Para controles personalizados, use a propriedade OnAction para especificar o procedimento a ser executado.

Para objetos FileDialog do tipo msoFileDialogOpen ou msoFileDialogSaveAs, executa a ação do usuário logo depois que o método Show é chamado.

expressão.Execute

expressão Necessária. Uma expressão que retorna um dos objetos acima.

Exemplo

Como ele se aplica ao objeto FileSearch

Este exemplo procura por todos os arquivos da pasta My Documents que terminem com a extensão “.doc” e exibe o local e o nome de cada arquivo localizado. O exemplo também classifica a lista de arquivos retornados em ordem alfabética crescente.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "*.doc"
    If .Execute(SortBy:=msoSortbyFileName, _
            SortOrder:=msoSortOrderAscending) > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With

Como ele se aplica aos objetos CommandBarButton, CommandBarComboBox, CommandBarControl e CommandBarPopup

Este exemplo do Microsoft Excel cria uma barra de comandos e adiciona um botão de barra de comandos interno a ela. O botão executa a função AutoSum do Excel. Este exemplo usa o método Execute para totalizar o intervalo selecionado de células quando a barra de comandos aparecer.

Dim cbrCustBar As CommandBar
Dim ctlAutoSum As CommandBarButton
Set cbrCustBar = CommandBars.Add("Custom")
Set ctlAutoSum = cbrCustBar.Controls _
    .Add(msoControlButton, CommandBars("Standard") _
    .Controls("AutoSum").Id)
cbrCustBar.Visible = True
ctlAutoSum.Execute


Método FindControl

Retorna um objeto CommandBarControl que satisfaz o critério especificado.

expressão.FindControl(Type, Id, Tag, Visible, Recursive)

expressão Necessária. Uma expressão que retorna um objeto CommandBars.

Type MsoControlType opcional. O tipo de controle.

O tipo de MsoControlType pode ser uma das seguintes constantes:
msoControlActiveX
msoControlCustom
msoControlButton
msoControlEdit
msoControlDropdown
msoControlComboBox
msoControlButtonDropdown
msoControlSplitDropdown
msoControlGenericDropdown
msoControlGraphicCombo
msoControlSplitButtonMRUPopup
msoControlSplitExpandingGrid
msoControlGraphicDropdown
msoControlPopup
msoControlGraphicPopup
msoControlButtonPopup
msoControlGauge
msoControlLabel
msoControlExpandingGrid
msoControlGrid
msoControlOCXDropDown
msoControlSplitButtonPopup
msoControlPane

Id Variant opcional. O identificador do controle.

Tag Variant opcional. O valor de marcação do controle.

Visible Variant opcional. True para incluir na pesquisa somente controles de barra de comando visíveis. O valor padrão é False. Barras de comandos visíveis incluem todas as barras de ferramentas visíveis e todos os menus que estão abertos a qualquer momento em que o método FindControl é executado.

Recursive Boolean opcional. True para incluir na pesquisa a barra de comandos e todas as suas sub-barras de ferramentas pop-up. Este argumento só se aplica ao objeto CommandBar. O valor padrão é False.

Comentários

Se a coleção CommandBars contiver dois ou mais controles que satisfaçam o critério de pesquisa, FindControl retornará o primeiro controle localizado. Se não for localizado nenhum controle que satisfaça o critério, FindControl retornará Nothing.

Exemplo

Este exemplo encontra o primeiro controle na barra de comandos chamada “Custom”. Se o controle é um botão, o exemplo usa o método FindControl para encontrar o botão Copy (na barra de ferramentas Standard) e, em seguida, copia a face do botão Copy e o cola no controle.

Set oldCtrl = CommandBars("Custom").Controls(1)
If oldCtrl.Type = 1 Then
    Set newCtrl = CommandBars.FindControl(Type:= _
        MsoControlButton, ID:= _
        CommandBars("Standard").Controls("Copy").ID)
    NewCtrl.CopyFace
    OldCtrl.PasteFace
End If


Método FindControls

Retorna a coleção CommandBarControls que satisfaz os critérios especificados.

expressão.FindControls(Type, Id, Tag, Visible)

expressão Necessária. Uma expressão que retorne uma coleção CommandBarControls.

Type MsoControlType opcional. O tipo de controle.

O tipo de MsoControlType pode ser uma das seguintes constantes:
msoControlActiveX
msoControlCustom
msoControlButton
msoControlEdit
msoControlDropdown
msoControlComboBox
msoControlButtonDropdown
msoControlSplitDropdown
msoControlGenericDropdown
msoControlGraphicCombo
msoControlSplitButtonMRUPopup
msoControlSplitExpandingGrid
msoControlGraphicDropdown
msoControlPopup
msoControlGraphicPopup
msoControlButtonPopup
msoControlGauge
msoControlLabel
msoControlExpandingGrid
msoControlGrid
msoControlOCXDropDown
msoControlSplitButtonPopup
msoControlPane
Id Variant opcional. O identificador do controle.

Tag Variant opcional. O valor da marca do controle.

Visible Variant opcional. True para incluir somente controles de barras de comandos visíveis na pesquisa. O valor padrão é False.

Comentários

Se nenhum controle que esteja de acordo com os critérios for encontrado, o método FindControls retornará Nothing.

Exemplo

Este exemplo utiliza o método FindControls para retornar todos os membros da coleção CommandBars que têm a identificação 18 e exibe (em uma caixa de mensagem) o número de controles que atendem aos critérios de pesquisa.

Dim myControls As CommandBarControls
Set myControls = CommandBars.FindControls(Type:=msoControlButton, ID:=18)
MsgBox "There are " & myControls.Count & _
    " controls that meet the search criteria."


Método Help

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Exibe o Assistente do Office e o balão interno "O que você deseja fazer?" para Ajuda on-line padrão do Office.

expressão.Help

expressão Necessária. Uma expressão que retorne um objeto Assistant.

Exemplo

Este exemplo exibe o balão interno do assistente quando o usuário marca a caixa de seleção "I need more information."

Set b = Assistant.NewBalloon
With b
    .Heading = "User Information"
    .Text = "Select your skill level"
    .CheckBoxes(1).Text = "Beginner."
    .CheckBoxes(2).Text = "Advanced."
    .CheckBoxes(3).Text = "I need more information."
    .Show
End With
If b.CheckBoxes(3).Checked = True Then
    Assistant.Help
End If


Método Item

Método Item como ele se aplica ao objeto COMAddIns

Retorna um membro da coleção COMAddIns especificada.

expressão.Item(Index)

expressão Necessária. A coleção COMAddIns especificada.

Index Variant necessário. Tanto um valor ordinal, que retorna o suplemento COM nessa posição na coleção COMAddIns, quanto um valor String, que representa o ProgID do suplemento COM especificado.

Método Item como ele se aplica ao objeto FileDialogFilters

Retorna um objeto FileDialogFilter que é um membro da coleção FileDialogFilters especificada.

expressão.Item(Index)

expressão Necessária. Uma expressão que retorna um dos objetos acima.

Index Long necessário. O número de índice do objeto FileDialogFilter a ser retornado.

Método Item como ele se aplica ao objeto HTMLProjectItems

Retorna o objeto HTMLProjectItem que representa um determinado projeto no Editor de scripts Microsoft.

expressão.Item(Index)

expressão Necessária. Uma coleção HTMLProjectItems.

Index Variant necessário. O nome ou número de índice do item do projeto HTML a ser retornado

Método Item como ele se aplica ao objeto Scripts

Retorna um membro da coleção Scripts. Aceita o número de índice ou identificação do script que você deseja que o aplicativo do Microsoft Office retorne. O método Item aceita um valor Variant que pode aceitar tanto um número ordinal (valor de índice), que retorna o script armazenado nessa posição na coleção Scripts, quanto um valor String, que representa o nome ou a identificação do script.

expressão.Item(Index)

expressão Necessária. Uma expressão que retorna um objeto Scripts.

Index Variant necessário. A identificação ou número de índice a ser retornado.

Comentários

A coleção Scripts contém todos os scripts em um determinado documento, em ordem de origem (a ordem em que os objetos Script aparecem na fonte de arquivo). Os scripts mantêm-se em ordem de origem independente do seu local no documento—ou seja, independente de estarem no cabeçalho ou no corpo de texto.

Você pode usar o método Item para acessar um script na coleção Scripts usando a identificação da marca <SCRIPT>. O atributo de identificação da marca <SCRIPT> é idêntico à propriedade Identificação do objeto Script. Se houver identificações múltiplas ou duplicadas em um documento e você usar a propriedade Identificação de um objeto Script para acessar um script usando o método Item, o Office retorna o primeiro script que corresponde à identificação; scripts adicionais, com a mesma identificação, são ignorados.

Novas âncoras de script adicionadas à coleção são acrescentadas ao final da coleção Scripts, na ordem em que foram adicionadas ao documento. As âncoras de script permanecem nessa ordem até que o documento seja salvado como HTML, fechado e, em seguida, aberto novamente no aplicativo do host. Ao seguir estes procedimentos, a coleção Scripts é indexada na ordem em que as âncoras de script aparecem no documento, que pode ser diferente da ordem na qual elas foram adicionadas ao mesmo. Portanto, é aconselhável usar a propriedade Identificação do objeto Script, em vez da posição do script na coleção, para certificar-se da identificação exata do script.

Método Item como ele se aplica ao objeto FileDialogSelectedItems

Retorna uma String que corresponde ao caminho de um dos arquivos selecionados pelo usuário a partir de uma caixa de diálogo de arquivo exibida por meio do método Show do objeto FileDialog. A coleção FileDialogSelectedItems é uma coleção de seqüência de caracteres.

expressão.Item(Index)

expressão Necessária. Uma expressão que retorna um dos objetos acima.

Index Long necessário. O número de índice da seqüência de caracteres a ser retornada.


Método LoadFromFile

Atualiza o texto no Editor de scripts Microsoft com o texto do arquivo especificado (no disco).

expressão.LoadFromFile(Filename)

expressão Um objeto HTMLProjectItem.

Filename String necessário. O caminho completo do arquivo de texto que contém o texto a ser carregado.

Exemplo

Este exemplo determina se o item do projeto HTML especificado está aberto; se o item estiver aberto, o exemplo carregará o script do arquivo especificado.

If ActiveWorkbook.HTMLProject.HTMLProjectItems _
    .Item(1).IsOpen Then
    ActiveWorkbook.HTMLProject.HTMLProjectItems _
        .Item(1).LoadFromFile ("C:\MyScript.txt")
Else
    MsgBox "The HTMLProjectItem is not open."
End If


Método Move

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Método Move como ele se aplica aos objetos CommandBarButton, CommandBarComboBox, CommandBarControl e CommandBarPopup

Move o controle da barra de comandos para uma barra de comandos existente.

expressão.Move(Bar, Before)

expressão Necessária. Uma expressão que retorna um dos objetos acima.

Bar Variant opcional. Um objeto CommandBar que representa a barra de comandos de destino do controle. Se esse argumento for omitido, o controle será movido para o final da barra de comandos na qual reside no momento.

Before Variant opcional. Um número que indica a posição do controle. O controle é inserido antes do controle que ocupa essa posição no momento. Se esse argumento for omitido, o controle será inserido na mesma barra de comandos.

Método Move como ele se aplica ao objeto Assistant

Move o Assistente do Office para o local especificado.

expressão.Move(xLeft, yTop)

expressão Necessária. Uma expressão que retorna um objeto Assistant.

xLeft Integer necessário. A posição esquerda da janela do Assistente do Office, em pontos.

yTop Integer necessário. A posição superior da janela do Assistente do Office, em pontos.

Exemplo

Como ele se aplica aos objetos CommandBarButton, CommandBarComboBox, CommandBarControl e CommandBarPopup

Este exemplo move o primeiro controle de caixa de combinação da barra de comandos personalizada Custom para a posição anterior ao sétimo controle dessa barra de comandos. O exemplo define a marcação como "Selection box" e atribui ao controle uma baixa prioridade para que ele venha a ser descartado da barra de comandos caso todos os controles não caibam em uma linha.

Set allcontrols = CommandBars("Custom").Controls
For Each ctrl In allControls
    If ctrl.Type = msoControlComboBox Then
        With ctrl
            .Move Before:=7
             .Tag = "Selection box"
             .Priority = 5
         End With
         Exit For
    End If
Next

Como ele se aplica ao objeto Assistant

Este exemplo exibe o Assistente do Office no local especificado e define várias opções antes de torná-lo visível.

With Assistant
    .Reduced = True
    .Move xLeft:= 400, yTop:= 300
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Visible = True
    .Animation = msoAnimationGreeting
End With


Método NewSearch

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Restabelece as configurações padrão de todos os critérios de pesquisa.

expressão.NewSearch

expressão Necessária. Uma expressão que retorne um objeto FileSearch.

Comentários

As definições de critérios de pesquisa são mantidas ao longo de uma sessão de aplicativo. Use este método toda vez que alterar os critérios de pesquisa. Este método não redefinirá o valor da propriedade LookIn.

Exemplo

Este exemplo usa o método NewSearch para redefinir os critérios de pesquisa padrão antes de iniciar uma nova pesquisa.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .FileName = "run"
    .TextOrProperty = "San*"
    .MatchAllWordForms = True
    .FileType = msoFileTypeAllFiles
    If .Execute() > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
        " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Método Open

Abre o projeto HTML especificado ou o item de projeto HTML no Editor de scripts Microsoft, em um dos modos de exibição especificados pelas constantes MsoHTMLProjectOpen opcionais listadas abaixo. Se uma das constantes não estiver especificada, o item de projeto será aberto no modo de exibição padrão.

expressão.Open(OpenKind)

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

OpenKind Opcional MsoHTMLProjectOpen. O modo de exibição na qual o projeto ou item de projeto especificado é aberto.

MsoHTMLProjectOpen pode ser uma das seguintes constantes:
msoHTMLProjectOpenSourceView
msoHTMLProjectOpenTextView

Comentários

A exibição padrão é determinada pelo fato de o Editor de scripts Microsoft estar ou não aberto quando o método Open for executado. Se o Editor de scripts não estiver aberto, o método Open iniciará o Editor de scripts no modo de exibição de origem. Se o Editor de scripts já estiver aberto, o método Open ativará o Editor de scripts e exibirá o script no modo de exibição atual.

Exemplo

Este exemplo abre o projeto HTML na pasta de trabalho ativa, no modo de exibição de origem.

AppActiveWorkbook.HTMLProject.Open _
    (msoHTMLProjectOpenSourceView)

Este exemplo abre o primeiro item de projeto HTML na pasta de trabalho ativa, no modo de exibição de texto.

ActiveWorkbook.HTMLProject.HTMLProjectItems _
    Item(1).Open (msoHTMLProjectOpenTextView)


Método PasteFace

Cola o conteúdo da área de transferência em um controle de botão da barra de comandos.

expressão.PasteFace

expressão Necessária. Uma expressão que retorna um objeto CommandBarButton.

Exemplo

Este exemplo localiza o botão Abrir interno e cola sobre ele a face do botão Ortografia e gramática a partir da área de transferência.

Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=2)
myControl.CopyFace
Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=23)
myControl.PasteFace


Método RefreshDocument

Atualiza o projeto HTML especificado no aplicativo host do Microsoft Office.

expressão.RefreshDocument(Refresh)

expressão Uma expressão que retorna um objeto HTMLProject.

Refresh Boolean necessário. True se todas as alterações tiverem de ser salvas; False se todas as alterações tiverem de ser ignoradas.

Comentários

Esse método é equivalente a clicar no botão Refresh da barra de ferramentas Refresh do aplicativo host do Office. Se você atualizar o documento definindo o método RefreshDocument como True, todas as alterações no código fonte HTML feitas no Editor de scripts Microsoft serão salvas no aplicativo host do Office. Se você definir RefreshDocument como False, todas as alterações no código fonte HTML serão ignoradas. Observe que o valor retornado pelo método State será afetado pelo método RefreshDocument. Se você chamar RefreshDocument (True), o método State retornará msoHTMLProjectStateDocumentProjectUnlocked se for chamado após a operação de atualização.

Exemplo

Este exemplo atualiza o projeto HTML na pasta de trabalho ativa no aplicativo host.

ActiveWorkbook.HTMLProject.RefreshDocument (True)


Método RefreshProject

Atualiza o projeto HTML especificado no Editor de scripts Microsoft.

expressão.RefreshProject

expressão Uma expressão que retorna um objeto HTMLProject.

Comentários

Usar esse método é equivalente a clicar no botão Refresh da barra de ferramentas Refresh do Editor de scripts Microsoft. Se você atualizar o documento definindo RefreshDocument como True, todas as alterações no código fonte HTML feitas no aplicativo host do Office serão salvas no projeto HTML no Editor de scripts Microsoft. Se você definir RefreshDocument como False, todas as alterações no código fonte HTML serão ignoradas.

Exemplo

Este exemplo atualiza o projeto HTML no Editor de scripts Microsoft.

ActiveWorkbook.HTMLProject.RefreshProject (True)


Método RefreshScopes

Atualiza a lista de objetos ScopeFolder disponíveis no momento.

expressão.RefreshScopes

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

O exemplo a seguir exibe todos os objetos ScopeFolder disponíveis no momento na unidade C:\ do escopo de My Computer.

Sub TestRefreshScopesMethod()
' Displays what happens before and after the RefreshScopes
' method is called when a new folder is added to the list
' of scope folders.

    ' List before the folder is created.
    Call ListFolderNames

    ' Create a new folder on the C:\ drive in My Computer.
    ' An error will occur if this folder already exists.
    MkDir Path:="C:\Delete_After_Using"

    ' List after the folder is created.
    Call ListFolderNames

    ' Refresh the list of folders.
    Application.FileSearch.RefreshScopes

    ' The newly-created folder now appears in the list.
    Call ListFolderNames

End Sub

Sub ListFolderNames()

    Dim strResults As String

    ' Loop through all the folder names on the C:\ drive
    ' in My Computer and report the results.
    ' .SearchScopes.Item(1) = "My Computer"
    ' .ScopeFolders.Item(2) = "C:\"
    With Application.FileSearch.SearchScopes.Item(1). _
        ScopeFolder.ScopeFolders.Item(2)

        For i = 1 To .ScopeFolders.Count
            strResults = strResults & .ScopeFolders. _
                Item(i).Name & vbCrLf
        Next i

        MsgBox "Folder Names on C:\...." & vbCrLf & strResults

    End With

End Sub


Método ReleaseFocus

Libera o foco da interface do usuário de todas as barras de comandos.

expressão.ReleaseFocus

expressão Necessária. Uma expressão que retorna um objeto CommandBars.

Exemplo

Este exemplo adiciona três botões em branco à barra de comandos denominada “Custom” e define o foco como o botão central. Em seguida, são aguardados cinco segundos antes de o foco da interface do usuário ser liberado de todas as barras de comandos.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton
    .Controls.Add Type:=msoControlButton
    .Controls.Add Type:=msoControlButton
    .Visible = True
End With
Set myControl = CommandBars("Custom").Controls(2)
With myControl
    .SetFocus
End With
PauseTime = 5   ' Set duration.
    Start = Timer   ' Set start time.
    Do While Timer < Start + PauseTime
        DoEvents    ' Yield to other processes.
    Loop
    Finish = Timer
CommandBars.ReleaseFocus


Método Remove

Método Remove como ele se aplica ao objeto NewFile

Remove um item do painel de tarefas Novo item. Retorna um Boolean.

expressão.Remove(FileName, Section, DisplayName, Action)

expressão Necessária. Uma expressão que retorna um objeto NewFile.

FileName String necessário. O nome da referência de arquivo.

Section Variant opcional. A seção do painel de tarefas na qual reside a referência de arquivo. Pode ser qualquer constante msoFileNewSection.

DisplayName Variant opcional. O texto de exibição da referência de arquivo.

Action Variant opcional. A ação é executada quando um usuário clica no item. Pode ser qualquer constante msoFileNewAction.

Método Remove como ele é aplicado aos objetos FileTypes, PropertyTests e SearchFolders

Remove o objeto especificado da coleção.

expressão.Remove(Index)

expressão Necessária. Uma expressão que retorna um dos objetos acima.

Index Long necessário. O número de índice do teste de propriedade a ser removido.

Exemplo

Como ele se aplica aos objetos FileTypes, PropertyTests e SearchFolders

Este exemplo remove o primeiro critério de pesquisa da coleção.

Application.FileSearch.PropertyTests.Remove(1)

Como ele se aplica ao objeto NewFile

Este exemplo remove o item especificado do painel de tarefas NewDocument do Word.

Sub RemoveDocFromTaskPane()
    Application.NewDocument.Remove FileName:="C:\Newfile.doc", _
            Section:=msoNewfromTemplate, DisplayName:="NewFile"
    CommandBars("Task Pane").Visible = True
End Sub


Método RemoveItem

Remove um item de um controle de caixa de combinação de barra de comandos.

Observação A propriedade falha quando aplicada a controles que não sejam controles de lista.

expressão.RemoveItem(Index)

expressão Necessária. Uma expressão que retorna um objeto CommandBarComboBox.

Index Long necessário. O item a ser removido da lista.

Exemplo

Este exemplo determina se existem mais de três itens na caixa de combinação especificada. Se houver mais de três itens, o exemplo removerá o segundo item, alterará o estilo e definirá um novo valor. Ele também define a propriedade Tag do objeto pai (o objeto CommandBarControl) para mostrar que a lista foi alterada.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
End With
Set myControl = myBar.Controls(1)
With myControl
    If .ListCount > 3 Then
        .RemoveItem 2
        .Style = msoComboNormal
        .Text = "New Default"
         Set ctrl = .Parent
    End If
End With


Método Reset

Redefine uma barra de comandos interna com sua configuração padrão ou redefine o controle de barra de comandos interno com sua função e face padrão.

expressão.Reset

expressão Necessária. Uma expressão que retorna um objeto CommandBar, CommandBarControl, CommandBarButton, CommandBarPopup ou CommandBarComboBox.

Comentários

A redefinição de um controle interno restaura as ações originalmente pretendidas para o controle e redefine cada uma das propriedades do controle de volta a seu estado original. A redefinição de uma barra de comandos interna remove os controles personalizados e restaura os controles internos.

Exemplo

Este exemplo usa o valor de usuário para ajustar as barras de comandos conforme o nível do usuário. Se usuário for "Level 1", a barra de comandos chamada "Custom" será exibida. Se usuário for qualquer outro valor, a barra de comandos interna do Visual Basic será redefinida com seu estado padrão e a barra de comandos chamada "Custom" será desativada.

Set myBar = CommandBars("Custom")
If user = "Level 1" Then
    myBar.Visible = True
Else
    CommandBars("Visual Basic").Reset
    myBar.Enabled = False
End If


Método ResetFileList

Redefine a lista de arquivos do Assistente de resposta atual na lista de arquivos padrão para o aplicativo host do Microsoft Office.

expressão.ResetFileList

expressão Uma expressão que retorna um objeto AnswerWizard.

Comentários

Use esse método para restaurar todas as entradas na lista de arquivos do Assistente de resposta para a lista do Registro do Windows correspondente ao aplicativo host. É possível estabelecer uma lista de arquivos padrão personalizados no Registro adicionando-se os nomes dos arquivos personalizados à chave apropriada do Registro.

Exemplo

Este exemplo redefine a lista de arquivos do Assistente de resposta atual e exibe a contagem e o nome dos arquivos em uma caixa de mensagem.

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer
Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "There are " & customAnswerWizard.Files.Count & _
    " files avaialble through this AnswerWizard: " & _
    Chr(13) & strFileList


Método ResetTips

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Redefine as dicas de aplicativo que aparecerão no balão do Assistente do Office.

expressão.ResetTips

expressão Necessária. Uma expressão que retorna um objeto Assistant.

Comentários

O método ResetTips corresponde ao botão Redefinir dicas da guia Opções da caixa de diálogo Assistente do Office.

Exemplo

Este exemplo redefine as dicas de aplicativo antes de tornar visível o Assistente do Office. Será exibido um balão de confirmação, informado ao usuário que suas dicas de aplicativo foram redefinidas.

With Application.Assistant
    .On = True
    .Visible = True
    .Animation = msoAnimationGreeting
    .ResetTips
End With


Método SaveCopyAs

Salva o item do projeto HTML especificado usando um novo nome de arquivo.

expressão.SaveCopyAs(Filename)

expressão Um objeto HTMLProjectItem.

Filename String necessário. O caminho totalmente qualificado do arquivo no qual você deseja salvar o item do projeto HTML.

Exemplo

Este exemplo salva uma cópia do texto do item do projeto HTML atual no arquivo NewScript.txt.

ActiveWorkbook.HTMLProject.HTMLProjectItems. _
    Item(1).SaveCopyAs("C:\NewScript.txt")


Método SetAvoidRectangle

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Evita que o balão do Assistente do Office seja exibido em uma área especificada da tela.

expressão.SetAvoidRectangle(Left, Top, Right, Bottom)

expressão Necessária. Uma expressão que retorna um objeto Assistant.

Left, Top, Right, Bottom Long necessário. As coordenadas (em pontos e em relação à tela) da área da tela que o Assistente do Office evitará quando for exibido.

Comentários

Essa propriedade tem o objetivo de evitar que o balão do Assistente do Office se sobreponha a caixas de diálogo e assistentes personalizados.

Exemplo

Este exemplo evita que o balão do Assistente do Office representado pela variável myBalloon seja exibido na região da tela denotada pelas coordenadas especificadas.

Set myBalloon = Assistant.NewBalloon
With myBalloon
    .SetAvoidRectangle 300, 250, 700, 500
    .Text = "Cannot display in coordinates " & _
        "300, 250, 700, 500."
    .Show
End With


Método SetFocus

Move o foco do teclado para o controle da barra de comandos especificado. Se o controle estiver desativado ou não estiver visível, esse método irá falhar.

Comentários

O foco no controle é sutil. Após usar esse método, você observará um realce tridimensional no controle. Ao pressionar as teclas de seta você navegará nas barras de ferramentas, como se tivesse chegado até o controle pressionando somente os controles de teclado.

expressão.SetFocus

expressão Necessária. Uma expressão que retorna um objeto CommandBarControl, CommandBarButton, CommandBarPopup ou CommandBarComboBox.

Exemplo

Este exemplo cria uma barra de comandos chamada "Custom" e adiciona um controle ComboBox e um controle Button a ela. Em seguida, o exemplo usa o método SetFocus para definir o foco do controle ComboBox.

Set focusBar = CommandBars.Add(Name:="Custom")
With CommandBars("Custom")
    .Visible = True
    .Position = msoBarTop
End With

Set testComboBox = CommandBars("Custom").Controls _
    .Add(Type:=msoControlComboBox, ID:=1)
With testComboBox
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
End With
Set testButton = CommandBars("Custom").Controls _
    .Add(Type:=msoControlButton)
testButton.FaceId = 17
' Set the focus to the combo box.
testComboBox.SetFocus


Método SetSortOrder

Define a ordem de classificação dos dados de mala direta.

expressão.SetSortOrder(SortField1, SortAscending1, SortField2, SortAscending2, SortField3, SortAscending3)

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

SortField1 String necessário. O primeiro campo no qual os dados de mala direta devem ser classificados.

SortAscending1 Boolean opcional. True (padrão) para efetuar uma classificação crescente em SortField1; False para efetuar uma classificação decrescente.

SortField2 String opcional. O segundo campo no qual os dados de mala direta devem ser classificados. O padrão é uma seqüência de caracteres vazia.

SortAscending2 Boolean opcional. True (padrão) para efetuar uma classificação crescente em SortField2; False para efetuar uma classificação decrescente.

SortField3 String opcional. O terceiro campo no qual os dados de mala direta devem ser classificados. O padrão é uma seqüência de caracteres vazia.

SortAscending3 Boolean opcional. True (padrão) para efetuar uma classificação crescente em SortField3; False para efetuar uma classificação decrescente.

Exemplo

O exemplo a seguir classifica a fonte de dados primeiro de acordo com o CEP, na ordem decrescente, e depois com base no sobrenome e no nome, na ordem crescente.

Sub SetDataSortOrder()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject

    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    appOffice.SetSortOrder SortField1:="ZipCode", _
        SortAscending1:=False, SortField2:="LastName", _
        SortField3:="FirstName"
End Sub


Método Show

Método Show como ele se aplica ao objeto Balloon

Exibe o objeto Balloon especificado. Retorna uma constante MsoBalloonButtonType que indica em que botão ou rótulo o usuário clica. Somente leitura.

MsoBalloonType pode ser uma das seguintes constantes:
msoBalloonButtonAbort
msoBalloonButtonBack
msoBalloonButtonCancel
msoBalloonButtonClose
msoBalloonButtonIgnore
msoBalloonButtonNext
msoBalloonButtonNo
msoBalloonButtonNull
msoBalloonButtonOK
msoBalloonButtonOptions
msoBalloonButtonRetry
msoBalloonButtonSearch
msoBalloonButtonSnooze
msoBalloonButtonTips
msoBalloonButtonYes
msoBalloonButtonYesToAll

expressão.Show

expressão Necessária. Uma expressão que retorne um objeto Balloon.

Método Show como ele se aplica ao objeto FileDialog

Exibe uma caixa de diálogo e retorna um Long indicando se o usuário pressionou o botão de ação (-1) ou o botão de cancelamento (0). Quando você chama o método Show, nenhum código é executado até que o usuário descarte a caixa de diálogo. No caso das caixas de diálogo Salvar como e Abrir, use o método Execute logo depois do método Show para executar a ação do usuário.

expressão.Show

expressão Necessária. Uma expressão que retorna um objeto FileDialog.

Exemplo

Como ele se aplica ao objeto Balloon

Este exemplo cria um balão contendo duas opções para o rótulo de balão a fim de definir uma orientação de impressora: Portrait e Landscape. O exemplo usa o método Show em uma declaração Select Case para determinar que orientação o usuário escolheu.

Set balNew = Assistant.NewBalloon
With balNew
    .Heading = "Please choose a printer orientation"
    .Labels(1).Text = "Portrait"
    .Labels(2).Text = "Landscape"
    .Button = msoButtonSetNone
End With

Select Case balNew.Show
    Case 1
        ' Insert code to set printer to Portrait.
    Case 2
        ' Insert code to set printer to Landscape.
End Select

Este exemplo cria um balão contendo três botões de comando: Yes, No e Cancel. O exemplo usa o método Show em uma declaração Select Case para determinar o valor retornado do botão clicado pelo usuário.

Set balNew = Assistant.NewBalloon
With balNew
    .Heading = "Are you sure you want to set the " & _
    "printer orientation to Landscape?"
    .BalloonType = msoBalloonTypeButtons
    .Button = msoButtonSetYesNoCancel
End With

Select Case balNew.Show
    Case -2	' User selected Cancel button.
        returnValue = MsgBox("Operation canceled.", _
        vbOKOnly, "Printer Message")
    Case -3	' User selected Yes button.
        returnValue = MsgBox("Printer set to " & _
        "Landscape.", vbOKOnly, "Printer Message")
    Case -4	' User selected No button.
        returnValue = MsgBox("Printer orientation not " & _
        "reset.", vbOKOnly, "Printer Message")
End Select

Como ele se aplica ao objeto FileDialog

O exemplo a seguir exibe uma caixa de diálogo genérica de seleção de arquivos usando o objeto FileDialog e exibe cada arquivo selecionado em uma caixa de mensagem.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
    If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a string that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "The path is: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
    Else
        End If
    End With

    'Set the object variable to nothing.
    Set fd = Nothing

End Sub


Método ShowPopup

Exibe uma barra de comandos como um menu de atalho nas coordenadas especificadas ou nas coordenadas atuais do ponteiro.

Observação Se a propriedade Position da barra de comandos não estiver definida como msoBarPopup, esse método irá falhar.

expressão.ShowPopup(x, y)

expressão Necessária. Uma expressão que retorna um objeto CommandBar.

x Variant opcional. A coordenada x do local do menu de atalho. Se esse argumento for omitido, a coordenada x atual do ponteiro será usada.

y Variant opcional. A coordenada y do local do menu de atalho. Se esse argumento for omitido, a coordenada y atual do ponteiro será usada.

Exemplo

Este exemplo cria um menu de atalho contendo dois controles. O método ShowPopup é usado para tornar visível o menu de atalho.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarPopup, Temporary:=False)
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls.Add Type:=msoControlComboBox
End With
myBar.ShowPopup


Método StartWizard

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Inicia o Assistente do Office e retorna um valor Long que identifica a seção. Você deve usar este método somente para executar o Assistente do Office em um assistente personalizado.

Observação O número retornado pelo método StartWizard é usado pelos métodos ActivateWizard e EndWizard.

expressão.StartWizard(On, Callback, PrivateX, Animation, CustomTeaser, Top, Left, Bottom, Right)

expressão Necessária. Uma expressão que retorna um objeto Assistant.

On Boolean necessário. True para exibir o balão de decisão do Office. O balão de decisão do Office pergunta ao usuário se ele quer ajuda com o assistente personalizado ativo. Não é necessário usar a propriedade Visible para exibir o Assistente do Office se você especificar True para este argumento.

Callback String necessário. O nome do procedimento de retorno de chamada executado pelo balão de decisão do Office e o balão de desvio. O balão de desvio permite que o usuário escolha entre a Ajuda personalizada que você forneceu para o assistente e a Ajuda padrão do Office.

PrivateX Long necessário. Um número que identifica o balão que iniciou o procedimento de retorno de chamada.

Animation Variant opcional. A animação do Assistente do Office é realizada quando este método é usado. O valor padrão é msoAnimationGetWizardy.

CustomTeaser Variant opcional. False para exibir o balão de decisão do Office.

Top, Left, Bottom, Right Variant opcional. A posição das extremidades (em pontos e relativa à tela) do formulário do assistente personalizado que o Assistente do Office evitará quando o Assistente do Office aparecer.

Comentários

Diferente de procedimentos de retorno de chamada usados por balões padrão sem janela restrita, o procedimento de retorno de chamada chamado pela decisão sem janela restrita e balões de desvio exibidos durante uma seção do Assistente do Office leva apenas dois argumentos: uma constante MsoWizardMsgType e um único valor especificado pelo argumento PrivateX do método StartWizard.

Se o usuário clicar com o botão esquerdo do mouse no balão de desvio ou de decisão, a constante msoWizardMsgShowHelp será passada ao primeiro argumento do procedimento de retorno de chamada. Se o usuário clicar com o botão direito, a constante msoWizardLocalStateOff será passada. (As outras constantes MsoWizardMsgType serão passadas pelo método ActivateWizard se você tiver especificado msoWizardActResume ou msoWizardActSuspend para o argumento Act). No caso de msoWizardMsgShowHelp, o procedimento de chamada de retorno deve exibir o balão apropriado para o painel atual do assistente personalizado. E no caso de msoWizardLocalStateOff, o procedimento de retorno de chamada deve ocultar o balão visível.

Exemplo

Este exemplo inicia o Assistente do Office como parte de um processo de fornecer informações enquanto um assistente personalizado está sendo executado. A variável lHelpForWiz é definida como o valor retornado do método StartWizard, que é Long.

lHelpForWiz = Assistant.StartWizard(On:=True, _
    Callback:="myCallback", PrivateX:=23)


Método Update

Atualiza o conteúdo da coleção COMAddIns na lista de suplementos armazenada no Registro do Windows.

expressão.Update

expressão A coleção COMAddIns.

Comentários

Antes de usar um determinado suplemento COM em um aplicativo do Microsoft Office, o suplemento deve ser registrado no Registro do Windows como um componente COM, com uma identificação de categoria de componente correspondente.

Exemplo

O exemplo a seguir atualiza o conteúdo da coleção COMAddIns na lista de suplementos armazenada no Registro do Windows.

Application.COMAddIns.Update


Propriedade ActionControl

Retorna o objeto CommandBarControl cuja propriedade OnAction é definida como o procedimento que está sendo executado. Se o procedimento que estiver sendo executado não tiver sido iniciado por um controle de barra de comandos, essa propriedade retornará Nothing. Somente leitura.

Exemplo

Este exemplo cria uma barra de comandos denominada “Custom”, adiciona três botões a ela e, em seguida, usa a propriedade ActionControl e a propriedade Tag para determinar que botão da barra de comandos foi clicado por último.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
Set buttonOne = myBar.Controls.Add(Type:=msoControlButton)
With buttonOne
    .FaceId = 133
    .Tag = "RightArrow"
    .OnAction = "whichButton"
End With
Set buttonTwo = myBar.Controls.Add(Type:=msoControlButton)
With buttonTwo
    .FaceId = 134
    .Tag = "UpArrow"
    .OnAction = "whichButton"
End With
Set buttonThree = myBar.Controls.Add(Type:=msoControlButton)
With buttonThree
    .FaceId = 135
    .Tag = "DownArrow"
    .OnAction = "whichButton"
End With
myBar.Visible = True

A sub-rotina whichButton responde ao método OnAction e determina que botão da barra de comandos foi clicado por último.

Sub whichButton()
Select Case CommandBars.ActionControl.Tag
    Case "RightArrow"
        MsgBox ("Right Arrow button clicked.")
    Case "UpArrow"
        MsgBox ("Up Arrow button clicked.")
    Case "DownArrow"
        MsgBox ("Down Arrow button clicked.")
End Select
End Sub


Propriedade ActiveMenuBar

Retorna um objeto CommandBar que representa a barra de menus ativa no aplicativo recipiente. Somente leitura.

Exemplo

Este exemplo adiciona um controle pop-up temporário denominado "Custom" ao final da barra de menus ativa e, em seguida, adiciona um controle de botão denominado "Import" ao controle pop-up.

Set myMenuBar = CommandBars.ActiveMenuBar
Set newMenu = myMenuBar.Controls.Add(Type:=msoControlPopup, Temporary:=True)
newMenu.Caption = "Custom"
Set ctrl1 = newMenu.CommandBar.Controls _
    .Add(Type:=msoControlButton, Id:=1)
With ctrl1
    .Caption = "Import"
    .TooltipText = "Import"
    .Style = msoButtonCaption
End With


Propriedade AdaptiveMenu

True se um menu personalizado estiver ativado. Boolean de leitura/gravação.

Exemplo

Este exemplo define a propriedade AdaptiveMenu como False no menu Arquivo do aplicativo do Microsoft Office em que você está trabalhando.

CommandBars("File").AdaptiveMenu = False


Propriedade AdaptiveMenus

True se os menus adaptáveis estiverem ativados. Boolean de leitura/gravação.

Exemplo

Este exemplo define três opções para todas as barras de comandos do Microsoft Office, incluindo as barras de comandos personalizadas e os controles que elas contêm.

With CommandBars
    .LargeButtons = True
    .DisplayFonts = True
    .AdaptiveMenus = True
End With


Propriedade AllowMultiSelect

True se o usuário tiver permissão para selecionar vários arquivos de uma caixa de diálogo. Boolean de leitura/gravação.

expressão.AllowMultiSelect

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Comentários

Esta propriedade não tem efeito sobre as caixas de diálogo genéricas de seleção de pastas ou Salvar como porque os usuários nunca devem ser capazes de selecionar vários arquivos nesses tipos de caixas de diálogo de arquivos.

Exemplo

O exemplo a seguir exibe uma caixa de diálogo genérica de seleção de arquivos usando o objeto FileDialog e exibe cada arquivo selecionado em uma caixa de mensagem.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Allow the selection of multiple files.
        .AllowMultiSelect = True

        'Use the Show method to display the file picker dialog and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Propriedade Animation

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Retorna ou define uma ação de animação para o Assistente do Office. Quando essa propriedade é aplicada ao objeto Assistant e o assistente admite a animação especificada, o assistente é animado imediatamente (se estiver visível e ativo). Quando essa propriedade é aplicada ao objeto Balloon, o assistente só é animado enquanto o balão é exibido. MsoAnimationType de leitura/gravação.

MsoAnimationType pode ser uma das seguintes constantes:
msoAnimationAppear
msoAnimationBeginSpeaking
msoAnimationCharacterSuccessMajor
MsoAnimationCheckingSomething
msoAnimationDisappear
msoAnimationEmptyTrash
msoAnimationGestureDown
msoAnimationGestureLeft
msoAnimationGestureRight
msoAnimationGestureUp
msoAnimationGetArtsy
msoAnimationGetAttentionMajor
msoAnimationGetAttentionMinor
msoAnimationGetTechy
msoAnimationGetWizardy
msoAnimationGoodbye
msoAnimationGreeting
msoAnimationIdle
msoAnimationListensToComputer
msoAnimationLookDown
msoAnimationLookDownLeft
msoAnimationLookDownRight
msoAnimationLookLeft
msoAnimationLookRight
msoAnimationLookUp
msoAnimationLookUpLeft
msoAnimationLookUpRight
msoAnimationPrinting
msoAnimationRestPose
msoAnimationSaving
msoAnimationSearching
msoAnimationSendingMail
msoAnimationThinking
msoAnimationWorkingAtSomething
msoAnimationWritingNotingSomething

Comentários

“Clippit” é o assistente padrão, e msoAnimationIdle é o tipo de animação padrão para o assistente.

Dependendo do assistente selecionado, a definição da propriedade Animation pode ou não resultar em alguma animação óbvia. Entretanto, todas as constantes MsoAnimationType são válidas para todos os assistentes. Observe que constantes diferentes podem produzir a mesma animação.

As seguintes constantes MsoAnimationType representam animações que repetem a ação especificada até o Assistente ser descartado, ou até a propriedade Animation ser redefinida com alguma outra animação.

MsoAnimationCheckingSomething

msoAnimationGetTechy

msoAnimationListensToComputer

msoAnimationSearching

 msoAnimationThinking

msoAnimationWorkingAtSomething

msoAnimationWritingNotingSomething

Exemplo

Este exemplo exibe o Assistente do Office em um local específico e define várias opções antes de tornar o assistente visível.

With Assistant
    .On = True
    .Visible = True
    .Move xLeft:= 400, yTop:= 300
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Animation = msoAnimationGreeting
End With


Propriedade Application

Retorna um objeto Application representando o aplicativo recipiente do objeto especificado (você pode usar essa propriedade com um objeto Automation para retornar o aplicativo recipiente desse objeto).

expressão.Application

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

Este exemplo retorna o nome do aplicativo no qual a barra de comandos chamada Standard foi criada e exibe este resultado em uma caixa de mensagem.

Set Appobj = CommandBars("Standard").Application
MsgBox Appobj


Propriedade AssistWithAlerts

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

True se o balão do Assistente do Office emitir alertas do aplicativo quando o Assistente do Office estiver visível. Boolean de leitura/gravação.

Comentários

A propriedade AssistWithAlerts corresponde à opção Exibir alertas em Usar o Assistente do Office na guia Opções da caixa de diálogo Assistente do Office.

Se essa propriedade estiver definida como False, o aplicativo exibirá alertas em caixas de diálogo.

Exemplo

Este exemplo faz com que o Assistente do Office seja exibido sempre que um alerta do aplicativo for gerado.

With Assistant
    .On = True
    .Visible = True
    .AssistWithHelp = True
    .AssistWithAlerts = True
    .Animation = msoAnimationGetAttentionMajor
End With


Propriedade AssistWithHelp

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

True se o Assistente do Office aparecer sempre que o usuário pressionar a tecla F1 para exibir a Ajuda. Boolean de leitura/gravação.

Comentários

A propriedade AssistWithHelp corresponde à opção Responder à tecla F1 em Usar o Assistente do Office na guia Opções da caixa de diálogo Assistente do Office.

Se essa propriedade estiver definida como False, será exibida a caixa de diálogo Tópicos da Ajuda em vez do Assistente do Office.

Exemplo

Este exemplo exibe o Assistente do Office sempre que o usuário pressiona a tecla F1 para exibir a Ajuda.

With Assistant
    .On = True
    .Visible = True
    .AssistWithHelp = True
    .AssistWithAlerts = True
    .Animation = msoAnimationGetAttentionMajor
End With


Propriedade AssistWithWizards

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

True se o Assistente do Office oferecer Ajuda on-line sobre os assistentes. Boolean de leitura/gravação.

Comentários

A propriedade AssistWithWizards corresponde à opção Ajuda para os assistentes em Usar o Assistente do Office na guia Opções da caixa de diálogo Assistente do Office.

Exemplo

Este exemplo faz com que o Assistente do Office ofereça informações da Ajuda sobre os assistentes.

Assistant.AssistWithWizards = True


Propriedade AttachCertificate

True se o certificado digital que corresponde ao objeto Signature especificado for anexado ao documento. Boolean de leitura/gravação.

expressão.AttachCertificate

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

O exemplo a seguir solicita ao usuário para selecionar uma assinatura digital para assinar o documento ativo no Microsoft Word. Para usar este exemplo, abra um documento no Word e chame essa função. A função verifica se a assinatura digital selecionada pelo usuário selecionou não irá expirar em menos de 12 meses. Se isso acontecer, o certificado não será anexado.

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    sig.AttachCertificate = True

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Propriedade BalloonError

Retorna um valor que indica o último erro de balão gravado. MsoBalloonErrorType somente leitura.

MsoBalloonErrorType pode ser uma das seguintes constantes:
msoBalloonErrorBadCharacter O balão contém um caractere de controle ASCII diferente de CR ou LF e menor que 32.
msoBalloonErrorBadPictureRef O balão contém um gráfico que não foi possível exibir porque o arquivo não existe ou porque o gráfico não é um arquivo .BMP ou .WMF válido.
msoBalloonErrorBadReference O balão contém uma referência não reconhecida ou não suportada.
msoBalloonErrorButtonlessModal O balão que você tentou exibir é restrito, mas não contém botões. O balão não será mostrado porque não pode ser descartado.
msoBalloonErrorButtonModeless O balão que você tentou exibir é sem janela restrita, contém botões e não tem nenhum procedimento atribuído à propriedade Callback. O balão não será mostrado, porque um procedimento de retorno de chamada é necessário para balões sem janela restrita.
msoBalloonErrorCharNotTopmostForModal O balão restrito foi solicitado por um aplicativo que não é o aplicativo ativo. O Microsoft Office processa balões somente para o aplicativo ativo (o primeiro).
msoBalloonErrorCOMFailure O balão não pôde ser exibido devido a uma falha de COM.
msoBalloonErrorNone Não foi encontrado nenhum erro.
msoBalloonErrorOther O balão não aparecerá porque ocorreu algum outro erro, como já existir outro balão restrito ativo.
msoBalloonErrorOutOfMemory O balão não aparecerá porque a memória é insuficiente.
msoBalloonErrorTooBig O balão é grande demais para aparecer na tela.
msoBalloonErrorTooManyControls O balão contém mais de vinte controles (caixas de seleção ou rótulos).

Exemplo

Este exemplo cria um balão que gera um erro. O erro é causado porque o balão é criado sem uma maneira de ser descartado: o tipo de botão foi definido como msoButtonSetNone e o modo de balão padrão é msoModeModal, resultando em um balão restrito sem botões. Observe que não há maneira de descartar um balão restrito sem botões.

With Application.Assistant
With .NewBalloon
    .Heading = "This will never show."
    .Text = "Imagine a balloon here."
    .Button = msoButtonSetNone
    .Show
End With
.Visible = True
If .BalloonError = msoBalloonErrorButtonlessModal Then
    MsgBox "You need a button to dismiss the balloon."
End If
End With


Propriedade BalloonType

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Retorna ou define o tipo de balão que o Assistente do Office utiliza. Quando você criar um objeto Balloon, essa propriedade será definida inicialmente como msoBalloonTypeButtons. MsoBalloonType de leitura/gravação.

MsoBalloonType pode ser uma das seguintes constantes:
msoBalloonTypeBullets
msoBalloonTypeButtons
msoBalloonTypeNumbers

Exemplo

Este exemplo cria um balão de instruções que explica como selecionar uma impressora. O balão não possui janela restrita, portanto o usuário pode seguir as instruções do mesmo enquanto trabalha, mantendo-o visível.

Set bln = Assistant.NewBalloon
With bln
    .Heading = "Instructions for Choosing a Printer."
    .Text = "Click OK when you've chosen a printer."
    .Labels(1).Text = "From the File menu, choose Print."
    .Labels(2).Text = "Click Setup."
    .Labels(3).Text = "Select the name of the printer."
    .BalloonType = msoBalloonTypeNumbers
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Button = msoButtonSetOK
    .Show
End With


Propriedade BeginGroup

True se o controle da barra de comandos especificado estiver no início de um grupo de controles da barra de comandos. Boolean de leitura/gravação.

Exemplo

Este exemplo inicia um novo grupo com o último controle da barra de menus ativa.

Set myMenuBar = CommandBars.ActiveMenuBar
Set lastMenu = myMenuBar _
    .Controls(myMenuBar.Controls.Count)
lastMenu.BeginGroup = True


Propriedade BuiltIn

True se a barra de comandos ou o controle da barra de comandos especificado for uma barra de comandos ou um controle interno do aplicativo recipiente. False se for um controle ou uma barra de comandos personalizada ou se for um controle interno cuja propriedade OnAction tenha sido definida. Boolean somente leitura.

Exemplo

Este exemplo exclui todas as barras de comandos personalizadas que não estejam visíveis.

foundFlag = False
deletedBars = 0
For Each bar In CommandBars
    If (bar.BuiltIn = False) And (bar.Visible = False) Then
        bar.Delete
        foundFlag = True
        deletedBars = deletedBars + 1
    End If
Next
If Not foundFlag Then
    MsgBox "No command bars have been deleted."
Else
    MsgBox deletedBars & " custom command bar(s) deleted."
End If


Propriedade BuiltInFace

True se a face de um controle de botão da barra de comandos for sua face interna original. Esta propriedade só pode ser definida como True, que redefine a face como a face interna. Boolean de leitura/gravação.

Exemplo

Este exemplo determina se a face do primeiro controle da barra de comandos denominada "My Custom Bar" é sua face de botão interna. Se for, o exemplo copiará a face do botão para a área de transferência.

Set myControl = CommandBars("My Custom Bar").Controls(1)
With myControl
    If .BuiltInFace = True Then .CopyFace
End With


Propriedade Button

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Retorna ou define o tipo de botão exibido na parte inferior do balão do Assistente do Office. Quando você criar um objeto Balloon, essa propriedade será definida inicialmente como msoButtonSetOK. MsoButtonSetType de leitura/gravação.

MsoButtonSetType pode ser uma das seguintes constantes:
msoButtonSetAbortRetryIgnore
msoButtonSetBackClose
msoButtonSetBackNextClose
msoButtonSetBackNextSnooze
msoButtonSetCancel
msoButtonSetNextClose
msoButtonSetNone
msoButtonSetOK
msoButtonSetOkCancel
msoButtonSetRetryCancel
msoButtonSetSearchClose
msoButtonSetTipsOptionsClose
msoButtonSetYesAllNoCancel
msoButtonSetYesNo
msoButtonSetYesNoCancel

Exemplo

Este exemplo exibe um balão que contém um título, um texto, três opções de região e dois botões de comando (OK e Cancelar).

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
End With


Propriedade ButtonName

Define ou retorna uma String representando o texto exibido no botão de ação de uma caixa de diálogo. Por padrão, esta propriedade é definida como texto padrão para o tipo de caixa de diálogo de arquivo. Por exemplo, no caso da caixa de diálogo Abrir, a propriedade é definida como "Abrir" por padrão. Leitura/gravação.

expressão.ButtonName

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

O exemplo a seguir exibe uma caixa de diálogo genérica de seleção de arquivos usando o objeto FileDialog e exibe cada arquivo selecionado em uma caixa de mensagem.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Change the text on the action button.
        .ButtonName = "Archive"

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each String in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Propriedade Callback

Define o nome do procedimento a ser executado a partir de um balão sem janela restrita. String de leitura/gravação.

Comentários

O procedimento que você especifica para a propriedade Callback deve ser escrito para receber dois ou três argumentos, dependendo do que for usado com a propriedade. Se você usa a propriedade Callback com um assistente, é preciso escrever o procedimento para receber dois argumentos: um inteiro longo que representa o valor msoBalloonButtonType do botão que o usuário clicou e um inteiro longo que identifica unicamente o balão. Se usa a propriedade Callback com um balão sem janela restrita, você precisa escrever o procedimento para receber três argumentos: o objeto Balloon que chamou o procedimento; um inteiro longo que representa o valor msoBalloonButtonType do botão em que o usuário clicou; e um inteiro longo que identifica unicamente o balão que chamou o procedimento, como denota a propriedade Private do balão.

O procedimento de retorno de chamada precisa conter pelo menos uma condição sob a qual o método Close seja aplicado ao objeto Balloon repassado a ele; caso contrário, o balão sem janela restrita não poderá ser descartado.

Se especificar um procedimento que é armazenado em um módulo de classe separado, você precisará incluir o nome do módulo no valor atribuído à propriedade Callback (por exemplo, "Sheet1.MyCallback").

Exemplo

Este exemplo exibe um balão que contém um botão para cada uma das três impressoras. Sempre que o usuário clicar em um desses botões, o procedimento de retorno de chamada ProcessPrinter será executado e o balão será fechado.

Sub selectPrinter()
Set bln = Assistant.NewBalloon
With bln
    .Heading = "Select a Printer."
    .Labels(1).Text = "Network Printer"
    .Labels(2).Text = "Local Printer"
    .Labels(3).Text = "Local Color Printer"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With
End Sub

Sub ProcessPrinter(bln As Balloon, lbtn As Long, _
 lPriv As Long)
    Assistant.Animation = msoAnimationPrinting
    Select Case lbtn
    Case -1
        ' Insert network printer-specific code.
    Case -2
        ' Insert local printer-specific code.
    Case -3
        ' Insert color printer-specific code.
    End Select
    bln.Close
End Sub


Propriedade Caption

Retorna ou define o texto de legenda de um controle de barra de comandos. String de leitura/gravação.

Observação A legenda de um controle também é exibida como sua dica de tela padrão.

Exemplo

Este exemplo adiciona um controle de barra de comandos com uma face de botão de verificador ortográfico a uma barra de comandos personalizada e, em seguida, define a legenda como "Spelling checker".

Set myBar = CommandBars.Add(Name:="Custom", _
Position:=msoBarTop, Temporary:=True)
myBar.Visible = True
Set myControl = myBar.Controls _
.Add(Type:=msoControlButton, Id:=2)
With myControl
    .DescriptionText = "Starts the spelling checker"
    .Caption = "Spelling checker"
End With


Propriedade Checkboxes

Retorna a coleção BalloonCheckboxes que representa todas as caixas de seleção contidas no balão especificado. Somente leitura.

Para obter informações sobre como retornar um único membro de uma coleção, consulte Retornando um objeto de uma coleção.

Exemplo

Este exemplo cria um balão com um título, um texto e três opções de região. Quando o usuário clicar em OK no balão, os dados referentes à região ou regiões selecionadas serão impressos.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select the region(s) you want to print."
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    If .Show = msoBalloonButtonOK Then
        dataPrinted = 0
        For i = 1 To 3
            If .CheckBoxes(i).Checked = True Then
                ' Code to print region data.
                dataPrinted = dataPrinted + 1
                MsgBox "Region " & i & " data printed."
            End If
        Next
        If dataPrinted = 0 Then MsgBox "No data printed."
    End If
End With


Propriedade Checked

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

True se a caixa de seleção especificada no balão do Assistente do Office estiver marcada. Boolean de leitura/gravação.

Exemplo

Este exemplo cria um balão com um título, um texto e três opções de região. Quando o usuário clicar em OK no balão, os dados referentes à região ou regiões selecionadas serão impressos.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select the region(s) you want to print."
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    If .Show = msoBalloonButtonOK Then
        dataPrinted = 0
        For i = 1 To 3
            If .CheckBoxes(i).Checked = True Then
                ' Code to print region data.
                dataPrinted = dataPrinted + 1
                MsgBox "Region " & i & " data printed."
            End If
        Next
        If dataPrinted = 0 Then MsgBox "No data printed."
    End If
End With


Propriedade Column

Retorna ou define uma String que representa o nome do campo na fonte de dados de mala direta para uso no filtro. Leitura/gravação.

expressão.Column

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

O exemplo a seguir altera um filtro existente para remover todos os registros da mala direta que não têm um campo Region igual a "WA".

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Propriedade Columns

Retorna um objeto ODSOColumns que representa os campos em uma fonte de dados.

expressão.Columns

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

O exemplo a seguir exibe os nomes de campos na fonte de dados anexada à publicação ativa.

Sub ShowFieldNames()
    Dim appOffice As OfficeDataSourceObject
    Dim intCount As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        For intCount = 1 To .Count
            MsgBox "Field Name: " & .Item(intCount).Name
        Next
    End With
End Sub


Propriedade CommandBar

Retorna um objeto CommandBar que representa o menu exibido pelo controle pop-up especificado. Somente leitura.

Exemplo

Este exemplo define a variável fourthLevel como o quarto controle da barra de comandos denominada "Drawing".

Set fourthLevel = CommandBars("Drawing") _
    .Controls(1).CommandBar.Controls(4)


Propriedade CommandBars

Retorna uma coleção CommandBars.

expressão.CommandBars

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

O exemplo a seguir retorna a coleção CommandBars do objeto MsoEnvelope no Microsoft Word.

Dim cbars As CommandBars
Set cbars = Application.ActiveDocument.MailEnvelope.Commandbars


Propriedade CompareTo

Retorna ou define uma String que representa o texto a ser comparado no critério de filtro de consulta. Leitura/gravação.

expressão.CompareTo

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

O exemplo a seguir altera um filtro existente para remover todos os registros da mala direta que não têm um campo Region igual a "WA".

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Propriedade Comparison

Retorna ou define uma constante MsoFilterComparison que representa como comparar as propriedades Column e CompareTo. Leitura/gravação.

MsoFilterComparison pode ser uma das seguintes constantes:
msoFilterComparisonContains
msoFilterComparisonEqual
msoFilterComparisonGreaterThan
msoFilterComparisonGreaterThanEqual
msoFilterComparisonIsBlank
msoFilterComparisonIsNotBlank
msoFilterComparisonLessThan
msoFilterComparisonLessThanEqual
msoFilterComparisonNotContains
msoFilterComparisonNotEqual

expressão.Comparison

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

O exemplo a seguir altera um filtro existente para remover todos os registros da mala direta que não têm um campo Region igual a "WA".

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Propriedade Condition

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Retorna a condição dos critérios de pesquisa especificados. MsoCondition somente leitura.

MsoCondition pode ser uma das seguintes constantes:
msoConditionAnyNumberBetween
msoConditionAnytime
msoConditionAnytimeBetween
msoConditionAtLeast
msoConditionAtMost
msoConditionBeginsWith
msoConditionDoesNotEqual
msoConditionEndsWith
msoConditionEquals
msoConditionFileTypeAllFiles
msoConditionFileTypeBinders
msoConditionFileTypeCalendarItem
msoConditionFileTypeContactItem
msoConditionFileTypeDatabases
msoConditionFileTypeDataConnectionFiles
msoConditionFileTypeDesignerFiles
msoConditionFileTypeEPaperFiles
msoConditionFileTypeExcelWorkbooks
msoConditionFileTypeJournalItem
msoConditionFileTypeMailItem
msoConditionFileTypeNoteItem
msoConditionFileTypeOfficeFiles
msoConditionFileTypeOutlookItems
msoConditionFileTypePhotoDrawFiles
msoConditionFileTypePowerPointPresentations
msoConditionFileTypeProjectFiles
msoConditionFileTypePublisherFiles
msoConditionFileTypeTaskItem
msoConditionFileTypeTemplates
msoConditionFileTypeVisioDocuments
msoConditionFileTypeWebPages
msoConditionFileTypeWordDocuments
msoConditionFreeText
msoConditionIncludes
msoConditionIncludesFormsOf
msoConditionIncludesNearEachOther
msoConditionIncludesPhrase
msoConditionInTheLast
msoConditionInTheNext
msoConditionIsExactly
msoConditionIsNo
msoConditionIsNot
msoConditionIsYes
msoConditionLastMonth
msoConditionLastWeek
msoConditionLessThan
msoConditionMoreThan
msoConditionNextMonth
msoConditionNextWeek
msoConditionOn
msoConditionOnOrAfter
msoConditionOnOrBefore
msoConditionThisMonth
msoConditionThisWeek
msoConditionToday
msoConditionTomorrow
msoConditionYesterday

Exemplo

Este exemplo retorna o valor da condição para os critérios de pesquisa do primeiro teste de propriedade.

With Application.FileSearch.PropertyTests(1)
    MsgBox "The condition you've set is: " & .Condition
End With


Propriedade Conjunction

Retorna ou define uma constante MsoFilterConjunction que representa como um critério de filtro se relaciona com outros critérios de filtro no objeto ODSOFilters. Leitura/gravação.

MsoFilterConjunction pode ser uma das seguintes constantes:
msoFilterConjunctionAnd
msoFilterConjunctionOr

expressão.Conjunction

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

O exemplo a seguir altera um filtro existente para remover todos os registros da mala direta que não têm um campo Region igual a "WA".

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Propriedade Connect

Retorna ou define o estado da conexão do objeto COMAddIn especificado. Boolean de leitura/gravação.

Comentários

A propriedade Connect retorna True se o suplemento estiver ativo e retorna False se o suplemento estiver inativo. Um suplemento ativo está registrado e conectado; um suplemento inativo está registrado, mas não está conectado no momento.

Exemplo

O exemplo a seguir exibe uma caixa de mensagem que indica se o suplemento COM um está registrado e conectado no momento.

If Application.COMAddIns(1).Connect Then
    MsgBox "The add-in is connected."
Else
    MsgBox "The add-in is not connected."
End If


Propriedade Connector

Retorna o conector entre dois valores de teste de propriedade semelhantes. O valor padrão é msoConnectorAnd. MsoConnector somente leitura.

MsoConnector pode ser uma das seguintes constantes:
msoConnectorAnd
msoConnectorOr

Comentários

Um conector especifica se dois critérios de pesquisa semelhantes serão combinados para formar um teste de propriedade (como ocorre com msoConnectorAnd) ou tratados independentemente (como ocorre com msoConnectorOr).

Exemplo

Este exemplo exibe uma mensagem que descreve como o critério de pesquisa será avaliado em uma pesquisa de arquivos.

With Application.FileSearch.PropertyTests(1)
If .Connector = msoConnectorAnd Then
   MsgBox "All search criteria will be combined."
Else
    MsgBox "Criteria will be treated independently"
End If
End With


Propriedade ConnectString

Retorna ou define uma String que representa a conexão com a fonte de dados de mala direta especificada. Leitura/gravação.

expressão.ConnectString

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

Este exemplo verifica se a seqüência de caracteres da conexão contém os caracteres ODSOOutlook e exibe uma mensagem de acordo.

Sub VerifyCorrectDataSource()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    If InStr(appOffice.ConnectString, "ODSOOutlook") > 0 Then
        MsgBox "Your Outlook address book is used as the data source."
    Else
        MsgBox "Your Outlook address book is not used as the data source."
    End If

End Sub


Propriedade Context

Retorna ou define uma seqüência de caracteres que determina onde uma barra de comandos será salva. A seqüência de caracteres é definida e interpretada pelo aplicativo. String de leitura/gravação.

Comentários

Você só pode definir a propriedade Context para barras de comandos personalizadas. Essa propriedade falhará se o aplicativo não reconhecer a seqüência de contexto ou se o aplicativo não oferecer suporte a alterações de seqüências de contexto por programação.

Exemplo

Este exemplo exibe uma caixa de mensagem que contém a seqüência de contexto referente à barra de comandos denominada “Custom”. Este exemplo funciona no Microsoft Word e em outros aplicativos que oferecem suporte à propriedade Context.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
MsgBox (myBar.Context)


Propriedade Controls

Retorna um objeto CommandBarControls que representa todos os controles da barra de comandos ou do controle pop-up especificado. Somente leitura.

Para obter informações sobre como retornar um único membro de uma coleção, consulte Retornando um objeto de uma coleção.

Exemplo

Este exemplo adiciona um controle de caixa de combinação à barra de comandos denominada "Custom" e preenche a lista com dois itens. O exemplo também define o número de itens de linha, a largura da caixa de combinação e um padrão vazio para ela.

Set myControl = CommandBars("Custom").Controls _
    .Add(Type:=msoControlComboBox, Before:=1)
With myControl
    .AddItem Text:="First Item", Index:=1
    .AddItem Text:="Second Item", Index:=2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


Propriedade Count

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Retorna ou define um Long indicando o número de itens na coleção especificada. Long de leitura/gravação para os objetos BalloonCheckboxes e BalloonLabels; Long somente leitura para todos os objetos da lista Aplica-se a.

expressão.Count

expressão Necessária. Uma expressão que retorna um dos objetos acima.

Comentários

Para a coleção CommandBars, a contagem só inclui barras de menu, barras de ferramentas e menus de atalho.

Para a coleção Scripts, a contagem retornada é o número de blocos de script no documento especificado. No Word, Scripts.Count retorna o número total de âncoras entre linhas e flutuantes combinados.

Exemplo

Este exemplo usa a propriedade Count para exibir o número de barras de comandos na coleção CommandBars.

MsgBox "There are " & CommandBars.Count & _
    " bars in the CommandBars collection."

Este exemplo usa a propriedade Count para exibir o número de caixas de seleção no balão do Assistente do Office.

With Assistant.NewBalloon
    .CheckBoxes(1).Text = "First Choice"
    .CheckBoxes(2).Text = "Second Choice"
    .Text = "You have the following " _
    & .CheckBoxes.Count & " choices."
    .Show
End With

Este exemplo exibe o número de propriedades de documento personalizadas no documento ativo.

MsgBox ("There are " & _
    ActiveDocument.CustomDocumentProperties.Count & _
    " custom document properties in the " & _
    "active document.")


Propriedade Creator

Retorna o código de quatro caracteres para o aplicativo no qual o objeto especificado foi criado. Somente no Macintosh. Long somente leitura.

expressão.Creator

expressão Necessária. Uma expressão que retorna um dos objetos acima.


Propriedade DataSource

Retorna ou define uma String que representa o nome da fonte de dados anexada. Leitura/gravação.

expressão.DataSource

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

O exemplo a seguir define o nome da fonte de dados se o nome estiver em branco.

Sub SetAndReturnDataSourceName()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    With appOffice
        .Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
            "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

        If .DataSource = "" Then
            .DataSource = "Northwind"
            MsgBox .DataSource
        End If
    End With
End Sub


Propriedade Description

Propriedade Description como ela se aplica ao objeto COMAddIn

Retorna ou define um valor descritivo de String para o objeto COMAddIn especificado. Leitura/gravação.

expressão.Description

expressão Necessária. Uma expressão que retorna um objeto COMAddIn .

Propriedade Description como ela se aplica ao objeto FileDialogFilter

Retorna a descrição de cada objeto Filter como um valor String. A descrição é o texto exibido na caixa de diálogo. Somente leitura.

expressão.Description

expressão Necessária. Uma expressão que retorna um objeto FileDialogFilter.

Exemplo

Como ela se aplica ao objeto COMAddIn

O exemplo a seguir exibe o texto de descrição do suplemento para desenho do Microsoft Accessibility COM.

MsgBox "The description of this " & _
    "COMAddIn is """ & Application.COMAddIns. _
    Item("msodraa9.ShapeSelect"). _
    Description & """

Como ela se aplica ao objeto FileDialogFilter

O exemplo a seguir se repete através dos filtros padrão da caixa de diálogo Salvar como e exibe a descrição de cada filtro que inclui um arquivo do Microsoft Excel. A propriedade Extensions é usada para localizar os objetos de filtro apropriados.

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files.
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Filter description: " & fdf.Description
        End If
    Next fdf

End Sub


Propriedade DescriptionText

Retorna ou define a descrição de um controle de barra de comandos. A descrição não é exibida para o usuário, mas pode ser útil para documentar o comportamento do controle para outros desenvolvedores. String de leitura/gravação.

Comentários

Esta propriedade é usada na Ajuda de balão do Macintosh.

Exemplo

Este exemplo adiciona um controle a um comando personalizado, incluindo uma descrição do comportamento do controle.

Set myBar = CommandBars.Add("Custom", msoBarTop, , True)
myBar.Visible = True
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, ID:= _
    CommandBars("Standard").Controls("Paste").ID)
With myControl
    .DescriptionText = "Pastes the contents of the Clipboard"
    .Caption = "Paste"
End With


Propriedade DialogType

Retorna uma constante MsoFileDialogType que representa o tipo de caixa de diálogo que o objeto FileDialog deve exibir. Somente leitura.

MsoFileDialogType pode ser uma das seguintes constantes:
msoFileDialogFilePicker
msoFileDialogFolderPicker
msoFileDialogOpen
msoFileDialogSaveAs

expressão.DialogType

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

O exemplo a seguir utiliza um objeto FileDialog de um tipo desconhecido e executa o método Execute se ele for uma caixa de diálogo Salvar como ou Abrir.

Sub DisplayAndExecuteFileDialog(ByRef fd As FileDialog)

    'Use a With...End With block to reference the FileDialog object.
    With fd
        'If the user presses the action button...
        If .Show = -1 Then

            'Use the DialogType property to determine whether to
            'use the Execute method.
            Select Case .DialogType
                Case msoFileDialogOpen, msoFileDialogSaveAs: .Execute
                'Do nothing otherwise.
                Case Else
            End Select
        'If the user presses Cancel...
        Else
        End If
    End With

End Sub


Propriedade DisableAskAQuestionDropdown

True se o menu suspenso Assistente de resposta estiver ativado. Boolean de leitura/gravação.

expressão.DisableAskAQuestionDropdown

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

O exemplo a seguir alterna a propriedade DisableAskAQuestionDropdown.

Sub ToggleQuestionDropdown()
    With Application.CommandBars
        If .DisableAskAQuestionDropdown = True Then
            .DisableAskAQuestionDropdown = False
        Else
            .DisableAskAQuestionDropdown = True
        End If
    End With
End Sub


Propriedade DisableCustomize

True se a personalização de barras de ferramentas estiver desativada. Boolean de leitura/gravação.

expressão.DisableCustomize

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

O exemplo a seguir alterna a propriedade DisableCustomize.

Sub ToggleCustomize()
    With Application.CommandBars
        If .DisableCustomize = True Then
            .DisableCustomize = False
        Else
            .DisableCustomize = True
        End If
    End With
End Sub


Propriedade DisplayFonts

True se os nomes de fontes na caixa Fonte forem exibidos em suas fontes reais. Boolean de leitura/gravação.

Exemplo

Este exemplo define três opções para todas as barras de comandos do Microsoft Office, incluindo barras de comandos personalizadas e os controles que elas contêm.

With CommandBars
    .LargeButtons = True
    .DisplayFonts = True
    .AdaptiveMenus = True
End With


Propriedade DisplayKeysInTooltips

True se forem exibidas teclas de atalho nas dicas de ferramentas de cada controle de barra de comandos. Boolean de leitura/gravação.

Comentários

Para exibir teclas de atalho em dicas de ferramentas, você também deve definir a propriedade DisplayTooltips como True.

Exemplo

Este exemplo define as opções de todas as barras de comandos do Microsoft Office.

With CommandBars
    .LargeButtons = True
    .DisplayTooltips = True
    .DisplayKeysInTooltips = True
    .MenuAnimationStyle = msoMenuAnimationUnfold
End With


Propriedade DisplayTooltips

True se as dicas de tela forem exibidas sempre que o usuário posicionar o ponteiro sobre os controles de barras de comandos. Boolean de leitura/gravação.

Comentários

A definição da propriedade DisplayTooltips em um aplicativo recipiente afeta imediatamente todas as barras de comandos em todos os aplicativos do Microsoft Office que estão sendo executados e em todos os aplicativos do Office abertos após a propriedade ter sido definida.

Exemplo

Este exemplo exibe dicas de ferramentas e controles grandes em todas as barras de comandos.

Set allBars = CommandBars

allBars.LargeButtons = True
allBars.DisplayTooltips = True


Propriedade DropDownLines

Retorna ou define o número de linhas em um controle de caixa de combinação da barra de comandos. O controle de caixa de combinação deve ser um controle personalizado e tem de ser uma caixa de combinação ou uma caixa de listagem suspensa. Long de leitura/gravação.

Observação Se essa propriedade for definida para um controle caixa de combinação que seja uma caixa de edição ou um controle caixa de combinação interno, ocorrerá um erro.

Comentários

Se essa propriedade for definida como 0 (zero), o número de linhas no controle será baseado no número de itens da lista.

Exemplo

Este exemplo adiciona um controle caixa de combinação contendo dois itens à barra de comandos chamada "Custom". O exemplo também define o número de itens de linha, a largura da caixa de combinação e um padrão vazio para a caixa de combinação.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem Text:="First Item", Index:=1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


Propriedade DropDownWidth

Retorna ou define a largura (em pixels) da lista do controle de caixa de combinação da barra de comandos especificada. Long de leitura/gravação.

Observação Se você tentar definir essa propriedade para um controle de caixa de combinação interno, ocorrerá um erro.

Comentários

Se essa propriedade for definida como -1, a largura da lista será baseada no comprimento do item mais longo na lista da caixa de combinação. Se essa propriedade for definida como 0, a largura da lista será baseada na largura do controle.

Exemplo

Este exemplo adiciona um controle caixa de combinação contendo dois itens à barra de comandos chamada "Custom". O exemplo também define o número de itens de linha, a largura da caixa de combinação e um padrão vazio para a caixa de combinação.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


Propriedade Enabled

True se a barra de comandos ou o controle de barra de comandos especificado estiver ativado. Boolean de leitura/gravação.

Comentários

Para barras de comandos, a definição dessa propriedade como True faz com que o nome da barra de comandos apareça na lista de barras de comandos disponíveis.

Para controles internos, se você definir a propriedade Enabled como True, o aplicativo determinará o estado do controle mas, se a definir como False, você forçará o controle a ser desativado.

Exemplo

Este exemplo ajusta as barras de comandos conforme o nível de usuário especificado por user . Se user for "Nível 1", a barra de comandos chamada "VB Custom Bar" será exibida. Se user for qualquer outro valor, a barra de comandos interna do Visual Basic será redefinida com seu estado padrão e a barra de comandos chamada "VB Custom Bar" será desativada.

Set myBar = CommandBars _
    .Add(Name:="VB Custom Bar", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
If user = "Level 1" Then
    myBar.Visible = True
Else
    CommandBars("Visual Basic").Reset
    myBar.Enabled = False
End If

Este exemplo adiciona dois botões de barra de comandos à barra de comandos chamada “Custom”. O primeiro controle é desativado e aparecerá cinza. O segundo controle é ativado por padrão.

Set myBar = CommandBars("Custom")
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls(1).Enabled = False
    .Controls.Add Type:=msoControlButton, Id:=3
End With
myBar.Visible = True


Propriedade ExpireDate

Retorna uma Variant representando a data em que a assinatura digital que corresponde ao objeto Signature irá expirar. Somente leitura.

expressão.ExpireDate

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

O exemplo a seguir solicita ao usuário para selecionar uma assinatura digital para assinar o documento ativo no Microsoft Word. Para usar este exemplo, abra um documento no Word e chame essa função. A função verifica se a assinatura digital selecionada pelo usuário selecionou não irá expirar em menos de 12 meses. Se isso acontecer, o certificado não será anexado.

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This Certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Propriedade Extended

Define ou retorna atributos adicionados à marca <SCRIPT>, com exceção dos atributos LANGUAGE e ID. String de leitura/gravação.

Comentários

Os atributos são separados por espaços, assim como em HTML. Você não pode passar o atributo LANGUAGE ou o atributo ID usando a propriedade Extended.

O aplicativo host do Microsoft Office não fornece qualquer meio de verificação da sintaxe de atributos passados.

Se passar o atributo LANGUAGE na propriedade Extended, a marca <SCRIPT> você receberá duas definições de linguagem, o que causa um conflito.

Se você passar um atributo ID na propriedade Extended e nenhuma identificação tiver sido definida pelo parâmetro de identificação do método Add ou pela propriedade Id do objeto Script, a identificação será exportada corretamente.

Exemplo

Este exemplo verifica a propriedade Extended para se certificar de que nenhum outro atributo foi adicionado ao primeiro script da planilha um da pasta de trabalho ativa.

If ActiveWorkbook.Worksheets(1).Scripts(1).Extended _
    <> "" Then
      MsgBox "This script contains extended attributes."
End If


Propriedade Extensions

Retorna um valor String contendo as extensões que determinam que arquivos são exibidos em uma caixa de diálogo para cada objeto Filter. Somente leitura.

expressão.Extensions

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

O exemplo a seguir se repete através dos filtros padrão da caixa de diálogo Salvar como e exibe a descrição de cada filtro que inclui um arquivo do Microsoft Excel. A propriedade Extensions é usada para localizar os objetos de filtro apropriados.

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files.
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Description of filter: " & fdf.Description
        End If
    Next fdf
End Sub


Propriedade FaceId

Retorna ou define o número de identificação da face de um controle de botão de barra de comandos. Long de leitura/gravação.

Comentários

A propriedade FaceId determina a aparência, mas não a função, de um botão de barra de comandos. A propriedade Id do objeto CommandBarControl determina a função do botão.

O valor da propriedade FaceId de um botão de barra de comandos com uma face personalizada é 0 (zero).

Exemplo

Este exemplo adiciona um botão de barra de comandos a uma barra de comandos personalizada. Clicar nesse botão é equivalente a clicar no comando Abrir do menu Arquivo porque o número de identificação é 23, ainda que o botão tenha a mesma face de botão que o botão interno Gráfico.

Set newBar = CommandBars.Add(Name:="Custom2", _
     Position:=msoBarTop, Temporary:=True)
newBar.Visible = True
Set con = newBar.Controls.Add(Type:=msoControlButton, Id:=23)
con.FaceId = 17


Propriedade FeatureTips

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

True se o Assistente do Office exibir informações sobre o uso mais eficiente de recursos do aplicativo. Boolean de leitura/gravação.

Comentários

A propriedade FeatureTips corresponde à caixa de seleção Uso mais eficiente de recursos na guia Opções da caixa de diálogo Assistente do Office.

Exemplo

Este exemplo faz com que o Assistente do Office forneça informações sobre o uso mais eficiente dos recursos dos aplicativos.

Assistant.FeatureTips = True


Propriedade FileName

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Objeto Assistant: retorna ou define o caminho e o nome do arquivo do Assistente do Office ativo. String de leitura/gravação.

Objeto FileSearch: retorna ou define o nome do arquivo a ser pesquisado durante uma localização de arquivo. O nome do arquivo poderá incluir os caracteres curinga * (asterisco) ou ? (ponto de interrogação). Use o curinga ponto de interrogação para corresponder a qualquer caractere único. Por exemplo, digite gr?? para corresponder tanto a "grau" como a "grua". Use o curinga asterisco para corresponder a qualquer quantidade de caracteres. Por exemplo, digite *.txt para localizar todos os arquivos que possuam a extensão .TXT. String de leitura/gravação.

expressão.FileName

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

Este exemplo localiza todos os arquivos encontrados na pasta My Documents que se iniciam com "cmd" e ter uma extensão de nome de arquivo. O exemplo exibe o nome e o local de cada arquivo localizado.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "cmd*.*"
    If .Execute > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Propriedade Files

Retorna uma coleção AnswerWizardFiles que representa a lista de arquivos disponíveis para o Assistente de resposta atual. Somente leitura.

Para obter informações sobre como retornar um único membro de uma coleção, consulte Retornando um objeto de uma coleção.

Exemplo

Este exemplo redefine a lista de arquivos do Assistente de resposta atual e exibe a contagem e o nome dos arquivos em uma caixa de mensagem.

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer
Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "There are " & customAnswerWizard.Files.Count & _
    " files avaialble through this AnswerWizard: " & _
    Chr(13) & strFileList


Propriedade FileType

Retorna ou define o tipo de arquivo a ser procurado em uma pesquisa de arquivo. MsoFileType de leitura/gravação.

MsoFileType pode ser uma das seguintes constantes:
msoFileTypeAllFiles
msoFileTypeBinders
msoFileTypeCalendarItem
msoFileTypeContactItem
msoFileTypeCustom
msoFileTypeDatabases
msoFileTypeDataConnectionFiles
msoFileTypeDesignerFiles
msoFileTypeDocumentImagingFiles
msoFileTypeExcelWorkbooks
msoFileTypeJournalItem
msoFileTypeMailItem
msoFileTypeNoteItem
msoFileTypeOfficeFiles
msoFileTypeOutlookItems
msoFileTypePhotoDrawFiles
msoFileTypePowerPointPresentations
msoFileTypeProjectFiles
msoFileTypePublisherFiles
msoFileTypeTaskItem
msoFileTypeTemplates
msoFileTypeVisioFiles
msoFileTypeWebPages
msoFileTypeWordDocuments

expressão.FileType

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Comentários

A constante msoFileTypeOfficeFiles inclui todos os arquivos com qualquer tipo das seguintes extensões: *.doc, *.xls, *.ppt, *.pps, *.obd, *.mdb, *.mpd, *.dot, *.xlt, *.pot, *.obt, *.htm ou *.html.

Exemplo

Este exemplo procura por todos os arquivos do Binder localizados na pasta My Documents. O exemplo exibe uma caixa de mensagem que contém o nome e o local de cada arquivo localizado.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileType = msoFileTypeBinders
    If .Execute > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " Binder file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no Binder files found."
    End If
End With


Propriedade FileTypes

Retorna uma coleção FileTypes.

expressão.FileTypes

expressão Necessária. Uma expressão que retorna um dos objetos da lista

Exemplo

O exemplo a seguir procura por todos os arquivos HTML e do Microsoft Excel na unidade C:\.

Sub SearchForFiles()

    'Declare a variable to act as a generic counter.
    Dim lngCount As Long

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Clear all the parameters of the previous searches.
        'This method doesn't clear the LookIn property or
        'the SearchFolders collection.
        .NewSearch

        'Setting the FileType property clears the
        'FileTypes collection and sets the first
        'item in the collection to the file type
        'defined by the FileType property.
        .FileType = msoFileTypeWebPages

        'Add a second item to the FileTypes collection.
        .FileTypes.Add msoFileTypeExcelWorkbooks

        'Display the number of FileTypes objects in the collection.
        MsgBox "You are about to search for " & .FileTypes.Count & _
            " file types."

        'Set up the search to look in all subfolders on the C:\ drive.
        .LookIn = "C:\"
        .SearchSubFolders = True

        'Execute the search and test to see if any files
        'were found.
        If .Execute <> 0 Then

            'Display the number of files found.
            MsgBox "Files found: " & .FoundFiles.Count

            'Loop through the list of found files and
            'display the path of each one in a message box.
            For lngCount = 1 To .FoundFiles.Count
                If MsgBox(.FoundFiles.Item(lngCount), vbOKCancel, _
                    "Found files") = vbCancel Then

                    'Break out of the loop
                    lngCount = .FoundFiles.Count

                End If
            Next lngCount
        Else
            MsgBox "No files found."
        End If
    End With
End Sub


Propriedade FilterIndex

Retorna ou define um Long indicando o filtro de arquivo padrão de uma caixa de diálogo de arquivo. O filtro padrão determina que tipos de arquivos são exibidos quando a caixa de diálogo de arquivo for aberta pela primeira vez. Leitura/gravação.

expressão.FilterIndex

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Comentários

Se você tentar definir esta propriedade como um número maior que o número de filtros, o último filtro disponível será selecionado.

Exemplo

O exemplo a seguir exibe uma caixa de diálogo genérica de seleção de arquivos usando o objeto FileDialog e exibe cada arquivo selecionado em uma caixa de mensagem. Este exemplo também demonstra como adicionar um novo filtro e como torná-lo o filtro padrão.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Add a filter that includes GIF and JPEG images and make it the second item in the list.
        .Filters.Add "Images", "*.gif; *.jpg; *.jpeg", 2

        'Sets the initial file filter to number 2.
        .FilterIndex = 2

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Propriedade Filters

Retorna uma coleção FileDialogFilters.

expressão.Filters

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

O exemplo a seguir exibe uma caixa de diálogo genérica de seleção de arquivos usando o objeto FileDialog e exibe cada arquivo selecionado em uma caixa de mensagem. O exemplo também adiciona um novo filtro chamado "Images".

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Add a filter that includes GIF and JPEG images and make it the first item in the list.
        .Filters.Add "Images", "*.gif; *.jpg; *.jpeg", 1

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Propriedade FixedWidthFont

Define ou retorna a definição de fonte de largura fixa no aplicativo host. String somente leitura.

Comentários

Quando você define a propriedade FixedWidthFont, o aplicativo host não verifica a validade do valor.

Exemplo

Este exemplo define a fonte de largura fixa e o tamanho da fonte de largura fixa do conjunto de caracteres inglês, europeu ocidental ou de outros scripts latinos, no aplicativo ativo.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFont = "System"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFontSize = 12


Propriedade FixedWidthFontSize

Define ou retorna a definição de tamanho da fonte de largura fixa no aplicativo host, em pontos. Single de leitura/gravação.

Comentários

Ao definir a propriedade FixedWidthFontSize, o aplicativo host não verifica a validade do valor. Se você inserir um valor inválido como, por exemplo, um caractere que não seja um número, o aplicativo host definirá o tamanho como 0 pontos. É possível inserir tamanhos fracionários; se você inserir outros tamanhos de pontos fracionários, eles serão arredondados para o meio ponto mais próximo.

Exemplo

Este exemplo define a fonte de largura fixa e o tamanho da fonte de largura fixa no conjunto de caracteres de inglês/idiomas da Europa ocidental/outros scripts latinos, no aplicativo ativo.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFont = "System"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFontSize = 12


Propriedade FoundFiles

Retorna um objeto FoundFiles contendo os nomes de todos os arquivos localizados em uma pesquisa. Somente leitura.

Exemplo

Este exemplo percorre a lista de arquivos localizados em uma pesquisa e exibe o caminho de cada arquivo.

With Application.FileSearch
For i = 1 To .FoundFiles.Count
    MsgBox .FoundFiles(i)
Next I
End With


Propriedade GuessHelp

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

True se o balão do Assistente do Office apresentar uma lista de tópicos da Ajuda baseados nas palavras-chave que o usuário selecionar antes de clicar na janela do assistente ou pressionar F1. Boolean de leitura/gravação.

Comentários

A propriedade GuessHelp corresponde à opção Adivinhar tópicos da Ajuda em Usar o Assistente do Office na guia Opções da caixa de diálogo Assistente do Office.

Exemplo

Este exemplo faz com que o Assistente do Office adivinhe tópicos da Ajuda.

Assistant.GuessHelp = True


Propriedade Guid

Retorna o identificador exclusivo (GUID) de classe do objeto COMAddIn especificado. String somente leitura.

Exemplo

O exemplo a seguir exibe o ProgID e o GUID do suplemento COM um em uma caixa de mensagem.

MsgBox "My ProgID is " & _
    Application.COMAddIns(1).ProgID & _
    " and my GUID is " & _
    Application.COMAddIns(1).Guid


Propriedade Heading

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Retorna ou define o título que aparece no balão do Assistente do Office. String de leitura/gravação.

Comentários

Você pode especificar um gráfico a ser exibido no título do balão, usando a seguinte sintaxe: {tipo local fator_dimensão}, onde tipo é bmp (bitmap), ou wmf (metarquivo do Windows); local é a identificação do recurso ou o caminho e nome do arquivo e fator_dimensão especifica a largura do wmf (omitido no bmp).

O título do balão também suporta texto sublinhado e texto que tenha uma das 16 cores da paleta do sistema aplicada a ele. Para exibir um texto sublinhado em um título, use a sintaxe {ul} ou {ul 1}; use {ul 0} para desativar o sublinhado. Para alterar a cor do texto do cabeçalho, preceda a seqüência de texto com a seqüência de caracteres {cf número}, onde número é um dos números de cores do sistema listados na tabela a seguir.

Número de cor do sistema | Cor
0 | Preto
1 | Vermelho escuro
2 | Verde escuro
3 | Amarelo escuro
4 | Azul escuro
5 | Magenta escuro
6 | Ciano escuro
7 | Cinza claro
248 | Cinza médio
249 | Vermelho
250 | Verde
251 | Amarelo
252 | Azul
253 | Magenta
254 | Ciano
255 | Branco

Se você especificar um número diferente dos números das cores do sistema, o texto do título será preto.

Exemplo

Este exemplo exibe um balão com um título, texto e três escolhas de região.

With Assistant.NewBalloon
    .Button = msoButtonSetOkCancel
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With


Propriedade Height

Retorna ou define a altura de um controle de barra de comandos ou uma barra de comandos. Long de leitura/gravação.

expressão.Height

expressão Necessária. Uma expressão que retorna um dos objetos acima.

Exemplo

Este exemplo adiciona um controle personalizado à barra de comandos chamada Custom. O exemplo define a altura do controle personalizado como duas vezes a altura da barra de comandos e define a largura do controle como 50 pixels. Note como a barra de comandos é automaticamente redimensionada para acomodar o controle.

Set myBar = CommandBars("Custom")
barHeight = myBar.Height
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    Id:= CommandBars("Standard").Controls("Save").Id, _
     Temporary:=True)
With myControl
    .Height = barHeight * 2
    .Width = 50
End With
myBar.Visible = True


Propriedade HelpContextId

Retorna ou define o número de identificação de contexto do tópico da Ajuda anexado ao controle de barra de comandos. Long de leitura/gravação.

Comentários

Para usar essa propriedade, você também deve definir a propriedade HelpFile. Os tópicos da Ajuda respondem a Shift+F1.

Exemplo

Este exemplo adiciona uma barra de comandos personalizada com uma caixa de combinação que rastreia dados de ações. O exemplo também especifica o tópico da Ajuda que será exibido para a caixa de combinação quando o usuário pressionar SHIFT+F1.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
    .HelpFile = "C:\corphelp\custom.hlp"
    .HelpContextID = 47
End With


Propriedade HelpFile

Retorna ou define o nome de arquivo do tópico da Ajuda anexado ao controle de barra de comandos. String de leitura/gravação.

Comentários

Para usar esta propriedade, você também deve definir a propriedade HelpContextID. Os tópicos da Ajuda respondem ao pressionamento das teclas SHIFT+F1 pelo usuário.

Exemplo

Este exemplo adiciona uma barra de comandos personalizada com uma caixa de combinação que rastreia dados de ações. O exemplo também especifica o tópico da Ajuda que será exibido para a caixa de combinação quando o usuário pressionar SHIFT+F1.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
    .HelpFile = "C:\corphelp\custom.hlp"
    .HelpContextID = 47
End With


Propriedade HighPriorityTips

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

True se o Assistente do Office exibir dicas de alta prioridade. Boolean de leitura/gravação.

Comentários

A propriedade HighPriorityTips corresponde à opção Mostrar apenas dicas de alta prioridade em Mostrar dicas sobre na guia Opções da caixa de diálogo Assistente do Office.

Exemplo

Neste exemplo, o Assistente do Office é configurado para exibir dicas de alta prioridade.

Assistant.HighPriorityTips = True


Propriedade HTMLProjectItems

Retorna a coleção HTMLProjectItems que está incluída no projeto HTML especificado. HTMLProjectItems somente leitura.

Exemplo

Este exemplo retorna o número de itens na coleção HTMLProjectItems do projeto HTML da pasta de trabalho ativa.

intCount = ActiveWorkbook.HTMLProject.HTMLProjectItems.Count


Propriedade HyperlinkType

Define ou retorna o tipo de hiperlink associado ao botão de barra de comandos especificado. MsoCommandBarButtonHyperlinkType de leitura/gravação.

MsoCommandBarButtonHyperlinkType pode ser uma das seguintes constantes:
msoCommandBarButtonHyperlinkInsertPicture
msoCommandBarButtonHyperlinkNone
msoCommandBarButtonHyperlinkOpen

Exemplo

Este exemplo verifica a propriedade HyperlinkType para o botão da barra de comandos "Custom". Se HyperlinkType estiver definida como msoCommandBarButtonHyperlinkNone, o exemplo definirá a propriedade como msoCommandBarButtonHyperlinkOpen e o URL como www.microsoft.com.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
Set myButton = myBar.Controls.Add(Type:=msoControlButton)
With myButton
    .FaceId = 277
    .HyperlinkType = msoCommandBarButtonHyperlinkNone
End With
If myButton.HyperlinkType <> _
    msoCommandBarButtonHyperlinkOpen Then
    myButton.HyperlinkType = _
        msoCommandBarButtonHyperlinkOpen
    myButton.TooltipText = "www.microsoft.com"
End If


Propriedade Icon

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Retorna ou define o tipo de ícone que aparece na parte superior esquerda do balão do Assistente do Office. MsoIconType de leitura/gravação.

MsoIconType pode ser uma das seguintes constantes:
msoIconAlert
msoIconAlertCritical
msoIconAlertInfo
msoIconAlertQuery
msoIconAlertWarning
msoIconNone
msoIconTip

Exemplo

Este exemplo cria um balão com um ícone “Alert” que instrui o usuário a selecionar uma impressora.

With Assistant.NewBalloon
    .Heading = "Select A Printer"
    .Text = "You must select a printer before printing."
    .Icon = msoIconAlert
    .CheckBoxes(1).Text = "Local printer"
    .CheckBoxes(2).Text = "Network printer"
    .Show
End With


Propriedade Id

A propriedade Id como ela se aplica aos objetos CommandBarButton, CommandBarComboBox e CommandBarControl

Retorna a identificação de um controle da barra de comandos interno. Long somente leitura.

expressão.Id

expressão Necessária. Uma expressão que retorna um dos objetos acima.

Comentários

Uma identificação do controle determina a ação interna do controle. O valor da propriedade Id de todos os controles personalizados é 1.

A propriedade Id como ela se aplica ao objeto Script

Define ou retorna a identificação de um objeto Script. String de leitura/gravação.

expressão.Id

expressão Necessária. Uma expressão que retorna um objeto Script.

Comentários

A identificação retornada é o atributo de identificação da marca <SCRIPT> em HTML. Se não houver nenhum atributo de identificação especificado na marca <SCRIPT>, a propriedade Id retornará uma seqüência vazia.

Id especifica um identificador SGML usado para nomear elementos. Os identificadores válidos incluem qualquer seqüência de caracteres que iniciam com uma letra e que sejam compostas por caracteres alfanuméricos; a seqüência de caractereres também pode incluir o caractere sublinhado ( _ ).

A identificação deve ser exclusiva no documento HTML.

Exemplo

Como ela se aplica aos objetos CommandBarButton, CommandBarComboBox e CommandBarControl

Este exemplo altera a face do botão do primeiro controle na barra de comandos chamada "Custom2" se o valor de ID do botão for inferior a 25.

Set ctrl = CommandBars("Custom").Controls(1)
With ctrl
    If .Id < 25 Then
        .FaceId = 17
        .Tag = "Changed control"
    End If
End With

O exemplo a seguir altera a legenda de todos os controles na barra de ferramentas "Standard" para o valor atual da propriedade Id desses controles.

For Each ctl In CommandBars("Standard").Controls
    ctl.Caption = CStr(ctl.Id)
Next ctl

Como se aplica ao objeto Script

Este exemplo define a propriedade Id do primeiro script na planilha um da pasta de trabalho ativa como um novo valor.

ActiveWorkbook.Worksheets(1).Scripts(1).Id = "UpdatedScriptName"


Propriedade Index

Retorna um Long, representando o número de índice de um objeto especificado na coleção. Somente leitura.

expressão.Index

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Comentários

A posição do primeiro controle de barra de comando é 1. Os separadores não são contados na coleção CommandBarControls.

Exemplo

Este exemplo procura na barra de comando chamada "Custom2" um controle com um valor de identificação de 23. Se tal controle for localizado e o número de índice do controle localizado for maior que 5, o controle será posicionado como primeiro controle na barra de comando.

Set myBar = CommandBars("Custom2")
Set ctrl1 = myBar.FindControl(Id:=23)
If ctrl1.Index > 5 Then
    ctrl1.Move before:=1
End If


Propriedade InitialFileName

Define ou retorna uma String representando o caminho e/ou nome de arquivo que é inicialmente exibido em uma caixa de diálogo de arquivo. Leitura/gravação.

expressão.InitialFileName

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Comentários

Você pode usar os caracteres curinga '*' e '?' ao especificar o nome do arquivo, mas não ao especificar o caminho. O '*' representa qualquer número de caracteres consecutivos e o '?' representa um único caractere. Por exemplo, .InitialFileName = "c:\c*s.txt" retornará "charts.txt" e "checkregister.txt."

Se você especificar um caminho e nenhum nome de arquivo, todos os arquivos permitidos pelo filtro de arquivo irão aparecer na caixa de diálogo.

Se você especificar um arquivo existente na pasta inicial, somente esse arquivo irá aparecer na caixa de diálogo.

Se você especificar um nome de arquivo que não existe na pasta inicial, a caixa de diálogo não conterá arquivos. O tipo de arquivo especificado na propriedade InitialFileName irá sobrepor as configurações de filtro de arquivo.

Se você especificar um caminho inválido, será adotado o último caminho usado. Uma mensagem alertará os usuários quando o caminho for inválido.

A definição desta propriedade como uma seqüência de caracteres com mais de 256 caracteres gerará um erro em tempo de execução.

Exemplo

O exemplo a seguir exibe uma caixa de diálogo genérica de seleção de arquivos usando o objeto FileDialog e exibe cada arquivo selecionado em uma caixa de mensagem.

Sub Main()

    'Declare a variable as a FileDialog object
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Set the initial path to the C:\ drive.
        .InitialFileName = "C:\"

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Propriedade InitialView

Retorna ou define uma constante MsoFileDialogView representando a exibição inicial de arquivos e pastas em uma caixa de diálogo. Leitura/gravação.

MsoFileDialogView pode ser uma das seguintes constantes:
msoFileDialogViewDetails
msoFileDialogViewLargeIcons
msoFileDialogViewList
msoFileDialogViewPreview
msoFileDialogViewProperties
msoFileDialogViewSmallIcons
msoFileDialogViewThumbnail Esta constante fica disponível somente com o Microsoft Windows 2000 ou Microsoft Windows Millennium Edition, ou posterior.
msoFileDialogViewWebView Não disponível. Se você selecionar esta constante, será usada a exibição padrão.

expressão.InitialView

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

O exemplo a seguir exibe uma caixa de diálogo genérica de seleção de arquivos em detalhes usando o objeto FileDialog e exibe cada arquivo selecionado em uma caixa de mensagem.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Set the initial view to the details view.
        .InitialView = msoFileDialogViewDetails

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Propriedade Introduction

Define ou retorna o texto introdutório incluído em um documento enviado por meio do objeto MsoEnvelope. O texto introdutório é incluído no início do documento no email. String de leitura/gravação.

expressão.Introduction

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

O exemplo a seguir envia o documento ativo do Microsoft Word como um email para o endereço de email que você passa para a sub-rotina.

Sub SendMail(ByVal strRecipient As String)

    'Use a With...End With block to reference the MsoEnvelope object.
    With Application.ActiveDocument.MailEnvelope

        'Add some introductory text before the body of the e-mail.
        .Introduction = "Please read this and send me your comments."

        'Return a MailItem object that you can use to send the document.
        With .Item

            'All of the mail item settings are saved with the document.
            'When you add a recipient to the Recipients collection
            'or change other properties these settings will persist.

            .Recipients.Add strRecipient
            .Subject = "Here is the document."

            'The body of this message will be
            'the content of the active document.
            .Send
        End With
    End With
End Sub


Propriedade IsCertificateExpired

True se o certificado digital que corresponde ao objeto Signature expirou. Boolean somente leitura.

expressão.IsCertificateExpired

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

O exemplo a seguir solicita ao usuário para selecionar uma assinatura digital com a qual assinar o documento ativo no Microsoft Word. Para usar este exemplo, abra um documento no Word e passe para essa função o nome de um emissor de certificado e o nome de um signatário de certificado que correspondam aos campos Emitido por e Emitido para de um certificado digital na caixa de diálogo Certificados digitais. Este exemplo será testado para se verificar se a assinatura digital selecionada pelo usuário atende a determinados critérios, como não ter expirado, antes que a nova assinatura seja confirmada no disco.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Propriedade IsCertificateRevoked

True se o certificado digital que corresponde ao objeto Signature foi revogado pelo emissor do certificado. Boolean somente leitura.

expressão.IsCertificateRevoked

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

O exemplo a seguir solicita ao usuário para selecionar uma assinatura digital com a qual assinar o documento ativo no Microsoft Word. Para usar este exemplo, abra um documento no Word e passe para essa função o nome de um emissor de certificado e o nome de um signatário de certificado que correspondam aos campos Emitido por e Emitido para de um certificado digital na caixa de diálogo Certificados digitais. Este exemplo será testado para se verificar se a assinatura digital selecionada pelo usuário atende a determinados critérios, como não ter expirado, antes que a nova assinatura seja confirmada no disco.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Propriedade IsOpen

True se o item do projeto HTML especificado estiver aberto no Editor de scripts Microsoft. Boolean somente para leitura.

Exemplo

Este exemplo determina se o item do projeto HTML especificado está aberto. Se estiver, o exemplo carregará o script do arquivo especificado.

If ActiveWorkbook.HTMLProject.HTMLProjectItems _
    .Item(1).IsOpen Then
    ActiveWorkbook.HTMLProject.HTMLProjectItems _
        .Item(1).LoadFromFile ("C:\MyScript.txt")
Else
    MsgBox "The HTMLProjectItem is not open."
End If


Propriedade IsPriorityDropped

True se o controle tiver sido removido do menu ou da barra de ferramentas de acordo com estatísticas de utilização e espaço de layout. (Observe que isso não é o mesmo que a visibilidade do controle, definida pela propriedade Visible.) Um controle com Visible definida como True, não estará visível imediatamente em um Menu personalizado ou uma Barra de ferramentas se IsPriorityDropped for True. Boolean somente leitura.

Comentários

Para determinar quando definir IsPriorityDropped como True para um item de menu específico, o Microsoft Office mantém uma contagem total do número de vezes que o item de menu foi usado e um registro do número de sessões de diferentes aplicativos nas quais o usuário usou outro item de menu do mesmo menu que esse item, sem usar o item de menu específico. Quando esse valor atingir certos valores limites, a contagem será diminuída. Quando a contagem chegar a zero, IsPriorityDropped será definida como True. Os programadores não podem definir o valor de sessão, o valor limite ou a propriedade IsPriorityDropped. Entretanto, eles podem usar a propriedade AdaptiveMenus para desativar os menus adaptáveis correspondentes a menus específicos em um aplicativo.

Para determinar quando definir IsPriorityDropped como True para um controle específico da barra de ferramentas, o Office mantém uma lista da ordem em que todos os controles da barra de ferramentas foram executados pela última vez. Uma barra de ferramentas sempre exibirá tantos controles quantos couberem em seu espaço, começando pelo controle que foi usado por último e indo até o que foi usado primeiro. Os controles com Priority definida como 1 serão sempre exibidos e, se necessário, a barra de ferramentas será quebrada em linhas para mostrá-los. Os programadores podem usar a propriedade Priority para garantir que controles específicos da barra de ferramentas sejam sempre exibidos ou para reposicionar as barras de ferramentas de forma que elas tenham espaço suficiente para exibir todos os controles.

Use a tabela a seguir para prever o número de sessões para as quais um item de menu ou um menu personalizado permanecerá visível antes de a propriedade IsPriorityDropped do item de menu ser definida como True.

Número de usos do controle da barra de comandos | Número de sessões do aplicativo
0, 1 | 3
2 | 6
3 | 9
4, 5 | 12
6 a 8 | 17
9 a 13 | 23
14 a 24 | 29
25 ou mais | 31

Exemplo

Este exemplo verifica a propriedade IsPriorityDropped do primeiro controle na barra de comandos chamada “Custom”. Se IsPriorityDropped é True, o exemplo define a propriedade AdaptiveMenus como False, restaurando a barra de comandos desativada.

If CommandBars("Custom").Controls(1).IsPriorityDropped Then
    CommandBars.AdaptiveMenus = True
End If


Propriedade Issuer

Retorna uma String representando o nome do emissor do certificado digital que corresponde ao objeto Signature. Somente leitura.

expressão.Issuer

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

O exemplo a seguir solicita ao usuário para selecionar uma assinatura digital com a qual assinar o documento ativo no Microsoft Word. Para usar este exemplo, abra um documento no Word e passe para essa função o nome de um emissor de certificado e o nome de um signatário de certificado que correspondam aos campos Emitido por e Emitido para de um certificado digital na caixa de diálogo Certificados digitais. Este exemplo será testado para se verificar se a assinatura digital selecionada pelo usuário atende a determinados critérios, como não ter expirado, antes que a nova assinatura seja confirmada no disco.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Propriedade IsValid

True se o certificado digital que corresponde ao objeto Signature é um certificado válido. Um certificado pode ser inválido por várias razões, desde por ter expirado até por alterações no documento que o contém. Boolean somente leitura.

expressão.IsValid

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

O exemplo a seguir solicita ao usuário para selecionar uma assinatura digital com a qual assinar o documento ativo no Microsoft Word. Para usar este exemplo, abra um documento no Word e passe para essa função o nome de um emissor de certificado e o nome de um signatário de certificado que correspondam aos campos Emitido por e Emitido para de um certificado digital na caixa de diálogo Certificados digitais. Este exemplo será testado para se verificar se a assinatura digital selecionada pelo usuário atende a determinados critérios, como não ter expirado, antes que a nova assinatura seja confirmada no disco.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Propriedade Item

Propriedade Item como ela se aplica à coleção FileTypes

Retorna um valor que indica qual tipo de arquivo será pesquisado pelo método Execute do objeto FileSearch. MsoFileType somente leitura.

MsoFileType pode ser uma das seguintes constantes:
msoFileTypeAllFiles
msoFileTypeBinders
msoFileTypeCalendarItem
msoFileTypeContactItem
msoFileTypeDatabases
msoFileTypeDataConnectionFiles
msoFileTypeDesignerFiles
msoFileTypeDocumentImagingFiles
msoFileTypeExcelWorkbooks
msoFileTypeJournalItem
msoFileTypeMailItem
msoFileTypeNoteItem
msoFileTypeOfficeFiles
msoFileTypeOutlookItems
msoFileTypePhotoDrawFiles
msoFileTypePowerPointPresentations
msoFileTypeProjectFiles
msoFileTypePublisherFiles
msoFileTypeTaskItem
msoFileTypeTemplates
msoFileTypeVisioFiles
msoFileTypeWebPages
msoFileTypeWordDocuments

expressão.Item(Index)

expressão Necessária. Uma expressão que retorna uma coleção FileTypes.

Index Long necessário. O número de índice do objeto a ser retornado.

Propriedade Item como ela se aplica ao objeto CommandBars

Retorna um objeto CommandBar da coleção CommandBars.

expressão.Item(Index)

expressão Necessária. Uma expressão que retorna um objeto CommandBars.

Index Variant necessário. O nome ou número de índice do objeto a ser retornado.

Propriedade Item como ela se aplica ao objeto CommandBarControls

Retorna um objeto CommandBarControl de uma coleção CommandBarControls.

expressão.Item(Index)

expressão Necessária. Uma expressão que retorna um objeto CommandBarControls.

Index Variant necessário. O nome ou número de índice do objeto a ser retornado.

Propriedade Item como ela se aplica ao objeto DocumentProperties

Retorna um objeto DocumentProperty da coleção DocumentProperties.

expressão.Item(Index)

expressão Necessária. Uma expressão que retorna um objeto DocumentProperties.

Index Variant necessário. O nome ou número de índice da propriedade de documento a ser retornada.

Propriedade Item como ela se aplica aos objetos BalloonCheckboxes e BalloonLabels

Retorna um objeto BalloonCheckBox ou BalloonLabel.

expressão.Item(Index)

expressão Necessária. Uma expressão que retorna um dos objetos acima.

Index Long necessário. O número de índice da caixa de seleção a ser retornado.

Propriedade Item como ela se aplica ao objeto MsoEnvelope

Retorna um objeto MailItem que pode ser usado para enviar um documento como um email.

expressão.Item

expressão Necessária. Uma expressão que retorna um objeto MsoEnvelope.

Propriedade Item como ela se aplica ao objeto PropertyTests

Retorna um objeto PropertyTest da coleção PropertyTests.

expressão.Item(Index)

expressão Necessária. Uma expressão que retorne um objeto PropertyTests.

Index Long necessário. O número de índice do teste de propriedade a ser retornado.

Propriedade Item como ela se aplica aos objetos ScopeFolders e SearchFolders

Retorna um objeto ScopeFolder que representa uma subpasta do objeto pai.

expressão.Item(Index)

expressão Necessária. Uma expressão que retorna um dos objetos acima.

Index Long necessário. Determina a subpasta a ser retornada.

Propriedade Item como ela se aplica ao objeto SearchScopes

Retorna um objeto SearchScope que corresponde a uma área na qual deve ser executada uma pesquisa de arquivo, como unidades locais ou pastas do Microsoft Outlook.

expressão.Item(Index)

expressão Necessária. Uma expressão que retorna um objeto SearchScope.

Index Long necessário. Determina o objeto SearchScope a ser retornado.

Propriedade Item como ela se aplica ao objeto SignatureSet

Retorna um objeto Signature que corresponde a uma das assinaturas digitais utilizadas pelo documento no momento.

expressão.Item(iSig)

expressão Necessária. Uma expressão que retorna um objeto SignatureSet.

iSig Long necessário. Determina o objeto Signature a ser retornado.

Propriedade Item como ela se aplica aos objetos AnswerWizardFiles e FoundFiles

Retorna uma seqüência de caracteres de nome de arquivo de uma coleção AnswerWizardFiles ou um nome de arquivo da lista de nomes de arquivo representado pelo objeto FoundFiles, respectivamente. String somente leitura.

expressão.Item(Index)

expressão Necessária. Uma expressão que retorna um dos objetos acima.

Index Long necessário. O número de índice da seqüência de caracteres do nome do arquivo do Assistente de resposta a ser retornado.

Propriedade Item como ela se aplica aos objetos Assistant, BalloonCheckbox, BalloonLabel e FileDialog

Retorna o texto associado ao objeto especificado. String somente leitura.

expressão.Item

expressão Necessária. Uma expressão que retorna um dos objetos acima.

Propriedade Item como ela se aplica ao objeto WebPageFonts

Retorna um objeto WebPageFont da coleção WebPageFonts de um valor determinado de MsoCharacterSet.

expressão.Item(Index)

expressão Necessária. Uma expressão que retorna um dos objetos acima.

Index necessário MsoCharacterSet. O conjunto de caracteres especificado.

MsoCharacterSet pode ser uma das seguintes constantes:
msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

Exemplo

Como ela se aplica ao objeto CommandBars

Item é o membro padrão do objeto ou coleção. As duas instruções a seguir atribuem um objeto CommandBar a cmdBar.

Set cmdBar = CommandBars.Item("Standard")
Set cmdBar = CommandBars("Standard")

Como ela se aplica aos objetos BalloonCheckboxes e BalloonLabels

Item é o membro padrão do objeto ou coleção. As duas instruções a seguir atribuem o texto do primeiro rótulo no objeto Balloon atribuído como myBalloon a lblText.

lblText = myBalloon.Labels(1).Item
lblText = myBalloon.Labels(1)

Como ela se aplica aos objetos AnswerWizardFiles e FoundFiles

Este exemplo redefine a lista de arquivos do Assistente de resposta atual e exibe a contagem e os nomes de arquivos em uma caixa de mensagem, usando a propriedade Item para retornar os nomes de arquivos.

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer
Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "There are " & customAnswerWizard.Files.Count & _
    " files avaialble through this AnswerWizard: " & _
    Chr(13) & strFileList

Como ela se aplica ao objeto WebPageFonts

O exemplo a seguir usa a propriedade Item para definir myFont como o objeto WebPageFont para o conjunto de caracteres do inglês/idiomas da Europa Ocidental/outros idiomas latinos no aplicativo ativo.

Dim myFont As WebPageFont
Set myFont = _
 Application.DefaultWebOptions.Fonts. _
 Item(msoCharacterSetEnglishWesternEuropeanOtherLatinScript)

Como ela se aplica ao objeto MsoEnvelope

O exemplo a seguir envia o documento ativo do Microsoft Word como um email para um endereço de email que você passa para a sub-rotina.

Sub SendMail(ByVal strRecipient As String)

    'Use a With...End With block to reference the msoEnvelope object.
    With Application.ActiveDocument.MailEnvelope

        'Add some introductory text before the body of the e-mail message.
        .Introduction = "Please read this and send me your comments."

        'Return a MailItem object that you can use to send the document.
        With .Item

            'All of the mail item settings are saved with the document.
            'When you add a recipient to the Recipients collection
            'or change other properties these settings will persist.

            .Recipients.Add strRecipient
            .Subject = "Here is the document."

            'The body of this message will be
            'the content of the active document.
            .Send
        End With
    End With
End Sub


Propriedade KeyboardShortcutTips

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

True se o Assistente do Office exibir informações da Ajuda sobre atalhos do teclado. Boolean de leitura/gravação.

Comentários

A propriedade KeyboardShortcutTips corresponde à opção Atalhos do teclado da seção Mostrar dicas sobre, que pode ser encontrada na guia Opções da caixa de diálogo Assistente do Office.

Exemplo

Este exemplo define o Assistente do Office para que forneça informações da Ajuda sobre atalhos do teclado.

Assistant.KeyboardShortcutTips = True


Propriedade Labels

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Retorna uma coleção BalloonLabels representando os rótulos de botão, os rótulos de número e os rótulos de marcadores contidos no balão do Assistente do Office especificado. Somente leitura.

Para obter informações sobre como retornar um único membro de uma coleção, consulte Retornando um objeto de uma coleção.

Exemplo

Este exemplo cria um balão contendo três escolhas. A variável x é definida com o valor retornado pelo método Show, o que será 1, 2 ou 3, correspondendo ao rótulo no qual o usuário clica. Neste exemplo, uma caixa de mensagem simples exibe o valor da variável x, mas você pode passar o valor para um outro procedimento, ou pode usar o valor em uma instrução Select Case.

Set b = Assistant.NewBalloon
With b
    .Heading = "This is my heading"
    .Text = "Select one of these things:"
    .Labels(1).Text = "Choice One"
    .Labels(2).Text = "Choice Two"
    .Labels(3).Text = "Choice Three"
    x = .Show
End With
MsgBox x


Propriedade Language

Especifica ou retorna a linguagem de script do script ativo. MsoScriptLanguage de leitura/gravação.

MsoScriptLanguage pode ser uma das seguintes constantes:
msoScriptLanguageASP
msoScriptLanguageJava
msoScriptLanguageOther
msoScriptLanguageVisualBasic

Comentários

As constantes MsoScriptLanguage usadas com a propriedade Language também são usadas no parâmetro Language no método Add da coleção Scripts.

Exemplo

Este exemplo verifica a propriedade Language para garantir que o primeiro script da planilha um da pasta de trabalho ativa esteja escrito em VBScript.

If ActiveWorkbook.Worksheets(1).Scripts(1).Language <> _
    msoScriptLanguageVisualBasic Then
      MsgBox "Language is not set to VBScript."
End If


Propriedade LanguageID

Retorna o identificador local (LCID) do idioma de instalação, da interface do usuário ou da Ajuda. Long somente leitura.

expressão.LanguageID(Id)

expressão Necessária. Uma expressão que retorna um objeto LanguageSettings.

Id MsoAppLanguageID necessário.

Constante MsoAppLanguageID | Significado
msoLanguageIDExeMode | O modo de idioma que o aplicativo está usando. Essa configuração aplica-se apenas ao Microsoft Excel e ao Microsoft Access e afeta os idiomas a serem exibidos e editados, os recursos específicos de idiomas disponíveis, os estilos de número, as definições de moeda e assim por diante. Se nenhum dos idiomas para os quais o Excel e o Access oferecem suporte forem usados, o aplicativo host não estará configurado para dar suporte a idiomas escritos da direita para a esquerda e idiomas do Leste Asiático. Os idiomas para os quais há suporte são os seguintes: Árabe Chinês simplificado Chinês tradicional Coreano Farsi Hebraico Iídiche Japonês Urdu
msoLanguageIDHelp | O idioma usado para Ajuda on-line.
msoLanguageIDInstall | As configurações de idioma usadas pelo Microsoft Office para configurar padrões. Por exemplo, o Microsoft Word usa essa definição para determinar o layout das barras de ferramentas e dos tipos padrão de marcadores e números em uma base idioma por idioma.
msoLanguageIDUI | O idioma usado pela interface do usuário do aplicativo host.
msoLanguageIDUIPrevious | A configuração de idioma da interface do usuário quando um determinado computador foi reiniciado pela última vez. Um programa ou suplemento pode usar essa configuração para determinar se o idioma da interface do usuário foi alterado.

Exemplo

Este exemplo do Microsoft Excel verifica as configurações da propriedade LanguageID para a interface do usuário e o modo de execução, a fim de confirmar se eles estão configurados com o mesma LCID. O exemplo retorna um erro caso haja discrepância.

If Application.LanguageSettings.LanguageID(msoLanguageIDExeMode) _
    <> Application.LanguageSettings.LanguageID(msoLanguageIDUI) _
    Then MsgBox "The user interface language and execution " & _
    "mode are different."


Propriedade LanguagePreferredForEditing

Retorna True se o valor da constante msoLanguageID tiver sido identificado no Registro do Windows como o idioma preferido para edição. Boolean somente leitura.

expressão.LanguagePreferredForEditing(lid)

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

lid MsoLanguageID necessário.

MsoLanguageID pode ser uma das seguintes constantes:
msoLanguageIDAfrikaans
msoLanguageIDAlbanian
msoLanguageIDAmharic
msoLanguageIDArabic
msoLanguageIDArabicAlgeria
msoLanguageIDArabicBahrain
msoLanguageIDArabicEgypt
msoLanguageIDArabicIraq
msoLanguageIDArabicJordan
msoLanguageIDArabicKuwait
msoLanguageIDArabicLebanon
msoLanguageIDArabicLibya
msoLanguageIDArabicMorocco
msoLanguageIDArabicOman
msoLanguageIDArabicQatar
msoLanguageIDArabicSyria
msoLanguageIDArabicTunisia
msoLanguageIDArabicUAE
msoLanguageIDArabicYemen
msoLanguageIDArmenian
msoLanguageIDAssamese
msoLanguageIDAzeriCyrillic
msoLanguageIDAzeriLatin
msoLanguageIDBasque
msoLanguageIDBelgianDutch
msoLanguageIDBelgianFrench
msoLanguageIDBengali
msoLanguageIDBrazilianPortuguese
msoLanguageIDBulgarian
msoLanguageIDBurmese
msoLanguageIDByelorussian
msoLanguageIDCatalan
msoLanguageIDCherokee
msoLanguageIDChineseHongKong
msoLanguageIDChineseMacao
msoLanguageIDChineseSingapore
msoLanguageIDCroatian
msoLanguageIDCzech
msoLanguageIDDanish
msoLanguageIDDutch
msoLanguageIDEnglishAUS
msoLanguageIDEnglishBelize
msoLanguageIDEnglishCanadian
msoLanguageIDEnglishCaribbean
msoLanguageIDEnglishIreland
msoLanguageIDEnglishJamaica
msoLanguageIDEnglishNewZealand
msoLanguageIDEnglishPhilippines
msoLanguageIDEnglishSouthAfrica
msoLanguageIDEnglishTrinidad
msoLanguageIDEnglishUK
msoLanguageIDEnglishUS
msoLanguageIDEnglishZimbabwe
msoLanguageIDEstonian
msoLanguageIDFaeroese
msoLanguageIDFarsi
msoLanguageIDFinnish
msoLanguageIDFrench
msoLanguageIDFrenchCameroon
msoLanguageIDFrenchCanadian
msoLanguageIDFrenchCotedIvoire
msoLanguageIDFrenchLuxembourg
msoLanguageIDFrenchMali
msoLanguageIDFrenchMonaco
msoLanguageIDFrenchReunion
msoLanguageIDFrenchSenegal
msoLanguageIDFrenchWestIndies
msoLanguageIDFrenchZaire
msoLanguageIDFrisianNetherlands
msoLanguageIDGaelicIreland
msoLanguageIDGaelicScotland
msoLanguageIDGalician
msoLanguageIDGeorgian
msoLanguageIDGerman
msoLanguageIDGermanAustria
msoLanguageIDGermanLiechtenstein
msoLanguageIDGermanLuxembourg
msoLanguageIDGreek
msoLanguageIDGujarati
msoLanguageIDHebrew
msoLanguageIDHindi
msoLanguageIDHungarian
msoLanguageIDIcelandic
msoLanguageIDIndonesian
msoLanguageIDInuktitut
msoLanguageIDItalian
msoLanguageIDJapanese
msoLanguageIDKannada
msoLanguageIDKashmiri
msoLanguageIDKazakh
msoLanguageIDKhmer
msoLanguageIDKirghiz
msoLanguageIDKonkani
msoLanguageIDKorean
msoLanguageIDLao
msoLanguageIDLatvian
msoLanguageIDLithuanian
msoLanguageIDMacedonian
msoLanguageIDMalayalam
msoLanguageIDMalayBruneiDarussalam
msoLanguageIDMalaysian
msoLanguageIDMaltese
msoLanguageIDManipuri
msoLanguageIDMarathi
msoLanguageIDMexicanSpanish
msoLanguageIDMixed
msoLanguageIDMongolian
msoLanguageIDNepali
msoLanguageIDNone
msoLanguageIDNoProofing
msoLanguageIDNorwegianBokmol
msoLanguageIDNorwegianNynorsk
msoLanguageIDOriya
msoLanguageIDOromo
msoLanguageIDPolish
msoLanguageIDPortuguese
msoLanguageIDPunjabi
msoLanguageIDRhaetoRomanic
msoLanguageIDRomanian
msoLanguageIDRomanianMoldova
msoLanguageIDRussian
msoLanguageIDRussianMoldova
msoLanguageIDSamiLappish
msoLanguageIDSanskrit
msoLanguageIDSerbianCyrillic
msoLanguageIDSerbianLatin
msoLanguageIDSesotho
msoLanguageIDSimplifiedChinese
msoLanguageIDSindhi
msoLanguageIDSlovak
msoLanguageIDSlovenian
msoLanguageIDSorbian
msoLanguageIDSpanish
msoLanguageIDSpanishArgentina
msoLanguageIDSpanishBolivia
msoLanguageIDSpanishChile
msoLanguageIDSpanishColombia
msoLanguageIDSpanishCostaRica
msoLanguageIDSpanishDominicanRepublic
msoLanguageIDSpanishEcuador
msoLanguageIDSpanishElSalvador
msoLanguageIDSpanishGuatemala
msoLanguageIDSpanishHonduras
msoLanguageIDSpanishModernSort
msoLanguageIDSpanishNicaragua
msoLanguageIDSpanishPanama
msoLanguageIDSpanishParaguay
msoLanguageIDSpanishPeru
msoLanguageIDSpanishPuertoRico
msoLanguageIDSpanishUruguay
msoLanguageIDSpanishVenezuela
msoLanguageIDSutu
msoLanguageIDSwahili
msoLanguageIDSwedish
msoLanguageIDSwedishFinland
msoLanguageIDSwissFrench
msoLanguageIDSwissGerman
msoLanguageIDSwissItalian
msoLanguageIDTajik
msoLanguageIDTamil
msoLanguageIDTatar
msoLanguageIDTelugu
msoLanguageIDThai
msoLanguageIDTibetan
msoLanguageIDTigrignaEritrea
msoLanguageIDTigrignaEthiopic
msoLanguageIDTraditionalChinese
msoLanguageIDTsonga
msoLanguageIDTswana
msoLanguageIDTurkish
msoLanguageIDTurkmen
msoLanguageIDUkrainian
msoLanguageIDUrdu
msoLanguageIDUzbekCyrillic
msoLanguageIDUzbekLatin
msoLanguageIDVenda
msoLanguageIDVietnamese
msoLanguageIDWelsh
msoLanguageIDXhosa
msoLanguageIDZulu

Comentários

É necessário verificar todos os valores msoLanguageID válidos para enumerar o conjunto de idiomas preferidos.

Exemplo

Este exemplo exibirá uma mensagem se o idioma de edição preferido for U.S English.

If Application.LanguageSettings. _
    LanguagePreferredForEditing(msoLanguageIDEnglishUS) Then
    MsgBox "One of the preferred editing languages is US English."
End If


Propriedade LargeButtons

True se botões de barras de ferramentas exibidos são maiores que o tamanho normal. Boolean de leitura/gravação.

Exemplo

Este exemplo alterna o tamanho da exibição de botões de barras de ferramentas em todas as barras de comandos.

Set allBars = CommandBars
If allBars.LargeButtons Then
    allBars.LargeButtons = False
Else
    allBars.LargeButtons = True
End If


Propriedade LastModified

Retorna ou define uma constante que representa o período de tempo desde que o arquivo foi modificado e salvo pela última vez. O valor padrão é msoLastModifiedAnyTime. MsoLastModified de leitura/gravação.

MsoLastModified pode ser uma das seguintes constantes:
msoLastModifiedAnyTime
msoLastModifiedLastMonth
msoLastModifiedLastWeek
msoLastModifiedThisMonth
msoLastModifiedThisWeek
msoLastModifiedToday
msoLastModifiedYesterday

Exemplo

Este exemplo define opções para uma pesquisa de arquivos. Os arquivos que essa pesquisa irá retornar foram previamente modificados e estão localizados na pasta C:\My Documents ou em uma subpasta dessa pasta.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .LastModified = msoLastModifiedYesterday
End With


Propriedade Left

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Propriedade Left como ela se aplica aos objetos Assistant e CommandBar

Define ou retorna a posição horizontal da janela do Assistente do Office (em pontos), ou a distância (em pixels) da barra de comandos, da borda esquerda do objeto especificado em relação à tela. Long de leitura/gravação.

expressão.Left

expressão Necessária. Uma expressão que retorna um dos objetos acima.

Propriedade Left como ela se aplica aos objetos CommandBarButton, CommandBarComboBox, CommandBarControl e CommandBarPopup

Define ou retorna a posição horizontal do controle da barra de comandos especificado (em pixels) em relação à borda esquerda da tela. Retorna a distância do lado esquerdo da área de encaixe. Long somente leitura.

expressão.Left

expressão Necessária. Uma expressão que retorna um dos objetos acima.

Exemplo

Como ela se aplica aos objetos Assistant e CommandBar

Este exemplo exibe o Assistente do Office e o move para a posição especificada dentro da janela do aplicativo.

With Assistant
    .Visible = True
    .Left = 300
    .Top = 300
End With

Este exemplo move a barra de comandos chamada Custom de sua posição encaixada ao longo da parte superior da janela para a borda esquerda da janela.

Set myBar = CommandBars("Custom")
With myBar
    .Position = 1
    .RowIndex = 2
    .Left = 0
End With


Propriedade LinkSource

Retorna ou define a origem de uma propriedade personalizada de documento vinculado. String de leitura/gravação.

Comentários

Essa propriedade só se aplica a propriedades personalizadas de documentos; você não pode usá-la com propriedades internas de documentos.

A origem do vínculo especificado é definida pelo aplicativo recipiente.

A definição da propriedade LinkSource define a propriedade LinkToContent como True.

Exemplo

Este exemplo exibe o status de vinculado de uma propriedade personalizada de documento. Para o exemplo funcionar, dp deve ser um objeto DocumentProperty válido.

Sub DisplayLinkStatus(dp As DocumentProperty)
    Dim stat As String, tf As String
    If dp.LinkToContent Then
        tf = ""
    Else
        tf = "not "
    End If
    stat = "This property is " & tf & "linked"
    If dp.LinkToContent Then
        stat = stat + Chr(13) & "The link source is " & dp.LinkSource
    End If
    MsgBox stat
End Sub


Propriedade LinkToContent

True se o valor da propriedade personalizada de documento estiver vinculado ao conteúdo do documento recipiente. False se o valor for estático. Boolean de leitura/gravação.

Comentários

Essa propriedade só se aplica a propriedades personalizadas de documentos. Para propriedades internas de documentos, o valor dessa propriedade é False.

Use a propriedade LinkSource para definir a origem da propriedade vinculada especificada. A definição da propriedade LinkSource define a propriedade LinkToContent como True.

Exemplo

Este exemplo exibe o status de vinculação da propriedade personalizada de documento. Para o exemplo funcionar, dp deve ser um objeto DocumentProperty válido.

Sub DisplayLinkStatus(dp As DocumentProperty)
    Dim stat As String, tf As String
    If dp.LinkToContent Then
        tf = ""
    Else
        tf = "not "
    End If
    stat = "This property is " & tf & "linked"
    If dp.LinkToContent Then
        stat = stat + Chr(13) & "The link source is " & dp.LinkSource
    End If
    MsgBox stat
End Sub


Propriedade List

Retorna ou define um item no controle de caixa de combinação da barra de comandos. String de leitura/gravação.

Observação Essa propriedade é somente leitura no caso de controles de caixa de combinação internos.

expressão.List(Index)

expressão Necessária. Uma expressão que retorna um objeto CommandBarComboBox.

Index Long necessário. O item de lista a ser definido.

Exemplo

Este exemplo verifica o valor do quarto item de lista no controle caixa de combinação cuja legenda é "Stock Data" na barra de comandos chamada "Custom". Se o item não é "View News", o exemplo exibe uma mensagem avisando o usuário de que a caixa de combinação pode estar danificada e pede ao usuário para reinstalar o aplicativo.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
End With
If CommandBars("Custom").Controls(1).List(4) _
     <> "View News" Then
MsgBox ("Stock Data appears to be damaged." & _
     " Please reinstall application.")
End If


Propriedade ListCount

Retorna o número de itens de lista em um controle de caixa de combinação de barra de comandos. Long somente leitura.

Exemplo

Este exemplo verifica o número de itens da caixa de combinação na barra de comandos chamada "Custom". Se não houver três itens na lista que o procedimento produz, o exemplo exibirá uma mensagem avisando o usuário de que a caixa de combinação pode estar danificada e pede ao usuário para reinstalar o aplicativo.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
End With
If CommandBars("Custom").Controls(1).ListCount _
     <> 4 Then
MsgBox ("ComboBox appears to be damaged." & _
     " Please reinstall.")
End If


Propriedade ListHeaderCount

Retorna ou define o número de itens de lista em um controle de caixa de combinação de barra de comandos que aparece acima da linha separadora. Long de leitura/gravação.

Observação Essa propriedade é somente leitura no caso de controles de caixa de combinação internos.

Comentários

Um valor de propriedade ListHeaderCount de – 1 indica que não há linha separadora no controle de caixa de combinação.

Exemplo

Este exemplo adiciona um controle caixa de combinação à barra de comandos chamada "Custom" e, em seguida, adiciona dois itens à caixa de combinação. O exemplo usa a propriedade ListHeaderCount para exibir uma linha separadora entre o primeiro e o segundo item na caixa de combinação. O exemplo também define o número de itens de linha, a largura da caixa de combinação e um padrão vazio para a caixa de combinação.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox)
With myControl
    .AddItem Text:="First Item", Index:=1
    .AddItem Text:="Second Item", Index:=2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 1
End With


Propriedade ListIndex

Retorna ou define o número de índice do item selecionado na parte de lista do controle de caixa de combinação de barra de comandos. Se nada for selecionado na lista, essa propriedade retornará zero. Long de leitura/gravação.

Observação Essa propriedade falha quando aplicada a controles que não são controles de lista.

Comentários

A definição da propriedade ListIndex faz com que o controle especificado selecione determinado item e execute a ação apropriada no aplicativo.

Exemplo

Este exemplo usa a propriedade ListIndex para determinar a sub-rotina correta a ser executada, com base na seleção na caixa de combinação na barra de comandos chamada “My Custom Bar”. Como o procedimento usa ListIndex, a caixa de combinação pode conter qualquer texto.

Sub processSelection()
Dim userChoice As Long
userChoice = CommandBars("My Custom Bar").Controls(1).ListIndex
    Select Case userChoice
        Case 1
            chartcourse
        Case 2
            displaygraph
        Case Else
            MsgBox ("Invalid choice. Please choose again.")
    End Select
End Sub


Propriedade Location

Retorna o local da âncora de script no documento HTML especificado. MsoScriptLocation somente leitura.

MsoScriptLocation pode ser uma das seguintes constantes:
msoScriptLocationInBody
msoScriptLocationInHead

Comentários

Podem aparecer marcas de script em qualquer lugar de um documento HTML entre as marcas <HTML> do documento. No Microsoft Word, Excel ou PowerPoint, somente as âncoras de script localizadas entre as marcas <BODY> são visíveis. Os scripts HTML adicionais que aparecem antes ou depois das marcas <BODY> são armazenados, mas não são visíveis para o usuário.

A coleção Scripts contém todas as âncoras de script que aparecem no documento, dentro ou fora do corpo principal do documento. Ao usar o argumento Location do método Add, você pode inserir âncoras de script nas marcas <HEAD> e <BODY> do documento HTML. Você também pode usar a propriedade Location para determinar onde uma determinada âncora de script está armazenada no documento.

Exemplo

Este exemplo verifica a propriedade Location do primeiro script na planilha um da pasta de trabalho ativa e exibe o local em uma caixa de mensagem.

If ActiveWorkbook.Worksheets(1).Scripts(1).Location = 1 Then
    MsgBox "The script in located in the header."
End If
If ActiveWorkbook.Worksheets(1).Scripts(1).Location = 2 Then
    MsgBox "The script in located in the body of the worksheet."
End If


Propriedade LookIn

Retorna ou define a pasta a ser pesquisada durante a pesquisa de arquivos especificada. String de leitura/gravação.

Exemplo

Este exemplo pesquisa na pasta My Documents todos os arquivos cujos nomes começam com "Cmd" e exibe o nome e o local de cada arquivo localizado.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "cmd*.*"
    If .Execute > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
        " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Propriedade Mask

Retorna um objeto IPictureDisp representando a imagem de máscara de um objeto CommandBarButton. A a imagem de máscara determina que partes da imagem do botão são transparentes.

expressão.Mask

expressão Necessária. Uma expressão que retorna um objeto CommandBarButton.

Comentários

Quando você cria uma imagem que pretende usar como uma imagem de máscara, todas as áreas que deseja manter transparentes devem ser brancas, e todas as áreas que deseja exibir devem ser pretas.

Defina sempre a máscara após definir a figura para um objeto CommandBarButton.

Exemplo

O exemplo a seguir define a imagem e máscara do primeiro CommandBarButton que o código retorna. Para executar esse trabalho, crie uma imagem de máscara e uma imagem de botão e substitua os caminhos do exemplo com os caminhos de suas imagens.

Sub ChangeButtonImage()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    Set picPicture = stdole.StdFunctions.LoadPicture( _
        "c:\images\picture.bmp")
    Set picMask = stdole.StdFunctions.LoadPicture( _
        "c:\images\mask.bmp")

    'Reference the first button on the first command bar
    'using a With...End With block.
    With Application.CommandBars.FindControl(msoControlButton)
        'Change the button image.
        .Picture = picButton

        'Use the second image to define the area of the
        'button that should be transparent.
        .Mask = picMask
    End With
End Sub

O exemplo a seguir usa a imagem e máscara do primeiro CommandBarButton que o código retorna e efetua a saída de cada um para um arquivo. Para executar esse trabalho, especifique um caminho para os arquivos de saída.

Sub GetButtonImageAndMask()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    With Application.CommandBars.FindControl(msoControlButton)
        'Get the button image and mask of the this CommandBarButton object
        Set picPicture = .Picture
        Set picMask = .Mask
    End With

    'Save the button image and mask in a folder.
    stdole.SavePicture picPicture, "c:\temp\image.bmp"
    stdole.SavePicture picMask, "c:\temp\mask.bmp"
End Sub


Propriedade MatchAllWordForms

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

True se a pesquisa de arquivos será expandida para incluir todas as formas da palavra especificada contidas no corpo do arquivo ou nas propriedades do arquivo. Boolean de leitura/gravação.

Comentários

Essa propriedade só estará disponível se o arquivo Mswds_en.lex tiver sido instalado e registrado. Observe que esse arquivo não é instalado como parte de uma instalação típica.

Exemplo

Este exemplo retorna todos os arquivos que contêm a palavra "run", "running," "runs," ou "ran" no corpo do arquivo ou nas propriedades do arquivo. A propriedade TextOrProperty define a palavra que será comparada e limita a pesquisa ao corpo do arquivo ou às propriedades do arquivo.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .TextOrProperty = "run"
    .MatchAllWordForms = True
    .FileType = msoFileTypeAllFiles
End With


Propriedade MatchTextExactly

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

True se a pesquisa de arquivos especificada só irá localizar arquivos cujo corpo de texto ou propriedades de arquivo contenham a palavra ou frase exata que você especificou. Boolean de leitura/gravação.

Exemplo

Este exemplo pesquisa na pasta C:\My Documents e retorna todos os arquivos que contêm a palavra "Run", seja no corpo do texto ou nas propriedades dos arquivos.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .TextOrProperty = "Run"
    .MatchTextExactly = True
    .FileType = msoFileTypeAllFiles
End With


Propriedade MenuAnimationStyle

Retorna ou define o modo como uma barra de comandos é animada. MsoMenuAnimation de leitura/gravação.

MsoMenuAnimation pode ser uma das seguintes constantes:
msoMenuAnimationNone
msoMenuAnimationRandom
msoMenuAnimationSlide
msoMenuAnimationUnfold

Exemplo

Este exemplo define opções para todas as barras de comandos no Microsoft Office.

With CommandBars
    .LargeButtons = True
    .DisplayTooltips = True
    .DisplayKeysInTooltips = True
    .MenuAnimationStyle = msoMenuAnimationUnfold
End With


Propriedade Mode

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Retorna ou define o comportamento modal do balão do Assistente do Office. Quando você cria um objeto Balloon, essa propriedade é definida inicialmente como msoModeModal. MsoModeType de leitura/gravação.

MsoModeType pode ser uma das seguintes constantes:
msoModeAutoDown
msoModeModal
msoModeModeless

Comentários

Quando a propriedade Mode de um balão estiver definida como msoModeModeless, o usuário poderá trabalhar no aplicativo enquanto o balão estiver visível. Se a propriedade estiver definida como msoModeModal, o usuário terá de descartar o balão antes de continuar a trabalhar no aplicativo. Se a propriedade estiver definida como msoModeAutoDown, o balão será descartado quando o usuário clicar em qualquer lugar da tela.

Se a propriedade Mode de um balão estiver definida como msoModeModeless e um valor para a propriedade Callback não for fornecido, ocorrerá um erro. O método Close só poderá ser usado no procedimento especificado pela propriedade Callback quando a propriedade Mode estiver definida como msoModeModeless.

Exemplo

Este exemplo cria um balão com um ícone de alerta que instrui o usuário a selecionar uma impressora. Como o balão não é restrito, o usuário tem acesso a comandos de impressora enquanto o balão está visível. Quando o usuário clica no botão OK, o procedimento especificado na propriedade Callback é executado.

With Assistant.NewBalloon
    .Heading = "Select A Printer"
    .Text = "You must select a printer before printing."
    .Icon = msoIconAlert
    .CheckBoxes(1).Text = "Local printer"
    .CheckBoxes(2).Text = "Network printer"
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With


Propriedade MouseTips

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

True se o Assistente do Office oferece sugestões para um uso mais eficaz do mouse. Boolean de leitura/gravação.

Comentários

A propriedade MouseTips corresponde à opção Uso mais eficiente do mouse sob Mostrar dicas sobre da guia Opções da caixa de diálogo Assistente do Office.

Exemplo

Este exemplo faz o Assistente do Office oferecer sugestões para um uso mais eficiente do mouse.

Assistant.MouseTips = True


Propriedade MoveWhenInTheWay

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

True se a janela do Assistente do Office é movida automaticamente quando está prejudicando a visualização da área de trabalho do usuário. Por exemplo, o Assistente será movido se estiver no caminho da operação de arrastar e soltar ou prejudicando entradas efetuadas por pressionamento de teclas. Boolean de leitura/gravação.

Comentários

O valor padrão é True. A propriedade MoveWhenInTheWay corresponde à opção Mover quando prejudicar visualização sob Usar o Assistente do Office na guia Opções da caixa de diálogo Assistente do Office.

Exemplo

Este exemplo exibe o Assistente do Office em um local específico e define várias opções antes de tornar o assistente visível e ativo.

With Assistant
    .On = True
    .Visible = True
    .Left = 400
    If Not MoveWhenInTheWay Then MoveWhenInTheWay = True
    .Animation = msoAnimationGetAttentionMajor
End With


Propriedade Name

Retorna ou define o nome do objeto especificado. String de leitura/gravação para os objetos CommandBar e DocumentProperty, String somente leitura para todos os outros objetos.

Comentários

O nome local de uma barra de comandos interna é exibido na barra de título (quando a barra de comandos não está ancorada) e na lista de barras de comandos disponíveis — onde quer que essa lista seja exibida no aplicativo recipiente.

Para uma barra de comandos interna, a propriedade Name retorna o nome da barra de comandos em inglês americano. Use a propriedade NameLocal para retornar o nome localizado.

Se você alterar o valor da propriedade LocalName de uma barra de comandos personalizada, o valor de Name também será alterado e vice-versa.

Exemplo

Este exemplo procura a barra de comandos chamada "Custom" na coleção de barras de comandos. Se essa barra de comandos for localizada, o exemplo a tornará visível.

foundFlag = False
For Each bar In CommandBars
    If bar.Name = "Custom" Then
        foundFlag = True
        bar.Visible = True
    End If
Next
If Not foundFlag Then
    MsgBox "'Custom' bar isn't in collection."
Else
    MsgBox "'Custom' bar is now visible."
End If

Este exemplo exibe o nome, tipo e valor de uma propriedade de documento. Você deve repassar um objeto DocumentProperty válido para o procedimento.

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "value = " & dp.Value & Chr(13) & _
        "type = " & dp.Type & Chr(13) & _
        "name = " & dp.Name
End Sub


Propriedade NameLocal

Retorna o nome de uma barra de comandos interna como exibido na versão de idioma do aplicativo recipiente, ou ainda retorna ou define o nome de uma barra de comandos personalizada. String de leitura/gravação.

Observação Se você tentar definir essa propriedade como uma barra de comandos interna, ocorrerá um erro.

Comentários

O nome local de uma barra de comandos interna é exibido na barra de título (quando a barra de comandos não está ancorada) e na lista de barras de comandos disponíveis, onde quer que essa lista seja exibida no aplicativo recipiente.

Se você alterar o valor da propriedade LocalName de uma barra de comandos personalizada, o valor de Name também será alterado e vice-versa.

Exemplo

Este exemplo exibe o nome e o nome localizado da primeira barra de comandos do aplicativo recipiente.

With CommandBars(1)
    MsgBox "The name of the command bar is " & .Name
    MsgBox "The localized name of the command bar is " & .NameLocal
End With


Propriedade NewBalloon

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Cria um novo balão do Assistente do Office. Retorna um objeto Balloon. Somente leitura.

Exemplo

Este exemplo cria um balão com um título, texto e três escolhas de região e, em seguida, o exibe.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select one or more regions"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With


Propriedade Object

Define ou retorna o objeto que é a base para o objeto COMAddIn especificado. Object de leitura/gravação.

Comentários

Essa propriedade é usada essencialmente para permitir a um COMAddIn comunicar-se com outro COMAddIn.

Exemplo

O exemplo a seguir retorna o objeto associado ao suplemento de COM msodraa9.ShapeSelect.

Dim objBaseObject As Object
Set objBaseObject = _
    Application.COMAddIns.Item("msodraa9.ShapeSelect"). _
      Object


Propriedade OLEMenuGroup

Retorna ou define o grupo de menus a que pertence o controle pop-up de barra de comandos especificado quando os grupos de menus do servidor OLE são mesclados com os grupos de menus de um cliente OLE (isto é, quando um objeto do tipo de aplicativo recipiente é incorporado em outro aplicativo). MsoOLEMenuGroup de leitura/gravação.

MsoOLEMenuGroup pode ser uma das seguintes constantes:
msoOLEMenuGroupContainer
msoOLEMenuGroupEdit
msoOLEMenuGroupFile
msoOLEMenuGroupHelp
msoOLEMenuGroupNone
msoOLEMenuGroupObject
msoOLEMenuGroupWindow

Observação Essa propriedade é somente leitura no caso de controles internos.

Comentários

Essa propriedade tem o objetivo de permitir que aplicativos de suplementos especifiquem como seus controles de barras de comandos serão representados no aplicativo do Office. Se nem o recipiente nem o servidor implementar barras de comandos, ocorrerá uma mesclagem normal de menus OLE: a barra de menus será mesclada, bem como todas as barras de ferramentas do servidor e nenhuma das barras de ferramentas do recipiente. Essa propriedade só é relevante para controles pop-up na barra de menus porque os menus são mesclados com base em sua categoria de grupo de menus.

Se os aplicativos que estão sendo mesclados implementarem barras de comandos, os controles de barra de comandos serão mesclados conforme a propriedade OLEUsage .

Exemplo

Este exemplo verifica a propriedade OLEMenuGroup de um novo controle pop-up personalizado na barra de comandos “Custom” e define a propriedade como msoOLEMenuGroupNone.

Set myControl = CommandBars("Custom").Controls _
    .Add(Type:=msoControlPopup,Temporary:=False)
myControl.OLEMenuGroup = msoOLEMenuGroupNone


Propriedade OLEUsage

Retorna ou define as atribuições de cliente OLE e servidor OLE em que um controle de barra de comandos será usado quando dois aplicativos do Microsoft Office forem mesclados. MsoControlOLEUsage de leitura/gravação.

MsoControlOLEUsage pode ser uma das seguintes constantes:
msoControlOLEUsageBoth
msoControlOLEUsageClient
msoControlOLEUsageNeither
msoControlOLEUsageServer

Comentários

Essa propriedade tem o objetivo de permitir que você especifique de que maneira os controles de barra de comandos dos aplicativos suplementares individuais serão representados em um aplicativo do Office quando este for mesclado com outro aplicativo do Office. Se o cliente e o servidor implementarem barras de comandos, os controles de barras de comandos serão incorporados no cliente, controle por controle. Os controles personalizados marcados como somente do cliente (ou nem do cliente nem do servidor) serão removidos do servidor e os controles marcados como somente do servidor (ou nem do servidor nem do cliente) serão removidos do cliente. Os controles restantes serão mesclados.

Se nenhum dos aplicativos que estão sendo mesclados for um aplicativo do Office, será usada uma mesclagem de menus OLE normal, que é controlada pela propriedade OLEMenuGroup .

Exemplo

Este exemplo adiciona um novo botão à barra de comandos chamada "Tools" e define sua propriedade OLEUsage.

Set myControl = CommandBars("Tools").Controls _
    .Add(Type:=msoControlButton,Temporary:=True)
myControl.OLEUsage = msoControlOLEUsageNeither


Propriedade On

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

True se o Assistente do Office estiver ativo. Boolean de leitura/gravação.

Exemplo

Este exemplo desativa o Assistente do Office, exibe uma caixa de mensagem que pergunta ao usuário se o assistente deve ser ativado e ativa o assistente se o usuário clicar em Sim. Se o usuário ativar o assistente, ele aparecerá e realizará a animação msoAnimationGreeting.

Assistant.On = False
If MsgBox("Enable Office Assistant?", _
    vbYesNo, "Assistant is Off") = vbYes Then
    Assistant.On = True
    Assistant.Visible = True
    Assistant.Animation = _
        msoAnimationGetAttentionMajor
End If


Propriedade OnAction

Retorna ou define o nome de um procedimento do Visual Basic que será executado quando o usuário clicar ou alterar o valor de um controle de barra de comandos. String de leitura/gravação.

Observação O aplicativo recipiente determina se o valor é um nome de macro válido.

Exemplo

Este exemplo adiciona um controle de barra de comandos à barra de comandos chamada "Custom" e define a macro chamada "MySub" para ser executada sempre que o botão for clicado.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls _
    .Add(Type:=msocontrolButton)
With myControl
    .FaceId = 2
    .OnAction = "MySub"
End With
myBar.Visible = True

Este exemplo adiciona um controle à barra de comandos "Custom". O suplemento COM chamado "FinanceAddIn" será executado toda vez que o controle clicado.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls _
    .Add(Type:=msocontrolButton)
With myControl
    .FaceId = 2
    .OnAction = "!<FinanceAddIn>"
End With
myBar.Visible = True


Propriedade Parameter

Retorna ou define uma seqüência de caracteres que um aplicativo pode usar para executar um comando. String de leitura/gravação.

Comentários

Se o parâmetro especificado for definido para um controle interno, o aplicativo poderá modificar seu comportamento padrão se puder analisar e usar o novo valor. Se o parâmetro for definido para controles personalizados, ele poderá ser usado para enviar informações aos procedimentos do Visual Basic ou poderá ser usado para guardar informações sobre o controle (semelhante a um segundo valor da propriedade Tag).

Exemplo

Este exemplo atribui um novo parâmetro a um controle e define o foco para o novo botão.

Set myControl = CommandBars("Custom").Controls(4)
With myControl
    .Copy , 1
    .Parameter = "2"
    .SetFocus
End With


Propriedade Parent

Retorna o objeto Parent do objeto especificado. Somente leitura.

Exemplo

Este exemplo exibe o nome do objeto pai de uma propriedade de documento. Você deve passar um objeto DocumentProperty válido para o procedimento.

Sub DisplayParent(dp as DocumentProperty)
    MsgBox dp.Parent.Name
End Sub


Propriedade Path

Retorna uma String indicando o caminho completo de um objeto ScopeFolder. Somente leitura.

expressão.Path

expressão Necessária. Uma expressão que retorna um objeto ScopeFolder.

Exemplo

O exemplo a seguir exibe o caminho raiz de cada diretório em Meu computador. Para recuperar essa informação, o exemplo usa primeiro o objeto ScopeFolder na raiz de Meu computador. O caminho desse ScopeFolder será sempre "*". Assim como em todos os objetos ScopeFolder, o objeto raiz contém uma coleção ScopeFolders. Este exemplo efetua um loop na coleção ScopeFolders e exibe o caminho de cada objeto ScopeFolder contido nele. Os caminhos desses objetos ScopeFolder serão "A:\", "C:\" etc.

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder collections in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "Path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Next ss
    End With
End Sub


Propriedade Picture

Retorna um objeto IPictureDisp representando a imagem de um objeto CommandBarButton.

expressão.Picture

expressão Necessária. Uma expressão que retorna um objeto CommandBarButton.

Comentários

Quando você altera a imagem de um botão, é necessário usar também a propriedade Mask para definir uma imagem de máscara. A imagem de máscara determina que partes da imagem do botão são transparentes. Defina sempre a máscara após ter definido a figura para um objeto CommandBarButton.

Observação As imagens para os botões Exibir aplicativo Microsoft e Inserir item na barra de ferramentas Padrão no Editor do Visual Basic não podem ser alteradas.

Exemplo

O exemplo a seguir define a imagem e máscara do primeiro CommandBarButton que o código retorna. Para executar esse trabalho, crie uma máscara e uma imagem de botão e substitua os caminhos do exemplo pelos caminhos de suas imagens.

Sub ChangeButtonImage()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    Set picPicture = stdole.StdFunctions.LoadPicture( _
        "c:\images\picture.bmp")
    Set picMask = stdole.StdFunctions.LoadPicture( _
        "c:\images\mask.bmp")

    'Reference the first button on the first command bar
    'using a With...End With block.
    With Application.CommandBars.FindControl(msoControlButton)
        'Change the button image.
        .Picture = picButton

        'Use the second image to define the area of the
        'button that should be transparent.
        .Mask = picMask
    End With
End Sub

O exemplo a seguir utiliza a imagem e máscara do primeiro CommandBarButton que o código retorna e efetua a saída de cada um para um arquivo. Para executar esse trabalho, especifique um caminho para os arquivos de saída.

Sub GetButtonImageAndMask()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    With Application.CommandBars.FindControl(msoControlButton)
        'Get the button image and mask of the this CommandBarButton object.
        Set picPicture = .Picture
        Set picMask = .Mask
    End With

    'Save the button image and mask in a folder.
    stdole.SavePicture picPicture, "c:\temp\image.bmp"
    stdole.SavePicture picMask, "c:\temp\mask.bmp"
End Sub


Propriedade Position

Retorna ou define a posição de uma barra de comandos. MsoBarPosition de leitura/gravação.

MsoBarPosition pode ser uma das seguintes constantes:
msoBarBottom
msoBarFloating
msoBarLeft
msoBarMenuBar
msoBarPopup
msoBarRight
msoBarTop

Exemplo

Este exemplo percorre a coleção de barras de comandos, ancorando as barras de comandos personalizadas na parte inferior da janela do aplicativo e ancorando as barras de comandos internas na parte superior da janela.

For Each bar In CommandBars
    If bar.Visible = True Then
        If bar.BuiltIn Then
            bar.Position = msoBarTop
         Else
            bar.Position = msoBarBottom
        End If
    End If
Next


Propriedade Priority

Retorna ou define a prioridade de um controle de barra de comandos. Uma prioridade de controle determina se, no caso dos controles de uma barra de comandos não caberem em uma única linha, o controle poderá ser removido de uma barra de comandos ancorada. Long de leitura/gravação.

Comentários

Os números de prioridade válidos vão de 0 (zero) a 7. A prioridade 1 significa que o controle não pode ser excluído de uma barra de ferramentas. Outros valores de prioridade são ignorados.

A propriedade Priority não é usada por controles da barra de comandos que são itens de menus.

Exemplo

Este exemplo demonstra como mover um controle e atribuir a ele a prioridade 5; desse modo, ele provavelmente será removido da barra de comandos, no caso de não caberem todos os controles em uma única linha.

Set allcontrols = CommandBars("Custom").Controls
For Each ctrl In allControls
    If ctrl.Type = msoControlComboBox Then
        With ctrl
            .Move Before:=7
            .Tag = "Selection box"
            .Priority = 5
        End With
    Exit For
End If
Next


Propriedade Private

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Retorna ou define um inteiro que identifica o balão do Assistente do Office que iniciou o procedimento de retorno de chamada. Long de leitura/gravação.

Comentários

Essa propriedade é útil se você executa o mesmo procedimento de retorno de chamada a partir de mais de um balão.

Exemplo

Este exemplo identifica o balão do Assistente do Office definindo a propriedade Private como 129.

Set printerOrientation = Assistant.NewBalloon
With printerOrientation     .Heading = " Print portrait or landscape?"
     .Text = "Click OK when you've selected the " & _
        "printer orientation."
    .Labels(1).Text = "Portrait"
    .Labels(2).Text = "Landscape"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Button = msoButtonSetOK
    .Private = 129
    .Callback = "PortraitOrLandscape "
    .Show
End With


Propriedade ProgId

Retorna o identificador programático (ProgID) do objeto COMAddIn especificado. String somente leitura.

Exemplo

O exemplo a seguir exibe o ProgID e o GUID do suplemento COM um em uma caixa de mensagem.

MsgBox "My ProgID is " & _
    Application.COMAddIns(1).ProgID & _
    " and my GUID is " & _
    Application.COMAddIns(1).Guid


Propriedade PropertyTests

Retorna a coleção PropertyTests representando todos os critérios de pesquisa de uma pesquisa de arquivos. Somente leitura.

Para obter informações sobre como retornar um único membro de uma coleção, consulte Retornando um objeto de uma coleção.

Exemplo

Este exemplo exibe todos os critérios de pesquisa do primeiro teste de propriedade da coleção.

With Application.FileSearch.PropertyTests(1)
myString = "This is the search criteria: " _
    & " The name is: " & .Name & ". The condition is: " _
    & .Condition
If .Value <> "" Then
    myString = myString & ". The value is: " & .Value
    If .SecondValue <> "" Then
        myString = myString _
            & ". The second value is: " _
            & .SecondValue & ", and the connector is" _
            & .Connector
    End If
End If
MsgBox myString
End With


Propriedade ProportionalFont

Define ou retorna a definição de fonte proporcional no aplicativo host. String de leitura/gravação.

Comentários

Quando você define a propriedade ProportionalFont, o aplicativo host não verifica se o valor é válido.

Exemplo

Este exemplo define a fonte proporcional e o tamanho da fonte proporcional do conjunto de caracteres de inglês/idiomas da Europa ocidental/outros scripts latinos no aplicativo ativo.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFont = "Tahoma"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFontSize = 14.5


Propriedade ProportionalFontSize

Define ou retorna a definição de tamanho da fonte proporcional no aplicativo host, em pontos. Single de leitura/gravação.

Comentários

Quando você define a propriedade ProportionalFontSize, o aplicativo host não verifica se o valor é válido. Se for inserido um valor inválido, como um caractere que não seja um número, o aplicativo host definirá o tamanho como 0 pontos. É possível inserir tamanhos fracionários; se você inserir outros tamanhos de pontos fracionários, eles serão arredondados para o meio ponto mais próximo.

Exemplo

Este exemplo define a fonte proporcional e o tamanho da fonte proporcional do conjunto de caracteres de inglês/idiomas da Europa ocidental/outros scripts latinos no aplicativo ativo.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFont = "Tahoma"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFontSize = 14.5


Propriedade Protection

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Retorna ou define o modo como uma barra de comandos é protegida contra personalização realizada pelo usuário. MsoBarProtection de leitura/gravação.

MsoBarProtection pode ser uma das seguintes constantes:
msoBarNoChangeDock
msoBarNoChangeVisible
msoBarNoCustomize
msoBarNoHorizontalDock
msoBarNoMove
msoBarNoProtection
msoBarNoResize
msoBarNoVerticalDock

Comentários

O uso da constante msoBarNoCustomize impede os usuários de acessarem o menu Adicionar ou remover botões (esse menu permite que os usuários personalizem uma barra de ferramentas).

Exemplo

Este exemplo percorre a coleção de barras de comandos até localizar a barra de comandos chamada "Forms". Se essa barra de comandos for encontrada, o exemplo a tornará visível e protegerá seu estado de ancoragem.

foundFlag = False
For i = 1 To CommandBars.Count
    If CommandBars(i).Name = "Forms" Then
            CommandBars(i).Protection = msoBarNoChangeDock
            CommandBars(i).Visible = True
            foundFlag = True
    End If
Next
If Not foundFlag Then
    MsgBox "'Forms' command bar is not in the collection."
End If


Propriedade Reduced

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

True se a janela do Assistente do Office aparece em seu tamanho menor. Boolean de leitura/gravação.

Comentários

Essa propriedade não é usada no Microsoft Office.

Exemplo

Este exemplo exibe o Assistente do Office em um local específico e define várias opções antes de tornar o assistente visível.

With Assistant
    .Reduced = True
    .Left = 400
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Visible = True
    .Animation = msoAnimationGreeting
End With


Propriedade RowCount

Retorna um Long que representa o número de registros na fonte de dados especificada. Somente leitura.

expressão.RowCount

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

Este exemplo adiciona um novo filtro que remove todos os registros com um campo Region e depois aplica o filtro à publicação ativa.

Sub OfficeFilters()
    Dim appOffice As OfficeDataSourceObject
    Dim appFilters As ODSOFilters

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    Set appFilters = appOffice.Filters

    MsgBox appOffice.RowCount

    appFilters.Add Column:="Region", Comparison:=msoFilterComparisonEqual, _
        Conjunction:=msoFilterConjunctionAnd, bstrCompareTo:="WA"
    appOffice.ApplyFilter

    MsgBox appOffice.RowCount

End Sub


Propriedade RowIndex

Retorna ou define a ordem de ancoragem de uma barra de comandos em relação a outras barras de comandos na mesma área de ancoragem. Pode ser um número inteiro maior que zero ou uma das seguintes constantes MsoBarRow: msoBarRowFirst ou msoBarRowLast. Long de leitura/gravação.

Comentários

Várias barras de comandos podem compartilhar o mesmo índice de linha, e barras de comandos com números menores são ancoradas primeiro. Se duas ou mais barras de comandos compartilharem o mesmo índice de linha, a barra de comandos atribuída mais recentemente será exibida primeiro em seu grupo.

Exemplo

Este exemplo ajusta a posição da barra de comandos chamada "Custom", movendo-a para a esquerda 110 pixels mais que o padrão, e torna essa barra de comandos a primeira a ser ancorada, alterando seu índice de linha para msoBarRowFirst.

Set myBar = CommandBars("Custom")
With myBar
    .RowIndex = msoBarRowFirst
    .Left = 140
End With


Propriedade ScopeFolder

Retorna um objeto ScopeFolder.

expressão.ScopeFolder

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

O exemplo a seguir exibe o caminho raiz de cada diretório em Meu computador. Para recuperar essa informação, o exemplo usa primeiro o objeto ScopeFolder na raiz de Meu computador. O caminho desse ScopeFolder será sempre "*". Assim como em todos os objetos ScopeFolder, o objeto raiz contém uma coleção ScopeFolders. Este exemplo efetua um loop na coleção ScopeFolders e exibe o caminho de cada objeto ScopeFolder contido nele. Os caminhos desses objetos ScopeFolder serão "A:\", "C:\" etc.

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder object in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "Path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Next ss
    End With
End Sub


Propriedade ScopeFolders

Retorna uma coleção ScopeFolders. Os itens desta coleção correspondem a subpastas do objeto ScopeFolder pai.

expressão.ScopeFolders

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

O exemplo a seguir exibe o caminho raiz de cada diretório em Meu computador. Para recuperar essa informação, o exemplo usa primeiro o objeto ScopeFolder na raiz de Meu computador. O caminho desse ScopeFolder será sempre "*". Assim como em todos os objetos ScopeFolder, o objeto raiz contém uma coleção ScopeFolders. Este exemplo efetua um loop na coleção ScopeFolders e exibe o caminho de cada objeto ScopeFolder contido nele. Os caminhos desses objetos ScopeFolder serão "A:\", "C:\" etc.

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder object in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "Path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Nextb ss
    End With
End Sub


Propriedade ScriptText

Define ou retorna o texto contido em um bloco de script. String de leitura/gravação.

Comentários

O aplicativo host do Microsoft Office não verifica a sintaxe do script. A propriedade ScriptText é a propriedade padrão do objeto Script.

Exemplo

Este exemplo define o texto do primeiro script da planilha um da pasta de trabalho ativa.

ActiveWorkbook.Worksheets(1).Scripts(1).ScriptText = _
    "MsgBox ""New ScriptText"""


Propriedade SearchFolders

Retorna uma coleção SearchFolders.

expressão.SearchFolders

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

O exemplo a seguir exibe o número atual de objetos ScopeFolder na coleção SearchFolders. Consulte o tópico da coleção SearchFolders para obter um exemplo mais detalhado.

MsgBox "Number of ScopeFolder objects in the SearchFolders collection: " & _
    Application.FileSearch.SearchFolders.Count


Propriedade SearchScopes

Retorna uma coleção SearchScopes.

expressão.SearchScopes

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

O exemplo a seguir exibe todos os objetos SearchScope disponíveis no momento na coleção SearchScopes.

Sub DisplayAvailableScopes()

    'Declare a variable that references a
    'SearchScope object.
    Dim ss As SearchScope

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer
                    MsgBox "My Computer is an available search scope."
                Case msoSearchInMyNetworkPlaces
                    MsgBox "My Network Places is an available search scope."
                Case msoSearchInOutlook
                    MsgBox "Outlook is an available search scope."
                Case msoSearchInCustom
                    MsgBox "A custom search scope is available."
                Case Else
                    MsgBox "Can't determine search scope."
            End Select
        Next ss
    End With
End Sub


Propriedade SearchSubFolders

True se a pesquisa incluir todas as subpastas da pasta especificada pela propriedade LookIn. Boolean de leitura/gravação.

Exemplo

Este exemplo pesquisa na pasta My Documents e em todas as suas subpastas todos os arquivos cujos nomes comecem com "Cmd". O exemplo também exibe o nome e o local de cada arquivo encontrado.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .FileName = "cmd*"
    If .Execute() > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
         " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Propriedade SearchWhenProgramming

Some of the content in this topic may not be applicable to some languages.

True se o Assistente do Office exibir a Ajuda do aplicativo e de programação enquanto o usuário estiver trabalhando no Visual Basic. Boolean de leitura/gravação.

Comentários

O valor padrão é False. A propriedade SearchWhenProgramming corresponde à opção Pesquisar a Ajuda de produto e programação ao programar, que aparece na seção Usar o Assistente do Office na guia Opções da caixa de diálogo Assistente do Office.

Exemplo

Este exemplo permite que você pesquise tanto a ajuda do aplicativo quanto a ajuda de programação enquanto está trabalhando no Visual Basic.

Assistant.SearchWhenProgramming = True


Propriedade SecondValue

Retorna um teste de propriedade de segundo valor opcional (como em um intervalo) para a pesquisa de arquivo especificada. Variant somente leitura.

Comentários

Essa propriedade deve ser usada para especificar um intervalo, e só pode ser utilizada com a constante MsoCondition msoConditionAnyTimeBetween ou msoConditionAnyNumberBetween.

Exemplo

Este exemplo exibe o segundo valor do critério de pesquisa (se existir) em uma caixa de diálogo. Se o segundo valor não existir, o exemplo exibirá outra mensagem.

With Application.FileSearch.PropertyTests(1)
If .SecondValue = "" Then
   MsgBox "You haven't specified a second value."
Else
    MsgBox "The second value you've set is: " _
    & .SecondValue
End If
End With


Propriedade SelectedItem

Retorna uma coleção FileDialogSelectedItems. Essa coleção contém uma lista de caminhos dos arquivos que um usuário selecionou a partir de uma caixa de diálogo exibida por meio do método Show do objeto FileDialog.

expressão.SelectedItems

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

O exemplo a seguir exibe uma caixa de diálogo genérica de seleção de arquivos usando o objeto FileDialog e exibe cada arquivo selecionado em uma caixa de mensagem.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Allow the user to select multiple files.
        .AllowMultiSelect = True

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then
            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Propriedade Shape

Retorna um objeto Shape ou InlineShape, dependendo do aplicativo host do Microsoft Office. Object somente leitura.

Comentários

A propriedade Shape retornará um objeto Shape no Microsoft Excel e no PowerPoint. No Word, a propriedade Shape retornará um objeto Shape se a âncora de script estiver flutuando; no entanto, se for uma âncora entre linhas, essa propriedade retornará um objeto InlineShape.

Exemplo

Este exemplo obtém a forma associada ao primeiro script na coleção Scripts e a exclui da planilha um da pasta de trabalho ativa.

Dim objScriptShape As Object

Set objScriptShape = _
    ActiveWorkbook.Worksheets(1).Scripts(1).Shape
ObjScriptShape.Delete


Propriedade ShortcutText

Retorna ou define o texto da tecla de atalho exibido ao lado de um controle de botão quando esse botão aparece em um menu, submenu ou menu de atalho. String de leitura/gravação.

Comentários

Você só pode definir essa propriedade para botões de barra de comandos que contêm uma macro OnAction.

Exemplo

Este exemplo exibe o texto de atalho para o comando Abrir (menu Arquivo) na barra de menus de planilha do Microsoft Excel em uma caixa de mensagem.

MsgBox (CommandBars("Worksheet Menu Bar"). _
    Controls("File").Controls("New...).ShortcutText)


Propriedade SignDate

Retorna uma Variant representando a data e hora em que o certificado digital correspondente ao objeto Signature foi anexado ao documento. Somente leitura.

expressão.SignDate

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

O exemplo a seguir solicita ao usuário para selecionar uma assinatura digital para assinar o documento ativo no Microsoft Word. Para usar este exemplo, abra um documento no Word e chame essa função. A função verifica se a assinatura digital selecionada pelo usuário selecionou não irá expirar em menos de 12 meses. Se isso acontecer, o certificado não será anexado.

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Propriedade Signer

Retorna uma String representando o nome da pessoa que anexou o certificado digital que corresponde ao objeto Signature ao documento. Somente leitura.

expressão.Signer

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

O exemplo a seguir solicita ao usuário para selecionar uma assinatura digital com a qual assinar o documento ativo no Microsoft Word. Para usar este exemplo, abra um documento no Word e passe para essa função o nome de um emissor de certificado e o nome de um signatário de certificado que correspondam aos campos Emitido por e Emitido para de um certificado digital na caixa de diálogo Certificados digitais. Este exemplo será testado para se verificar se a assinatura digital selecionada pelo usuário atende a determinados critérios, como não ter expirado, antes que a nova assinatura seja confirmada no disco.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Propriedade Sounds

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

True se o Assistente do Office produz os sons correspondentes às animações. Boolean de leitura/gravação.

Comentários

O valor padrão é True. A propriedade Sounds corresponde à opção Emitir Sons sob Usar o Assistente do Office na guia Opções na caixa de diálogo Assistente do Office. Se não houver uma placa de som instalada, esta propriedade não terá efeito.

Exemplo

Este exemplo exibe o Assistente do Office, anima-o e produz som.

With Assistant
    .Visible = True
    .On = True
    If Not Sounds Then Sounds = True
    .Animation = msoAnimationGreeting
End With


Propriedade State

Propriedade State como ela se aplica ao objeto CommandBarButton

Retorna ou define a aparência de um controle de botão de barra de comandos. MsoButtonState somente leitura.

MsoButtonState pode ser uma das seguintes constantes:
msoButtonDown
msoButtonMixed
msoButtonUp

expressão.State

expressão Necessária. Uma expressão que retorna um objeto CommandBarButton.

Propriedade State como ela se aplica ao objeto HTMLProject

Retorna o estado atual de um objeto HTMLProject. MsoHTMLProjectState somente leitura.

MsoHTMLProjectState pode ser uma das seguintes constantes:
msoHTMLProjectStateDocumentLocked
msoHTMLProjectStateDocumentProjectUnlocked
msoHTMLProjectStateProjectLocked

expressão.State

expressão Necessária. Uma expressão que retorna um objeto HTMLProject.

Exemplo

Como ela se aplica ao objeto CommandBarButton

Este exemplo cria uma barra de comandos chamada Custom e adiciona dois botões vazios a ela. O exemplo define o botão à esquerda como msoButtonUp e define o botão à direita como msoButtonDown.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=1
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
Set myControl1 = CommandBars("Custom").Controls(1)
myControl1.State = msoButtonUp
Set myControl2 = CommandBars("Custom").Controls(2)
myControl2.State = msoButtonDown


Propriedade Style

Aplicação da propriedade Style ao objeto CommandBarButton

Retorna ou define o modo como um controle de botão de barra de comandos é exibido. MsoButtonStyle de leitura/gravação.

MsoButtonStyle pode ser uma das seguintes constantes:
msoButtonAutomatic
msoButtonCaption
msoButtonIcon
msoButtonIconAndCaption
msoButtonIconAndCaptionBelow
msoButtonIconAndWrapCaption
msoButtonIconAndWrapCaptionBelow
msoButtonWrapCaption

Aplicação da propriedade Style ao objeto CommandBarComboBox

Retorna ou define o modo como um controle caixa de combinação é exibido. Pode ser uma das seguintes constantes MsoComboStyle: msoComboLabel ou msoComboNormal. MsoComboStyle de leitura/gravação.

MsoComboStyle pode ser uma das seguintes constantes:
msoComboLabel
msoComboNormal

Exemplo

Este exemplo cria um menu de atalho contendo um controle de botão e um controle de caixa de combinação e define o estilo de cada um.

Set myBar = CommandBars _
    .Add(Name:="Custom1", Position:=msoBarPopup, Temporary:=False)
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls(1).Style = msoButtonCaption
    .Controls.Add Type:=msoControlComboBox
    With .Controls(2)
        .Style = msoComboLabel
        .AddItem "vanilla"
        .AddItem "chocolate"
        .AddItem "cookie dough"
    End With
End With
myBar.ShowPopup


Propriedade Table

Retorna uma String que representa o nome da tabela no arquivo de fonte de dados que contém os registros de mala direta. O valor retornado pode estar em branco se o nome da tabela for desconhecido ou não se aplicar à fonte de dados atual. Somente leitura.

expressão.Table

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

Este exemplo define o nome da tabela se ele estiver em branco no momento

Sub OfficeTest()

    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    If appOffice.Table = "" Then
        appOffice.Table = "Employees"
    End If

End Sub


Propriedade Tag

Retorna ou define informações sobre o controle de barra de comandos, tais como dados que podem ser usados como argumentos em procedimentos ou informações que identifiquem o controle. String de leitura/gravação.

expressão.Tag

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Comentários

Para evitar chamadas duplicadas da mesma classe quando associadas a eventos, defina a propriedade Tag como exclusiva para eventos. O exemplo a seguir demonstra esse conceito com dois módulos.

Public WithEvents oBtn As CommandBarButton

Private Sub oBtn_click(ByVal ctrl As Office.CommandBarButton, CancelDefault As Boolean)
    MsgBox "Clicked " & ctrl.Caption

End Sub

Dim oBtns As New Collection

Sub Use_Tag()

    Dim oEvt As CBtnEvent
    Set oBtns = Nothing

    For i = 1 To 5
        Set oEvt = New CBtnEvent
        Set oEvt.oBtn = Application.CommandBars("Worksheet Menu Bar").Controls.Add(msoControlButton)
        With oEvt.oBtn
            .Caption = "Btn" & i
            .Style = msoButtonCaption
            .Tag = "Hello" & i
        End With
        oBtns.Add oEvt
    Next

End Sub

Exemplo

Este exemplo define a marca para o botão na barra de comandos personalizada como "Spelling Button" e exibe a marca na caixa de mensagem.

CommandBars("Custom").Controls(1).Tag = "Spelling Button"
MsgBox (CommandBars("Custom").Controls(1).Tag)


Propriedade Text

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Objeto BalloonLabel ou BalloonCheckbox: retorna ou define o texto exibido próximo a uma caixa de seleção ou rótulo, no balão do Assistente do Office. String leitura/gravação.

Objeto Balloon: retorna ou define o texto exibido após o cabeçalho, mas anterior aos rótulos e caixas de verificação, no balão do Assistente do Office. String leitura/gravação.

Objeto CommandBarComboBox: retorna ou define o texto na porção de exibição e edição da barra de comando controle de caixa de combinação. String leitura/gravação.

Objeto HTMLProjectItem: retorna ou define o texto HTML no editor HTML. String leitura/gravação.

expressão.Text

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Comentários

Para os objetos Balloon, BalloonLabel e BalloonCheckbox, você pode especificar que um determinado gráfico seja exibido usando a seguinte sintaxe: {type location sizing_factor}, onde type é bmp (bitmap) ou wmf (metarquivo do Windows); location é o ID de recurso ou o caminho e nome do arquivo; e sizing_factor indica a largura do arquivo .wmf (sizing_factor é omitido nos arquivos .bmp).

O objeto Balloon também suporta textos sublinhados e textos que tenham aplicadas uma das 16 cores de paleta de sistema. Para exibir um texto sublinhado, use a sintaxe {ul} ou {ul 1}; use {ul 0} para desativar o sublinhado. Para alterar a cor do texto, preceda o texto com a seqüência de caracteres {cf number}, onde number é um dos números das cores do sistema listadas na tabela a seguir.

Número de cor do sistema | Cor
0 | Preto
1 | Vermelho escuro
2 | Verde escuro
3 | Amarelo escuro
4 | Azul escuro
5 | Magenta escuro
6 | Ciano escuro
7 | Cinza claro
248 | Cinza médio
249 | Vermelho
250 | Verde
251 | Amarelo
252 | Azul
253 | Magenta
254 | Ciano
255 | Branco

Se você especificar um outro número, que não represente nenhuma cor do sistema, o texto no balão do Assistente do Office será preto.

Exemplo

Este exemplo cria uma nova barra de comando chamada "Custom" e adiciona a ela uma caixa de combinação que contém quatro itens de lista. O exemplo, então, usa a propriedade Text para definir Item 3 como o item de lista padrão.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
Set testComboBox = CommandBars("Custom").Controls(1)
With testComboBox
    .AddItem "Item 1", 1
    .AddItem "Item 2", 2
    .AddItem "Item 3", 3
    .AddItem "Item 4", 4
    .Text = "Item 3"
End With

Este exemplo cria um novo balão do Assistente do Office com um título, texto e três opções de região. O exemplo usa a propriedade Text para fornecer ao usuário instruções relacionadas ao balão e um rótulo para cada caixa de texto.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With

Este exemplo cria um novo balão do Assistente do Office que contém texto de cabeçalho sublinhado, texto em vermelho e texto em azul, que também estejam sublinhados.

With Assistant.NewBalloon
    .Heading = "Underlined {ul 1}Heading{ul 0}"
    .Text = "Some {cf 249}Red{cf 0} text and some " & _
    "underlined {cf 252}{ul 1}Blue{ul 0}{cf 0} text."
    .Show
End With

Este exemplo cria um novo balão do Assistente do Office que contém um metarquivo do Windows.

With Assistant.NewBalloon
    .Heading = "Underlined {ul 1}Heading{ul 0}"
    .Text ="{WMF ""C:\Favorites\MyPicture.WMF""}"
    .Show
End With


Propriedade TextOrProperty

Retorna ou define a palavra ou frase a ser pesquisada, seja no corpo de um arquivo ou nas propriedades do arquivo, durante a pesquisa de arquivos especificada. A palavra ou frase pode incluir o caractere curinga * (asterisco) ou ? (ponto de interrogação). String de leitura/gravação.

Comentários

Use o caractere curinga ponto de interrogação para fazer coincidir qualquer único caractere. Por exemplo, digite ?ato para localizar todos os arquivos que contenham pelo menos uma instância de "gato" ou "pato".

Use o caractere curinga asterisco para fazer coincidir qualquer número de caracteres. Por exemplo, digite San* para retornar todos os arquivos que contenham pelo menos uma palavra que comece com "San".

Exemplo

Este exemplo pesquisa na pasta C:\My Documents e em todas as suas subpastas e retorna todos os arquivos cujo corpo de texto ou propriedades de arquivo tenham quaisquer palavras que comecem com "San". A propriedade TextOrProperty define a palavra a ser pesquisada e limita a pesquisa ao corpo do arquivo ou às propriedades do arquivo.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .TextOrProperty = "San*"
    .FileType = msoFileTypeAllFiles
End With


Propriedade TipOfDay

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

True se o Assistente do Office exibe uma dica especial toda vez que o aplicativo do Office é aberto. Boolean de leitura/gravação.

Comentários

O valor padrão é False. A propriedade TipOfDay corresponde à opção Mostrar Dica do dia ao inicializar sob Mostrar dicas sobre na guia Opções da caixa de diálogo Assistente do Office.

Exemplo

Este exemplo exibe o Assistente do Office em um local específico e define várias opções antes de tornar o assistente visível.

With Assistant
    .On = True
    .Visible = True
    .Left = 400
    .MoveWhenInTheWay = True
    If Not TipOfDay Then TipOfDay = True
    .Animation = msoAnimationGreeting
End With


Propriedade Title

Define ou retorna o título de uma caixa de diálogo de arquivo exibida por meio do objeto FileDialog. String de leitura/gravação.

expressão.Title

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

O exemplo a seguir exibe uma caixa de diálogo genérica de seleção de arquivos usando o objeto FileDialog e exibe cada arquivo selecionado em uma caixa de mensagem.

Sub main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Change the title of the dialog
        .Title = "Archive"

        'Use the Show method to display the file picker dialog and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Propriedade TooltipText

Retorna ou define o texto exibido na dica de tela do controle de barra de comandos especificado. String de leitura/gravação.

Comentários

Por padrão, o valor da propriedade Caption é usado como dica de tela.

Exemplo

Este exemplo adiciona uma dica de tela ao último controle da barra de menus ativa.

Set myMenuBar = CommandBars.ActiveMenuBar
Set lastCtrl = myMenuBar _
   .Controls(myMenuBar.Controls.Count)
lastCtrl.BeginGroup = True
lastCtrl.TooltipText = "Click for help on UI feature"


Propriedade Top

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Propriedade Top como ela se aplica aos objetos Assistant e CommandBar

Define ou retorna a distância (em pontos) da parte superior do Assistente do Office, ou da borda superior da barra de comandos especificada, até a borda superior da tela. Para barras de comandos encaixadas, essa propriedade retorna ou define a distância da barra de comandos até a borda superior da área de encaixe. Long de leitura/gravação.

expressão.Top

expressão Necessária. Uma expressão que retorna um dos objetos acima.

Propriedade Top como ela se aplica aos objetos CommandBarButton, CommandBarComboBox, CommandBarControl e CommandBarPopup

Retorna a distância (em pixels) da borda superior do controle de barra de comandos especificado até a borda superior da tela. Long somente leitura.

expressão.Top

expressão Necessária. Uma expressão que retorna um dos objetos acima.

Exemplo

Como ela se aplica aos objetos Assistant e CommandBar

Este exemplo move o Assistente do Office para uma outra coordenada e define sua propriedade Top para aparências subseqüentes.

With Assistant
    .On = True
    .Visible = True
    .Sounds = True
    .Animation = msoAnimationBeginSpeaking
End With
Assistant.Top = 100
MsgBox "Click OK to move the Assistant to a " & _
         "new location."
Assistant.Top = 500

Este exemplo posiciona o canto superior esquerdo da barra de comandos flutuante chamada Custom a 140 pixels da borda esquerda da tela e a 100 pixels da borda superior da tela.

Set myBar = CommandBars("Custom")
myBar.Position = msoBarFloating
With myBar
    .Left = 140
    .Top = 100
End With


Propriedade Type

Propriedade Type como ela se aplica ao objeto CommandBar

Retorna o tipo de barra de comandos. MsoBarType somente leitura.

MsoBarType pode ser uma das seguintes constantes:
msoBarTypeMenuBar
msoBarTypeNormal
msoBarTypePopup

expression.Type

expressão Necessária. Uma expressão que retorna um objeto CommandBar.

Propriedade Type como ela se aplica aos objetos CommandBarButton, CommandBarComboBox, CommandBarControl e CommandBarPopup

Retorna o tipo de controle de barra de comandos. MsoControlType somente leitura.

MsoControlType pode ser uma das seguintes constantes:
msoControlActiveX
msoControlAutoCompleteCombo
msoControlButton
msoControlButtonDropdown
msoControlButtonPopup
msoControlComboBox
msoControlCustom
msoControlDropdown
msoControlEdit
msoControlExpandingGrid
msoControlGauge
msoControlGenericDropdown
msoControlGraphicCombo
msoControlGraphicDropdown
msoControlGraphicPopup
msoControlGrid
msoControlLabel
msoControlLabelEx
msoControlOCXDropdown
msoControlPane
msoControlPopup
msoControlSpinner
msoControlSplitButtonMRUPopup
msoControlSplitButtonPopup
msoControlSplitDropdown
msoControlSplitExpandingGrid
msoControlWorkPane

expressão.Type

expressão Necessária. Uma expressão que retorna um dos objetos acima.

Propriedade Type como ela se aplica ao objeto SearchScope

Retorna um valor que corresponde ao tipo de objeto SearchScope. O tipo indica a área na qual o método Execute do objeto FileSearch irá pesquisar arquivos. String somente leitura.

MsoSearchIn pode ser uma das seguintes constantes:
msoSearchInCustom
msoSearchInMyComputer
msoSearchInMyNetworkPlaces
msoSearchInOutlook

expressão.Type

expressão Necessária. Uma expressão que retorna um objeto SearchScope.

Propriedade Type como ela se aplica ao objeto DocumentProperty

Retorna ou define o tipo de propriedade de documento. Somente leitura para propriedades de documento internas; de leitura/gravação para propriedades de documentos personalizadas.

expressão.Type

expressão Necessária. Uma expressão que retorne um objeto DocumentProperty.

Comentários

O valor de retorno será uma constante MsoDocProperties.

MsoDocProperties pode ser uma das seguintes constantes:
msoPropertyTypeBoolean
msoPropertyTypeDate
msoPropertyTypeFloat
msoPropertyTypeNumber
msoPropertyTypeString

Exemplo

Como ela se aplica ao objeto CommandBar

Este exemplo localiza o primeiro controle na barra de comandos chamada Custom. Usando a propriedade Type, o exemplo determina se o controle é um botão. Se o controle for um botão, o exemplo copia a face do botão Copy (na barra de ferramentas Standard) e, em seguida, cola-o no controle.

Set oldCtrl = CommandBars("Custom").Controls(1)
If oldCtrl.Type = msoControlButton Then
    Set newCtrl = CommandBars.FindControl(Type:= _
        MsoControlButton, ID:= _
        CommandBars("Standard").Controls("Copy").ID)
    NewCtrl.CopyFace
    OldCtrl.PasteFace
End If

Como ela se aplica ao objeto DocumentProperty

Este exemplo exibe o nome, tipo e valor de uma propriedade de documento. Você precisa passar um objeto DocumentProperty válido para o procedimento.

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "value = " & dp.Value & Chr(13) & _
        "type = " & dp.Type & Chr(13) & _
        "name = " & dp.Name
End Sub


Propriedade Value

Propriedade Value como ela se aplica ao objeto DocumentProperty

Retorna ou define o valor de uma propriedade de documento. Variant de leitura/gravação.

expressão.Value

expressão Necessária. Uma expressão que retorne um objeto DocumentProperty.

Comentários

Se o aplicativo recipiente não definir um valor para uma das propriedades internas de documento, a leitura da propriedade Value para essa propriedade de documento causará um erro.

Propriedade Value como ela se aplica ao objeto PropertyTest

Retorna o valor de um teste de propriedade para uma pesquisa de arquivo. Variant somente leitura.

expressão.Value

expressão Necessária. Uma expressão que retorne um objeto PropertyTest.

Exemplo

Como ela se aplica ao objeto DocumentProperty

Este exemplo exibe o nome, tipo e valor de uma propriedade de documento. Para que o exemplo funcione, dp precisa ser um objeto DocumentProperty válido.

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "value = " & dp.Value & Chr(13) & _
        "type = " & dp.Type & Chr(13) & _
        "name = " & dp.Name
End Sub

Como ela se aplica ao objeto PropertyTest

Este exemplo exibe o valor dos critérios de pesquisa (se existir) em uma caixa de mensagem. Se o segundo valor não existir, o exemplo exibirá outra mensagem.

With Application.FileSearch.PropertyTests(1)
    If .Value = "" Then
       MsgBox "You haven't specified a value."
    Else
        MsgBox "The value you've set is: " _
            & .Value
    End If
End With


Propriedade Visible

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

True se o objeto estiver visível. Boolean de leitura/gravação.

expressão.Visible

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Comentários

A propriedade Visible de barras de comandos personalizadas recém-criadas é False por padrão.

A propriedade Enabled de uma barra de comandos precisar estar definida como True antes que a propriedade Visible seja definida como True.

Exemplo

Este exemplo percorre a coleção de barras de comando para localizar a barra de comando Forms. Se a barra de comando Forms for localizada, o exemplo a tornará visível e protegerá seu estado de ancoragem.

foundFlag = False
For Each cmdbar In CommandBars
    If cmdbar.Name = "Forms" Then
        cmdbar.Protection = msoBarNoChangeDock
        cmdbar.Visible = True
        foundFlag = True
    End If
Next
If Not foundFlag Then
    MsgBox "'Forms'command bar is not in the collection."
End If

Este exemplo torna visível o Assistente do Office e define sua animação.

With Application.Assistant
    .Visible = True
    .Sounds = True
    .Animation = msoAnimationBeginSpeaking
End With


Propriedade Width

Retorna ou define a largura (em pixels) da barra de comandos ou do controle de barra de comandos especificado. Integer de leitura/gravação.

expressão.Width

expressão Necessária. Uma expressão que retorna um dos objetos da lista Aplica-se a.

Exemplo

Este exemplo adiciona um controle personalizado à barra de comandos chamado Custom. O exemplo define a altura do controle personalizado como duas vezes a altura da barra de comandos e define sua largura como 50 pixels. Note como a barra de comandos é automaticamente redimensionada para acomodar o controle.

Set myBar = CommandBars("Custom")
barHeight = myBar.Height
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    Id:= CommandBars("Standard").Controls("Save").Id, _
     Temporary:=True)
With myControl
    .Height = barHeight * 2
    .Width = 50
End With
myBar.Visible = True


Evento Change

Ocorre quando o usuário final altera a seleção em uma caixa de combinação na barra de comandos.

Private Sub CommandBarComboBox_Change

(ByVal Ctrl As CommandBarComboBox)

Comentários

O evento Change é reconhecido pelo objeto CommandBarComboBox. Para retornar o evento Change para um determinado controle CommandBarComboBox, use a palavra-chave WithEvents para declarar uma variável e defina a variável para o controle CommandBarComboBox. Quando é acionado, o evento Change executa a macro ou o código que você especificou com a propriedade OnAction do controle.

Exemplo

O exemplo a seguir cria uma barra de comando com um controle CommandBarComboBox contendo quatro seleções. A caixa de combinação responde à interação do usuário através do evento CommandBarComboBox_Change.

Private ctlComboBoxHandler As New ComboBoxHandler
Sub AddComboBox()

    Set HostApp = Application

    Dim newBar As Office.CommandBar
    Set newBar = HostApp.CommandBars.Add(Name:="Test CommandBar", Temporary:=True)
    Dim newCombo As Office.CommandBarComboBox
    Set newCombo = newBar.Controls.Add(msoControlComboBox)
    With newCombo
        .AddItem "First Class", 1
        .AddItem "Business Class", 2
        .AddItem "Coach Class", 3
        .AddItem "Standby", 4
        .DropDownLines = 5
        .DropDownWidth = 75
        .ListHeaderCount = 0
    End With
    ctlComboBoxHandler.SyncBox newCombo
    newBar.Visible = True

End Sub

O exemplo anterior conta com o código a seguir, que é armazenado em um módulo de classe no projeto VBA.

Private WithEvents ComboBoxEvent As Office.CommandBarComboBox
Public Sub SyncBox(box As Office.CommandBarComboBox)
    Set ComboBoxEvent = box
    If Not box Is Nothing Then
        MsgBox "Synced " & box.Caption & " ComboBox events."
    End If

End Sub

Private Sub Class_Terminate()
    Set ComboBoxEvent = Nothing
End Sub

Private Sub ComboBoxEvent_Change(ByVal Ctrl As Office.CommandBarComboBox)
    Dim stComboText As String

    stComboText = Ctrl.Text

        Select Case stComboText
        Case "First Class"
            FirstClass
        Case "Business Class"
            BusinessClass
        Case "Coach Class"
            CoachClass
        Case "Standby"
            Standby
    End Select

End Sub
Private Sub FirstClass()
    MsgBox "You selected First Class reservations"
End Sub
Private Sub BusinessClass()
    MsgBox "You selected Business Class reservations"
End Sub
Private Sub CoachClass()
    MsgBox "You selected Coach Class reservations"
End Sub
Private Sub Standby()
    MsgBox "You chose to fly standby"
End Sub


Evento Click

Ocorre quando o usuário clica em um objeto CommandBarButton.

Private Sub CommandBarButton_Click

(ByVal Ctrl As CommandBarButton,

ByVal CancelDefault As Boolean)

A sintaxe do evento Click inclui dois argumentos descritos na tabela a seguir.

Argumento | Descrição
Ctrl | CommandBarButton necessário. Indica o controle CommandBarButton que iniciou o evento.
CancelDefault | Boolean necessário. False se ocorrer o comportamento padrão associado ao controle CommandBarButton, a menos que tenha sido cancelado por outro processo ou suplemento.

Comentários

O evento Click é reconhecido pelo objeto CommandBarButton. Para retornar o evento Click para um determinado controle CommandBarButton, use a palavra-chave WithEvents para declarar a variável e defina a variável para o controle.

Exemplo

O exemplo a seguir cria um novo botão de barra de comando no menu Arquivo do aplicativo host que permite ao usuário salvar pastas de trabalho como um arquivo de valores separados por vírgulas. (Este exemplo funciona em todos os aplicativos, mas o contexto de salvar como CSV é aplicável ao Microsoft Excel.)

Private HostApp As Object

Sub createAndSynch()
    Dim iIndex As Integer
    Dim iCount As Integer
    Dim fBtnExists As Boolean

    Dim obCmdBtn As Object
    Dim btnSaveAsCSVHandler as new Class1

    On Error GoTo errHandler

    Set HostApp = Application

    Dim barHelp As Office.CommandBar
    Set barHelp = Application.CommandBars("File")
    fBtnExists = False
    iCount = barHelp.Controls.Count
    For iIndex = 1 To iCount
        If barHelp.Controls(iIndex).Caption = "Save As CSV (Comma Delimited)" Then fBtnExists = True

    Next
    Dim btnSaveAsCSV As Office.CommandBarButton
    If fBtnExists Then
        Set btnSaveAsCSV = barHelp.Controls("Save As CSV (Comma Delimited)")
    Else
        Set btnSaveAsCSV = barHelp.Controls.Add(msoControlButton)
        btnSaveAsCSV.Caption = "Save As CSV (Comma Delimited)"
    End If

    btnSaveAsCSV.Tag = "btn1"
    btnSaveAsCSVHandler.SyncButton btnSaveAsCSV
    Exit Sub

errHandler:
    ' Insert error handling code here
End Sub


Evento EnvelopeHide

Ocorre quando a interface do usuário (UI) que corresponde ao objeto MsoEnvelope está oculta.

Private Sub objeto_EnvelopHide()

objeto Uma variável que faz referência a um objeto do tipo MsoEnvelope declarada com eventos em um módulo de classe.

Exemplo

O exemplo a seguir configura rotinas de tratamento de evento para o objeto MsoEnvelope.

Public WithEvents env As MsoEnvelope

Private Sub Class_Initialize()
    Set env = Application.ActiveDocument.MailEnvelope
End Sub

Private Sub env_EnvelopeShow()
    MsgBox "The MsoEnvelope UI is showing."
End Sub

Private Sub env_EnvelopeHide()
    MsgBox "The MsoEnvelope UI is hidden."
End Sub


Evento EnvelopeShow

Ocorre quando a interface do usuário (UI) que corresponde ao objeto MsoEnvelope está visível.

Private Sub objeto_EnvelopShow()

objeto Uma variável que faz referência a um objeto do tipo MsoEnvelope declarada com eventos em um módulo de classe.

Exemplo

O exemplo a seguir configura rotinas de tratamento de evento para o objeto MsoEnvelope.

Public WithEvents env As MsoEnvelope

Private Sub Class_Initialize()
    Set env = Application.ActiveDocument.MailEnvelope
End Sub

Private Sub env_EnvelopeShow()
    MsgBox "The MsoEnvelope UI is showing."
End Sub

Private Sub env_EnvelopeHide()
    MsgBox "The MsoEnvelope UI is hidden."
End Sub


Evento OnUpdate

Ocorre quando qualquer alteração é feita na barra de comandos.

Private Sub CommandBars_OnUpdate()

Comentários

O evento OnUpdate é reconhecido pelo objeto CommandBar e por todos os controles da barra de comandos. O evento é disparado por qualquer alteração em uma barra de comandos ou em um controle da barra de comandos, ou por qualquer alteração em uma barra de comandos ou um controle da barra de comandos. Essas alterações podem ocorrer, por exemplo, devido a uma seleção de texto ou de célula. Como podem ocorrer muitos eventos OnUpdate durante a utilização normal, os desenvolvedores devem ter cautela quando utilizarem esse evento. É altamente recomendável que esse evento seja utilizado principalmente para verificar se uma barra de comandos personalizada foi adicionada ou removida por um comando COMAddIn.


Elemento de linguagem oculto

Você solicitou ajuda para um elemento de linguagem que está oculto e, portanto, não está disponível para acesso programático.


Criando e modificando balões

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Use o balão do Assistente do Office para fornecer uma informação ao usuário. A informação exibida no balão pode ser uma mensagem simples, uma solicitação para mais informações ou uma lista de opções para o usuário. Os balões do Assistente do Office são criados, exibidos, fechados e alterados em tempo de execução.

A tabela a seguir contém as propriedades e métodos mais usados para alterar a aparência ou função de um balão novo ou existente. Os balões são exibidos, ou atualizados, quando o método Show é usado; conseqüentemente, as alterações feitas em um balão aparecerão na próxima vez que o método Show for usado.

Propriedade ou método | Descrição
Heading | Especifica o texto em negrito que aparece na parte superior do balão do Assistente do Office.
Text | Especifica o texto que aparece no corpo do balão do Assistente do Office. Este texto aparece depois do título mas antes de qualquer caixa de seleção, rótulo ou botão.
Labels | Retorna o conjunto de rótulos no balão. O formato dos rótulos é determinado pela propriedade BalloonType. Os rótulos aparecem depois do texto de balão. A lista de rótulos pode ser transformada em uma lista numerada, com marcadores ou com botões. Diferente de caixas de seleção, a opção do usuário é registrada assim que um botão é clicado.
CheckBoxes | Retorna o conjunto de caixas de seleção no balão. O usuário marca a caixa de seleção e clica no botão apropriado na parte inferior do balão (por exemplo, OK ou Próximo) para registrar sua opção.
Close | Fecha e descarta um balão sem janela restrita, mas não libera a variável do objeto. A variável de objeto atribuída ao balão ainda é válida — você pode exibi-la novamente ou pode modificá-la e exibi-la posteriormente. Você pode usar este método somente em balões sem janela restrita.
Show | Exibe o balão e todos os objetos dentro dele para o usuário. Use este método somente para objetos Balloon; use a propriedade Visible para o objeto Assistant.

O exemplo a seguir cria um balão que ajuda o usuário a selecionar uma impressora. O exemplo fornece uma opção de caixa de seleção para usuários que queiram ignorar a informação no balão.

Set bln = Assistant.NewBalloon
With bln
    .Heading = "Instructions for Choosing a Printer."
    .Text = "Click OK when you've chosen a printer."
    lblTxt = "From the File menu, choose Print."
    .Labels(1).Text = lblTxt
    .Labels(2).Text = "Click Setup."
    .Labels(3).Text = "Select the name of the printer."
    .CheckBoxes(1).Text = "Skip this information."
    .BalloonType = msoBalloonTypeNumbers
    .Mode = msoModeModal
    .Button = msoButtonSetOK
    .Show
End With

Criando balões

Para criar um novo balão, use a propriedade NewBalloon do objeto Assistant. O novo balão estará em branco. Use a propriedade Heading para adicionar um título e use a propriedade Text para adicionar texto ao corpo do balão e adicionar controles, se necessário. Por fim, use o método Show para exibir o balão. O método Show mostrará o balão como ele aparece naquele momento; portanto, é importante usar este método depois de definir todas as outras propriedades do balão. O exemplo a seguir cria um balão, define o título e corpo do texto e cria três controles de caixa de seleção que podem ser selecionados pelo usuário.

With Assistant.NewBalloon
    .Button = msoButtonSetOkCancel
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With

Gerenciando vários balões

O Assistente do Office não possui uma coleção Balloons. Para gerenciar vários balões, você pode definir uma variável de objeto separada para cada balão criado e fazer referência à variável conforme necessário. Ou pode criar uma matriz de variáveis de objeto Balloon e atribuir um balão a cada uma. O exemplo a seguir cria uma matriz e adiciona três objetos Balloon vazios à matriz.

Dim myBalloonArray(3) As Balloon

With Assistant
    For i = 1 To 3
        Set myBalloonArray(i) = .NewBalloon
    Next
End With


Obtendo ajuda sobre palavras-chave do Macintosh

Você solicitou ajuda sobre uma palavra-chave do Visual Basic usada somente no Macintosh. Para obter informações sobre essa palavra-chave, consulte a Ajuda de referência de linguagem incluída no Microsoft Office Macintosh Edition.


Fazendo alterações em balões durante o tempo de execução

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Depois de criar um balão para o Assistente do Office, você pode personalizá-lo com a adição de bitmaps, ícones ou metarquivos do Windows ao título ou ao texto do balão. Você pode adicionar controles como caixas de seleção ou botões aos seus balões para que possa responder ao usuário quando ele clica em um item no balão. Você também pode usar atributos de texto como cores e sublinhado para enfatizar elementos de texto em um balão.

Adicionando ícones e bitmaps aos balões

Para adicionar um ícone, atribua uma constante MsoIconType à propriedade Icon do objeto Balloon. Para adicionar um bitmap ou metarquivo do Windows ao texto em um balão do Assistente do Office, especifique o tipo, local e fator de dimensão (se aplicável) ao definir a propriedade Text de um título, texto, caixa de seleção ou rótulo. O exemplo a seguir insere um arquivo de bitmap do Windows no texto de um balão.

myBmp = "{bmp c:\Windows\circles.gif}"
myText1 = "This is before the picture, "
myText2 = " and this is after the picture"
Set bln = Assistant.NewBalloon
With bln
    .Heading = "Instructions for Choosing a Bitmap."
    .Text = myText1 & myBmp & myText2
    .Show
End With

Adicionando controles a balões

Há dois tipos de controles que você pode adicionar a um balão: caixas de seleção e botões. Há cinco caixas de seleção no balão quando ele é criado; você pode tornar qualquer uma delas visível especificando o texto para o controle. Há cinco botões de rótulo no balão também (se o tipo de balão for msoBalloonTypeButtons), e você pode expor qualquer rótulo da mesma forma que faria com uma caixa de seleção. Se você tentar expor mais do que cinco caixas de seleção ou cinco botões de rótulo em um balão, ocorre um erro.

Você pode alterar a aparência de qualquer controle em um balão alterando a propriedade Text do controle. Você pode alterar a funcionalidade de uma caixa de seleção ou um botão em um balão especificando um outro procedimento que será executado sempre que a caixa de seleção estiver marcada (clicada).

O exemplo a seguir cria um balão com um título, texto e três opções de região. Quando o usuário seleciona uma ou mais caixas de seleção e clica em OK, o exemplo chama o procedimento apropriado ou procedimentos.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select your region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

Adicionando cores e sublinhado a texto em balões

Há dois atributos que você pode adicionar ao texto em um balão: cores e sublinhado. Há suporte para 16 cores de sistema que podem ser usadas para enfatizar o texto. Você também pode alterar a aparência do texto em um balão sublinhando o texto. Os atributos de texto são incorporados no texto do balão e são envoltos por chaves no código. O exemplo a seguir cria um novo balão do Assistente do Office que contém texto de título sublinhado, texto em vermelho e texto em azul que também é sublinhado.

With Assistant.NewBalloon
    .Heading = "Underlined {ul 1}Heading{ul 0}"
    .Text = "Some {cf 249}Red{cf 0} text and some " & _
    "underlined {cf 252}{ul 1}Blue{ul 0}{cf 0} text."
    .Show
End With


Retornando um objeto de uma coleção

A propriedade Item retorna um único objeto de uma coleção. O exemplo a seguir define a variável cmdbar com um objeto CommandBar que representa a primeira barra de comandos da coleção CommandBars.

Set cmdbar = CommandBars.Item(1)

A propriedade Item é a propriedade padrão para a maioria das coleções, portanto você pode escrever a mesma instrução de maneira mais concisa omitindo a palavra-chave Item.

Set cmdbar = CommandBars(1)

Para obter mais informações sobre uma determinada coleção, consulte o tópico da Ajuda sobre a coleção ou a propriedade Item da coleção.


Usando o Assistente do Office

Partes do conteúdo deste tópico podem não se aplicar a alguns idiomas.

Normalmente, o Assistente do Office é exibido com seu balão, apresentando mensagens e fornecendo Ajuda à medida que o usuário trabalha no aplicativo. Entretanto, esse assistente também pode ser útil ao usuário sem o balão de mensagem. É possível chamar a atenção do usuário definindo a propriedade Animation do assistente. Além disso, podem ser usadas outras propriedades do objeto Assistant para personalizar a forma padrão de apresentação da Ajuda do Office ao usuário.

Todas as propriedades listas na guia Opções na caixa de diálogo Assistente do Office correspondem a uma propriedade do Assistente que você pode definir em tempo de execução. As propriedades listadas na tabela a seguir são normalmente usadas para modificar o Assistente do Office.

Propriedade | Descrição
Animation | Anima o Assistente do Office. Algumas animações são contínuas; outras ocorrem somente uma vez.
FileName | Especifica o nome completo do arquivo para o Assistente do Office, com a extensão de arquivo .acs. Por exemplo, o nome de arquivo para o Assistente do Office do Rocky é Rocky.acs.
Name | Retorna o nome do Assistente do Office. Caso queira manter um acompanhamento de qual Assistente do Office é selecionado pelo usuário, use esta propriedade.
Visible | Especifica se o assistente deve ficar visível ou oculto.

O exemplo seguinte seleciona Rocky como o Assistente do Office, torna o Assistente ativo e visível, seleciona uma animação e define várias opções.

With Assistant
    .On = True
    .FileName = "Rocky.acs"
    .Animation = msoAnimationBeginSpeaking
    .AssistWithHelp = True
    .GuessHelp = True
    .FeatureTips = False
    .Visible = True
End With

Há seis “personagens” diferentes do Assistente do Office que você pode escolher para instalar com o Microsoft Office, mas somente um personagem do Assistente pode estar ativo em um determinado momento. Você pode deixar o usuário selecionar o Assistente da Galeria do Assistente do Office ou pode selecionar um Assistente para o usuário através de programação. Você não pode modificar os arquivos dos personagens do Assistente instalados e não pode criar um arquivo de personagem para usar no lugar dos arquivos fornecidos.


Tópico da Ajuda não disponível

O tópico da Ajuda não pode ser exibido porque a Ajuda do Microsoft Office Visual Basic não pôde ser localizada, não foi instalada ou foi removida.

Para instalar a Ajuda do Microsoft Office Visual Basic

  1. No Painel de controle, clique duas vezes em Adicionar ou remover programas.
  2. Na guia Alterar ou remover programas, clique na edição do Microsoft Office instalada e, em seguida, clique em Alterar.
  3. Clique em Adicionar ou remover recursos e expanda Recursos compartilhados do Office na lista de recursos.
  4. Expanda Visual Basic for Applications na lista de recursos e clique no ícone ao lado de Ajuda do Visual Basic para visualizar as opções de instalação.
  5. Clique em Executar de 'Meu computador' ou Executar da rede e, em seguida, clique em Atualizar.


Elemento de linguagem sem suporte

Você solicitou ajuda para um elemento de linguagem que não tem suporte.


Método Add (Microsoft Word)

No Microsoft Word, o argumento Temporary do método Add (objeto CommandBarControls) é sempre ignorado. Por essa razão, quando você adiciona um botão de controle a uma barra de menus em uma barra de comandos, ele permanece no modelo Normal.dot, independentemente de você ter definido o argumento Temporary como True. Para remover um item de menu desnecessário do modelo Normal.dot, é possível usar um dos métodos a seguir.

  1. Excluir Normal.dot. Isso requer que o Word recrie o modelo padrão Normal, que também remove quaisquer outras alterações que tenham sido feitas no modelo Normal, como barras de ferramentas. Como os documentos do Word se baseiam no modelo Normal, será necessário excluir o modelo manualmente em vez de por meio de programação.
  2. Redefinir barras de comandos. Você pode criar um procedimento para redefinir todas as barras de comandos ou somente uma barra de comandos especificada. Este exemplo redefine todas as barras de comandos, incluindo barras de menus e barras de ferramentas.
    Sub ResetAllCommandBars()
    Dim mnu As CommandBar

    'Error handler skips over custom toolbars,
    'which can't be reset
    On Error Resume Next

    For Each mnu In Application.CommandBars
        mnu.Reset
    Next mnu
End Sub
    Este exemplo redefine os itens somente na barra de menus e não em todas as barras de ferramentas do Word.
    Sub ResetMenuBar()
    Dim mnu As CommandBar
    For Each mnu In Application.CommandBars
        If mnu.Name = "Menu Bar" Then
            mnu.Reset
        End If
    Next mnu
End Sub


Propriedade Context

No Microsoft Word, a propriedade Context é somente leitura e retorna o nome completo (e caminho) do modelo associado ao documento que contém o objeto CommandBar especificado.


Novos eventos

 Método New

 Novos objetos

 Novas propriedades (lista em ordem alfabética)

 Novas propriedades (por objetos)


Objeto CommandBarComboBox


Objeto CommandBarButton


Objeto MsoEnvelope
Evento EnvelopeShow


Objeto MsoEnvelope
Evento EnvelopeHide


Objeto da coleção CommandBars


Método New

 Novos objetos

 Novas propriedades (lista em ordem alfabética)

 Novas propriedades (por objetos)

 Novidades para os desenvolvedores do Microsoft Office


Fazendo alterações em balões durante o tempo de execução

 Visão geral do Assistente do Office


Adicionando e exibindo menus de atalho

 Adicionando e modificando barras de ferramentas

 Usando barras de comando


Objeto Assistant

 Objeto Balloon

 Criando e modificando balões

 Visão geral do Assistente do Office


Propriedade Animation

 Criando e modificando balões

 Propriedade FileName

 Objetos do Microsoft Office


Adicionando e exibindo menus de atalho

 Adicionando e gerenciando barras de menus e itens de menus

 Adicionando e modificando barras de ferramentas

 Objetos do Microsoft Office


Objeto da coleção BalloonCheckBoxes

 Objeto da coleção BalloonLabels

 Objeto da coleção CommandBarControls

 Objeto da coleção CommandBars

 Objeto da coleção DocumentProperties

 Objeto da coleção PropertyTests


Adicionando e gerenciando barras de menus e itens de menus

 Adicionando e modificando barras de ferramentas

 Usando barras de comando


Adicionando e exibindo menus de atalho

 Adicionando e gerenciando barras de menus e itens de menus

 Usando barras de comando


Objeto Assistant

 Criando e modificando balões

 Fazendo alterações em balões durante o tempo de execução

 Objetos do Microsoft Office


Objeto Assistant


Objeto da coleção AnswerWizardFiles

 Objeto da coleção CommandBarControls

 Objeto da coleção CommandBars

 Objeto da coleção DocumentProperties

 Coleção FileDialogFilters

 Coleção FileTypes

 Objeto NewFile

 Objeto ODSOFilters

 Objeto da coleção PropertyTests

 Objeto da coleção Scripts

 Coleção SearchFolders

 Coleção SignatureSet
Objeto da coleção CommandBars

 Objeto da coleção DocumentProperties

 Objetos do Microsoft Office
Método Add (Microsoft Word)


Objeto ScopeFolder
Método Add


Objeto OfficeDataSourceObject


Objeto CommandBarComboBox

 Coleção FileDialogFilters
Método AddItem

 Objeto CommandBarComboBox

 Propriedade Enabled


Objeto AnswerWizard


Objeto Balloon


Coleção SignatureSet


Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto CommandBarPopup


Objeto da coleção AnswerWizardFiles

 Objeto CommandBar

 Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto CommandBarPopup

 Objeto DocumentProperty

 Coleção FileDialogFilters

 Objeto ODSOFilters

 Objeto Script

 Objeto da coleção Scripts

 Objeto Signature


Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto CommandBarPopup

 Objeto FileDialog

 Objeto FileSearch


Método FindControls


Objeto da coleção COMAddIns

 Coleção FileDialogFilters

 Coleção FileDialogSelectedItems

 Objeto da coleção HTMLProjectItems

 Objeto ODSOColumns

 Objeto ODSOFilters

 Objeto da coleção Scripts


Objeto HTMLProjectItem


Objeto Assistant

 Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto CommandBarPopup

 Objeto OfficeDataSourceObject


Objeto FileSearch
Objeto FileSearch


Objeto HTMLProject

 Objeto HTMLProjectItem

 Objeto OfficeDataSourceObject


Objeto HTMLProject


Objeto FileSearch


Objeto da coleção CommandBars
Método SetFocus


Coleção FileTypes

 Objeto NewFile

 Objeto da coleção PropertyTests

 Coleção SearchFolders


Método ResetTips


Objeto Assistant
Método Reset


Objeto Balloon

 Objeto FileDialog
Objeto da coleção BalloonCheckBoxes

 Criando e modificando balões

 Método Execute

 Propriedade NewBalloon


Objeto CommandBar


Objeto Assistant
Método ActivateWizard

 Objeto Assistant

 Criando e modificando balões

 Método EndWizard

 Fazendo alterações em balões durante o tempo de execução

 Visão geral do Assistente do Office


Objeto da coleção COMAddIns


Novos eventos

 Novos objetos

 Novas propriedades (lista em ordem alfabética)

 Novas propriedades (por objetos)

 Novidades para os desenvolvedores do Microsoft Office


Método ClearFileList

 Método ResetFileList
Propriedade Application

 Propriedade Creator

 Propriedade Files

 Propriedade Parent


Método Add

 Método Delete
Propriedade Application

 Propriedade Count

 Propriedade Creator

 Propriedade Item

 Propriedade Parent


Propriedade Animation

 Propriedade Application

 Propriedade AssistWithAlerts

 Propriedade AssistWithHelp

 Propriedade AssistWithWizards

 Propriedade BalloonError

 Propriedade Creator

 Propriedade FeatureTips

 Propriedade FileName

 Propriedade GuessHelp

 Propriedade HighPriorityTips

 Propriedade Item

 Propriedade KeyboardShortcutTips

 Propriedade Left

 Propriedade MouseTips

 Propriedade MoveWhenInTheWay

 Propriedade Name

 Propriedade NewBalloon

 Propriedade On

 Propriedade Parent

 Propriedade Reduced

 Propriedade SearchWhenProgramming

 Propriedade Sounds

 Propriedade TipOfDay

 Propriedade Top

 Propriedade Visible


Propriedade Animation

 Propriedade Application

 Propriedade BalloonType

 Propriedade Button

 Propriedade Callback

 Propriedade Checkboxes

 Propriedade Creator

 Propriedade Heading

 Propriedade Icon

 Propriedade Labels

 Propriedade Mode

 Propriedade Name

 Propriedade Parent

 Propriedade Private

 Propriedade Text
Objetos do Microsoft Office


Objetos do Microsoft Office


Objetos do Microsoft Office
Objeto da coleção BalloonLabels


Propriedade Application

 Propriedade Connect

 Propriedade Creator

 Propriedade Description

 Propriedade Guid

 Propriedade Object

 Propriedade Parent

 Propriedade ProgId
Objeto da coleção COMAddIns


Método Item

 Método Update
Propriedade Application

 Propriedade Count

 Propriedade Creator

 Propriedade Parent


Propriedade AdaptiveMenu

 Propriedade Application

 Propriedade BuiltIn

 Propriedade Context

 Propriedade Controls

 Propriedade Creator

 Propriedade Enabled

 Propriedade Height

 Propriedade Id

 Propriedade Index

 Propriedade Left

 Propriedade Name

 Propriedade NameLocal

 Propriedade Parent

 Propriedade Position

 Propriedade Protection

 Propriedade RowIndex

 Propriedade Top

 Propriedade Type

 Propriedade Visible

 Propriedade Width
Objetos do Microsoft Office
Objeto da coleção CommandBars


Evento Click
Método Copy

 Método CopyFace

 Método Delete

 Método Execute

 Método Move

 Método PasteFace

 Método Reset

 Método SetFocus
Propriedade Application

 Propriedade BeginGroup

 Propriedade BuiltIn

 Propriedade BuiltInFace

 Propriedade Caption

 Propriedade Creator

 Propriedade DescriptionText

 Propriedade Enabled

 Propriedade FaceId

 Propriedade Height

 Propriedade HelpContextId

 Propriedade HelpFile

 Propriedade HyperlinkType

 Propriedade Id

 Propriedade Index

 Propriedade IsPriorityDropped

 Propriedade Left

 Propriedade Mask

 Propriedade OLEUsage

 Propriedade OnAction

 Propriedade Parameter

 Propriedade Parent

 Propriedade Picture

 Propriedade Priority

 Propriedade ShortcutText

 Propriedade State

 Propriedade Style

 Propriedade Tag

 Propriedade TooltipText

 Propriedade Top

 Propriedade Type

 Propriedade Visible

 Propriedade Width
Objetos do Microsoft Office


Evento Change
Método AddItem

 Método Clear

 Método Copy

 Método Delete

 Método Execute

 Método Move

 Método RemoveItem

 Método Reset

 Método SetFocus
Propriedade Application

 Propriedade BeginGroup

 Propriedade BuiltIn

 Propriedade Caption

 Propriedade Creator

 Propriedade DescriptionText

 Propriedade DropDownLines

 Propriedade DropDownWidth

 Propriedade Enabled

 Propriedade Height

 Propriedade HelpContextId

 Propriedade HelpFile

 Propriedade Id

 Propriedade Index

 Propriedade IsPriorityDropped

 Propriedade Left

 Propriedade List

 Propriedade ListCount

 Propriedade ListHeaderCount

 Propriedade ListIndex

 Propriedade OLEUsage

 Propriedade OnAction

 Propriedade Parameter

 Propriedade Parent

 Propriedade Priority

 Propriedade Style

 Propriedade Tag

 Propriedade Text

 Propriedade TooltipText

 Propriedade Top

 Propriedade Type

 Propriedade Visible

 Propriedade Width


Propriedade Application

 Propriedade BeginGroup

 Propriedade BuiltIn

 Propriedade Caption

 Propriedade Creator

 Propriedade DescriptionText

 Propriedade Enabled

 Propriedade Height

 Propriedade HelpContextId

 Propriedade HelpFile

 Propriedade Id

 Propriedade Index

 Propriedade IsPriorityDropped

 Propriedade Left

 Propriedade OLEUsage

 Propriedade OnAction

 Propriedade Parameter

 Propriedade Parent

 Propriedade Priority

 Propriedade Tag

 Propriedade TooltipText

 Propriedade Top

 Propriedade Type

 Propriedade Visible

 Propriedade Width
Objetos do Microsoft Office
Objeto da coleção CommandBarControls


Método Add
Propriedade Application

 Propriedade Count

 Propriedade Creator

 Propriedade Item

 Propriedade Parent
Objetos do Microsoft Office


Propriedade Application

 Propriedade BeginGroup

 Propriedade BuiltIn

 Propriedade Caption

 Propriedade CommandBar

 Propriedade Controls

 Propriedade Creator

 Propriedade DescriptionText

 Propriedade Enabled

 Propriedade Height

 Propriedade HelpContextId

 Propriedade HelpFile

 Propriedade Id

 Propriedade Index

 Propriedade IsPriorityDropped

 Propriedade Left

 Propriedade OLEMenuGroup

 Propriedade OLEUsage

 Propriedade OnAction

 Propriedade Parameter

 Propriedade Parent

 Propriedade Priority

 Propriedade Tag

 Propriedade TooltipText

 Propriedade Top

 Propriedade Type

 Propriedade Visible

 Propriedade Width
Objetos do Microsoft Office


Evento OnUpdate
Método Add

 Método FindControl

 Método FindControls

 Método ReleaseFocus
Propriedade ActionControl

 Propriedade ActiveMenuBar

 Propriedade AdaptiveMenus

 Propriedade Application

 Propriedade Count

 Propriedade Creator

 Propriedade DisableAskAQuestionDropdown

 Propriedade DisableCustomize

 Propriedade DisplayFonts

 Propriedade DisplayKeysInTooltips

 Propriedade DisplayTooltips

 Propriedade Item

 Propriedade LargeButtons

 Propriedade MenuAnimationStyle

 Propriedade Parent
Objetos do Microsoft Office


Método Delete
Propriedade Application

 Propriedade Creator

 Propriedade LinkSource

 Propriedade LinkToContent

 Propriedade Name

 Propriedade Parent

 Propriedade Type

 Propriedade Value
Objetos do Microsoft Office


Propriedade AllowMultiSelect

 Propriedade Application

 Propriedade ButtonName

 Propriedade Creator

 Propriedade DialogType

 Propriedade FilterIndex

 Propriedade Filters

 Propriedade InitialFileName

 Propriedade InitialView

 Propriedade Item

 Propriedade Parent

 Propriedade SelectedItem

 Propriedade Title


Propriedade Application

 Propriedade Creator

 Propriedade Description

 Propriedade Extensions

 Propriedade Parent
Objeto FileDialog

 Coleção FileDialogFilters

 Coleção FileDialogSelectedItems


Método Add

 Método Clear

 Método Delete

 Método Item
Propriedade Application

 Propriedade Count

 Propriedade Creator

 Propriedade Parent
Objeto FileDialog

 Objeto FileDialogFilter

 Coleção FileDialogSelectedItems


Método Item


Propriedade Application

 Propriedade Creator

 Propriedade FileName

 Propriedade FileType

 Propriedade FileTypes

 Propriedade FoundFiles

 Propriedade LastModified

 Propriedade LookIn

 Propriedade MatchAllWordForms

 Propriedade MatchTextExactly

 Propriedade PropertyTests

 Propriedade SearchFolders

 Propriedade SearchScopes

 Propriedade SearchSubFolders

 Propriedade TextOrProperty
Coleção FileTypes

 Propriedade FoundFiles

 Objeto PropertyTest

 Propriedade PropertyTests

 Objeto ScopeFolder

 Coleção ScopeFolders

 Coleção SearchFolders

 Objeto SearchScope

 Coleção SearchScopes


Método Add

 Método Remove
Propriedade Application

 Propriedade Count

 Propriedade Creator

 Propriedade Item
Propriedade FileName

 Objeto FileSearch

 Propriedade FileType

 Propriedade FileTypes

 Coleção SearchFolders

 Coleção SearchScopes


Método Open

 Método RefreshDocument

 Método RefreshProject
Propriedade Application

 Propriedade Creator

 Propriedade HTMLProjectItems

 Propriedade Parent

 Propriedade State


Método LoadFromFile

 Método Open

 Método SaveCopyAs
Propriedade Application

 Propriedade Creator

 Propriedade IsOpen

 Propriedade Name

 Propriedade Parent

 Propriedade Text


Propriedade Application

 Propriedade Creator

 Propriedade LanguageID

 Propriedade LanguagePreferredForEditing

 Propriedade Parent


Evento EnvelopeHide

 Evento EnvelopeShow
Propriedade CommandBars

 Propriedade Introduction

 Propriedade Item

 Propriedade Parent


Método Add

 Método Remove
Propriedade Application

 Propriedade Creator


Propriedade Application

 Propriedade Creator

 Propriedade Index

 Propriedade Name

 Propriedade Parent

 Propriedade Value
Objeto ODSOColumns

 Objeto ODSOFilter

 Objeto ODSOFilters

 Objeto OfficeDataSourceObject


Propriedade Application

 Propriedade Column

 Propriedade CompareTo

 Propriedade Comparison

 Propriedade Conjunction

 Propriedade Creator

 Propriedade Index

 Propriedade Parent


Método Add

 Método Delete

 Método Item
Propriedade Application

 Propriedade Count

 Propriedade Creator

 Propriedade Parent
Objeto ODSOColumn

 Objeto ODSOColumns

 Objeto ODSOFilter

 Objeto OfficeDataSourceObject


Método ApplyFilter

 Método Move

 Método Open

 Método SetSortOrder
Objeto ODSOColumns

 Objeto ODSOFilters
Propriedade Columns

 Propriedade ConnectString

 Propriedade DataSource

 Propriedade Filters

 Propriedade RowCount

 Propriedade Table
Objeto ODSOColumn

 Objeto ODSOColumns

 Objeto ODSOFilter

 Objeto ODSOFilters


Objeto da coleção PropertyTests


Método AddToSearchFolders


Propriedade Application

 Propriedade Count

 Propriedade Creator

 Propriedade Item
Objeto FileSearch

 Coleção SearchFolders

 Coleção SearchScopes


Método Delete
Propriedade Application

 Propriedade Creator

 Propriedade Extended

 Propriedade Id

 Propriedade Language

 Propriedade Location

 Propriedade Parent

 Propriedade ScriptText

 Propriedade Shape
Objeto da coleção Scripts


Método Add

 Método Delete

 Método Item
Propriedade Application

 Propriedade Count

 Propriedade Creator

 Propriedade Parent


Método Add

 Método Remove
Propriedade Application

 Propriedade Count

 Propriedade Creator

 Propriedade Item
Objeto FileSearch

 Coleção FileTypes

 Propriedade LookIn

 Objeto ScopeFolder

 Coleção ScopeFolders

 Propriedade SearchFolders

 Coleção SearchScopes


Propriedade Application

 Propriedade Creator

 Propriedade ScopeFolder

 Propriedade Type
Objeto FileSearch

 Objeto ScopeFolder

 Coleção SearchScopes


Método Delete
Propriedade Application

 Propriedade AttachCertificate

 Propriedade Creator

 Propriedade ExpireDate

 Propriedade IsCertificateExpired

 Propriedade IsCertificateRevoked

 Propriedade IsValid

 Propriedade Issuer

 Propriedade Parent

 Propriedade SignDate

 Propriedade Signer


Método Add

 Método Commit
Propriedade Application

 Propriedade Count

 Propriedade Creator

 Propriedade Item

 Propriedade Parent


Propriedade Application

 Propriedade Creator

 Propriedade FixedWidthFont

 Propriedade FixedWidthFontSize

 Propriedade ProportionalFont

 Propriedade ProportionalFontSize
Objeto da coleção WebPageFonts


Propriedade Application

 Propriedade Count

 Propriedade Creator

 Propriedade Item


Novos eventos

 Método New

 Novas propriedades (lista em ordem alfabética)

 Novas propriedades (por objetos)

 Novidades para os desenvolvedores do Microsoft Office


Objeto da coleção CommandBars
Adicionando e exibindo menus de atalho

 Adicionando e gerenciando barras de menus e itens de menus

 Adicionando e modificando barras de ferramentas

 Usando barras de comando


Objeto FileDialog


Objeto Assistant

 Objeto Balloon
Objeto Assistant

 Propriedade FileName

 Visão geral do Assistente do Office

 Propriedade Visible


Objeto AnswerWizard

 Objeto da coleção AnswerWizardFiles

 Objeto Assistant

 Objeto Balloon

 Objeto BalloonCheckbox

 Objeto da coleção BalloonCheckBoxes

 Objeto BalloonLabel

 Objeto da coleção BalloonLabels

 Objeto COMAddIn

 Objeto da coleção COMAddIns

 Objeto CommandBar

 Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto da coleção CommandBarControls

 Objeto CommandBarPopup

 Objeto da coleção CommandBars

 Objeto da coleção DocumentProperties

 Objeto DocumentProperty

 Objeto FileDialog

 Objeto FileDialogFilter

 Coleção FileDialogFilters

 Coleção FileDialogSelectedItems

 Objeto FileSearch

 Coleção FileTypes

 Objeto FoundFiles

 Objeto HTMLProject

 Objeto HTMLProjectItem

 Objeto da coleção HTMLProjectItems

 Objeto LanguageSettings

 Objeto NewFile

 Objeto ODSOColumn

 Objeto ODSOColumns

 Objeto ODSOFilter

 Objeto ODSOFilters

 Objeto PropertyTest

 Objeto da coleção PropertyTests

 Objeto ScopeFolder

 Coleção ScopeFolders

 Objeto Script

 Objeto da coleção Scripts

 Coleção SearchFolders

 Objeto SearchScope

 Coleção SearchScopes

 Objeto Signature

 Coleção SignatureSet

 Objeto WebPageFont

 Objeto da coleção WebPageFonts


Objeto Signature


Usando barras de comando


Objeto CommandBar

 Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto CommandBarPopup
Objeto CommandBar

 Objeto CommandBarControl

 Propriedade FaceId

 Método PasteFace

 Usando barras de comando


Objeto Balloon
Adicionando e exibindo menus de atalho

 Adicionando e gerenciando barras de menus e itens de menus

 Adicionando e modificando barras de ferramentas

 Propriedade BuiltIn

 Propriedade BuiltInFace

 Criando e modificando balões

 Propriedade FaceId

 Método PasteFace

 Método Show

 Usando barras de comando


Objeto Balloon
Objeto Balloon

 Objeto BalloonCheckbox

 Objeto BalloonLabel

 Propriedade Checked

 Criando e modificando balões

 Fazendo alterações em balões durante o tempo de execução

 Visão geral do Assistente do Office

 Método Show


Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto CommandBarPopup
Objeto CommandBarControl

 Propriedade DescriptionText

 Propriedade Enabled

 Propriedade TooltipText


Objeto BalloonCheckbox


Objeto ODSOFilter


Objeto CommandBarPopup


Objeto MsoEnvelope


Objeto PropertyTest
Método NewSearch


Objeto COMAddIn


Objeto PropertyTest


Objeto CommandBar
Adicionando e exibindo menus de atalho

 Adicionando e gerenciando barras de menus e itens de menus

 Adicionando e modificando barras de ferramentas

 Usando barras de comando
Propriedade Context


Objeto da coleção AnswerWizardFiles

 Objeto da coleção BalloonCheckBoxes

 Objeto da coleção BalloonLabels

 Objeto da coleção COMAddIns

 Objeto da coleção CommandBarControls

 Objeto da coleção CommandBars

 Objeto da coleção DocumentProperties

 Coleção FileDialogFilters

 Coleção FileDialogSelectedItems

 Coleção FileTypes

 Objeto FoundFiles

 Objeto da coleção HTMLProjectItems

 Objeto ODSOColumns

 Objeto ODSOFilters

 Objeto da coleção PropertyTests

 Coleção ScopeFolders

 Objeto da coleção Scripts

 Coleção SearchFolders

 Coleção SearchScopes

 Coleção SignatureSet

 Objeto da coleção WebPageFonts


Objeto COMAddIn

 Objeto FileDialogFilter


Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto CommandBarPopup
Propriedade Caption

 Propriedade DisplayKeysInTooltips

 Propriedade DisplayTooltips


Adicionando e exibindo menus de atalho

 Adicionando e gerenciando barras de menus e itens de menus

 Adicionando e modificando barras de ferramentas

 Usando barras de comando


Objeto Script


Objeto FileDialogFilter


Objeto Assistant

 Objeto FileSearch
Propriedade Animation

 Visão geral do Assistente do Office

 Usando o Assistente do Office


Objeto FileDialog

 Objeto OfficeDataSourceObject


Objeto WebPageFont


Objeto Assistant
Visão geral do Assistente do Office


Propriedade Controls


Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto CommandBarPopup
Método Help

 Propriedade HelpFile


Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto CommandBarPopup
Método Help

 Propriedade HelpContextId


Objeto CommandBar

 Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto CommandBarPopup

 Objeto Script


Objeto CommandBar

 Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto CommandBarPopup

 Objeto ODSOColumn

 Objeto ODSOFilter


Objeto Signature
Propriedade IsCertificateRevoked


Objeto Signature
Propriedade IsCertificateExpired


Objeto da coleção AnswerWizardFiles

 Objeto Assistant

 Objeto BalloonCheckbox

 Objeto da coleção BalloonCheckBoxes

 Objeto BalloonLabel

 Objeto da coleção BalloonLabels

 Objeto da coleção CommandBarControls

 Objeto da coleção CommandBars

 Objeto da coleção DocumentProperties

 Objeto FileDialog

 Coleção FileTypes

 Objeto FoundFiles

 Objeto MsoEnvelope

 Objeto da coleção PropertyTests

 Coleção ScopeFolders

 Coleção SearchFolders

 Coleção SearchScopes

 Coleção SignatureSet

 Objeto da coleção WebPageFonts


Objeto LanguageSettings


Objeto FileSearch
Método NewSearch


Propriedade Top


Objeto DocumentProperty
Propriedade LinkToContent


Objeto DocumentProperty
Propriedade LinkSource


Objeto CommandBarButton
Propriedade Picture


Objeto Assistant

 Objeto Balloon

 Objeto BalloonCheckbox

 Objeto da coleção BalloonCheckBoxes

 Objeto BalloonLabel

 Objeto da coleção BalloonLabels

 Objeto CommandBar

 Objeto DocumentProperty

 Objeto HTMLProjectItem

 Objeto ODSOColumn

 Objeto PropertyTest

 Objeto ScopeFolder
Propriedade NameLocal


Objeto CommandBar
Propriedade Name


Objeto Assistant
Objeto Assistant

 Objeto Balloon

 Propriedade BalloonError

 Criando e modificando balões

 Fazendo alterações em balões durante o tempo de execução

 Método Show


Objeto AnswerWizard

 Objeto da coleção AnswerWizardFiles

 Objeto Assistant

 Objeto Balloon

 Objeto BalloonCheckbox

 Objeto da coleção BalloonCheckBoxes

 Objeto BalloonLabel

 Objeto da coleção BalloonLabels

 Objeto COMAddIn

 Objeto da coleção COMAddIns

 Objeto CommandBar

 Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto da coleção CommandBarControls

 Objeto CommandBarPopup

 Objeto da coleção CommandBars

 Objeto da coleção DocumentProperties

 Objeto DocumentProperty

 Objeto FileDialog

 Objeto FileDialogFilter

 Coleção FileDialogFilters

 Coleção FileDialogSelectedItems

 Objeto HTMLProject

 Objeto HTMLProjectItem

 Objeto da coleção HTMLProjectItems

 Objeto LanguageSettings

 Objeto MsoEnvelope

 Objeto ODSOColumn

 Objeto ODSOColumns

 Objeto ODSOFilter

 Objeto ODSOFilters

 Objeto Script

 Objeto da coleção Scripts

 Objeto Signature

 Coleção SignatureSet


Objeto ScopeFolder


Objeto CommandBarButton
Propriedade Mask


Objeto SearchScope


Objeto PropertyTest
Propriedade Value


Objeto CommandBarButton
Visão geral do Assistente do Office


Objeto CommandBarButton

 Objeto HTMLProject


Objeto CommandBarButton

 Objeto CommandBarComboBox


Método FindControl


Objeto Balloon

 Objeto BalloonCheckbox

 Objeto BalloonLabel

 Objeto CommandBarComboBox

 Objeto HTMLProjectItem
Criando e modificando balões

 Propriedade Heading

 Visão geral do Assistente do Office

 Método Show


Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto CommandBarPopup
Propriedade Caption

 Propriedade DescriptionText


Propriedade Left


Objeto CommandBar

 Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto CommandBarPopup

 Objeto DocumentProperty

 Objeto SearchScope
Usando barras de comando


Objeto DocumentProperty

 Objeto ODSOColumn

 Objeto PropertyTest


Objeto Assistant

 Objeto CommandBar

 Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto CommandBarPopup
Visão geral do Assistente do Office

 Usando o Assistente do Office


Novos eventos

 Método New

 Novos objetos

 Novas propriedades (por objetos)

 Novidades para os desenvolvedores do Microsoft Office


Novos eventos

 Método New

 Novos objetos

 Novas propriedades (lista em ordem alfabética)

 Novidades para os desenvolvedores do Microsoft Office


Propriedade Height


Criando e modificando balões

 Visão geral de barras de comando

 Visão geral do Assistente do Office

 Usando barras de comando

 Usando o Assistente do Office


INDEX~TEXT
seealso~"Consulte&nbsp;também&nbsp;&nbsp;&nbsp;"
appliesto~"Aplica-se&nbsp;a"
elements~"Elementos"
properties~"&nbsp;&nbsp;&nbsp;&nbsp;Propriedades"
methods~"&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Métodos"
events~"Eventos"
example~"Exemplo"
specifics~"Informações&nbsp;específicas"
show~"Mostrar&nbsp;descrição"
hide~"Ocultar&nbsp;descrição"